<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use LartsSubscriptions\OrderAmounts;
use LartsSubscriptions\Template;

class paylaterHelperCheckout
{
	private $params;
	private $display_logo = null;
	private $invoice_template;
	private $completed_template;
	private $minumum_amount;


  public function __construct($plugin)
	{
		$this->params = $plugin->params;

		$this->invoice_template = $this->params->def('invoice_template', null);
		$this->display_logo     = $this->params->def('logo', 'plugins/lartssubscriptions_payment/paylater/images/banktransfer.png');
		$this->minumum_amount   = $this->params->def('min_amount', 0);

		$template_id = $this->params->def('completed_template', null);
    $this->completed_template = Template::lookupAlias($template_id);
	}

	// Diplay the payment method.
  public function renderMethod($layout)
	{
		// Checks if the templates are set properly.
		if (empty($this->completed_template)) {
			return '<p style="color:red;height:20px">Pay-Later plugin setup: Missing template for completed</p>';
		}

		return $layout->render([
			'name'  => 'paylater',
			'image' => $this->display_logo,
		]);
	}
}
