<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

if(!class_exists('LartsInstallerBase')) {
	require_once __DIR__ . '/LartsInstallerBase.php';
}

class LartsSubscriptionsInstaller extends LartsInstallerBase
{
	public function __construct()
	{
		$this->message_name = 'Logical-Arts Subscriptions';
		$this->extension_name = 'lartssubscriptions';
		$this->extension_type = 'component';
		$this->plugin_folder = '';
		$this->show_message = true;
		$this->autopublish = false; 

		parent::__construct();
	}
	
	public function onBeforeInstall()
	{
		if (!parent::onBeforeInstall()) {
			return false;
		}
		return true;
	}

	public function onAfterInstall()
  {
		if (!parent::onAfterInstall()) {
			return false;
		}
		
		// Include upgrade class:
		require_once __DIR__ . '/helpers/upgrade.php';  

		// Run the upgrade class:
		$upgrade = new LartsUpgrade($this);
		if ($upgrade->doPostInstall() == false) {
			Factory::getApplication()->enqueueMessage(Text::_('Could not update the component properly, please try again.'), 'error');
		} 
		
		return true;
  }

}

return new LartsSubscriptionsInstaller;

