<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Version;

use LartsSubscriptions\Config as LartsConfig;
use LartsSubscriptions\Menu;
use LartsSubscriptions\Base\BSWrapper;

ToolbarHelper::preferences('com_lartssubscriptions');

// Get the component configuration
$config = LartsConfig::get();

$items = Menu::getItems();

// Remove disabled tabs
foreach ($items as $id => $data)
{
	if (in_array($config->{'admin_tab_' . $id}, ['1', 'tab'])) {
		continue;
	}
	unset($items[$id]);
}

$items = array_merge(['dashboard' => ['home', 'COM_LARTSSUBS_CPANEL', '', false]], $items);

$active_id = isset($items[$displayData]) ? $displayData : Factory::getApplication()->GetInput()->getCmd('controller', 'dashboard');
$baseurl = 'index.php?option=com_lartssubscriptions';
$dropdown = false;
$menuCount = count($items);
?>

<ul class="nav nav-tabs">

	<?php foreach ($items as $id => $data) : ?>

		<?php

		$url = 'index.php?option=com_lartssubscriptions';

		if ($id != 'dashboard') {
      $ctrl = $id;
      $task = $data['2'];
      if(empty($task) || $task == $ctrl) {
  			$url .= '&view=' .$ctrl;
      }
      else {
    		$url .= '&task=' .$ctrl. '.' .$task;
      }
		}
		?>

    <?php $active = ($id == $active_id) ? 'active' : ''; ?>

    <li>
      <a href="<?php echo $url; ?>" class="nav-link  <?php echo $active; ?>">
        <i class="fas fa-<?php echo $data['0']; ?>"></i>
        <?php echo Text::_($data['1']); ?>
      </a>
    </li>

	<?php endforeach; ?>

</ul>

