<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

HTMLHelper::_('behavior.framework');

$name    = $displayData['name'];
$options = $displayData['options'];

HTMLHelper::script('com_lartssubscriptions/multiselect.js', ['relative' => true, 'version' => 'auto']);
?>

<div class="well well-small treeselect-container">
	<div class="form-inline">
		<span class="small"><?php echo Text::_('JSELECT'); ?>:
			<a class="treeCheckAll" href="javascript://"><?php echo Text::_('JALL'); ?></a>,
			<a class="treeUncheckAll" href="javascript://"><?php echo Text::_('JNONE'); ?></a>
		</span>
		<span class="width-20">|</span>
		<span class="small"><?php echo Text::_('COM_LARTSSUBS_EXPAND'); ?>:
			<a class="treeExpandAll" href="javascript://"><?php echo Text::_('JALL'); ?></a>,
			<a class="treeCollapseAll" href="javascript://"><?php echo Text::_('JNONE'); ?></a>
		</span>
		<input type="text" name="treeselectfilter" class="treeselectfilter input-medium search-query pull-right" size="16"
		       autocomplete="off" placeholder="<?php echo Text::_('JSEARCH_FILTER'); ?>" aria-invalid="false" tabindex="-1">
	</div>

	<div class="clearfix"></div>

	<hr class="hr-condensed" />

	<ul class="treeselect">
		<?php foreach ($options as $option) : ?>
			<li>
				<div class="treeselect-item pull-left">
					<input type="checkbox" class="pull-left" name="<?php echo $name; ?>[]" id="<?php echo $name . $option->value; ?>"
					       value="<?php echo (int) $option->value; ?>"
						<?php echo $option->selected ? ' checked="checked"' : ''; ?><?php echo ! empty($option->readonly) ? ' readonly="readonly"' : ''; ?>
					/>
					<label for="<?php echo $name . $option->value; ?>" class="pull-left">
						<?php echo $option->text; ?>
					</label>
				</div>
			</li>
		<?php endforeach; ?>
	</ul>
	<div style="display:none;" class="noresultsfound alert alert-no-items">
		<?php echo Text::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
	</div>
</div>
