<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use LartsSubscriptions\Price;

$invoice = $displayData['invoice'];
?>
<style>
  .larts-fade-show {
    opacity: 1;
  }
  .larts-fade-out {
    opacity: 0;
    transition: opacity 400ms;
  }
</style>

<div class="larts-fade-show invoices-box" style="background-color: #f1f1f1!important;">

	<div class="invoices-box-header">
		<?php echo Text::_('COM_LARTSSUBS_REFUND_INVOICE'); ?>: <?php echo $invoice->invoice_number; ?>
	</div>

	<div class="invoices-box-content">

		<div class="larts-refund-info">
  		<?php echo Text::_("COM_LARTSSUBS_CREATE_CREDIT_INVOICE_HELP"); ?>
    </div>

<!--		<form action="index.php" method="POST" name="creditForm" id="creditForm" enctype="multipart/form-data">-->
    <form action="index.php?option=com_lartssubscriptions" method="POST" name="adminForm" id="adminForm" enctype="multipart/form-data">

			<div class="form-group invoices-margin">
				<label for="provider"><?php echo Text::_("COM_LARTSSUBS_PROVIDER"); ?></label>
				<input type="text" class="form-control disabled" style="width:95%;" id="provider" value="<?php echo $invoice->provider; ?>">
			</div>

			<div class="form-group invoices-margin">
				<label for="transaction"><?php echo Text::_("COM_LARTSSUBS_TRANSACTION_ID"); ?></label>
				<input type="text" class="form-control disabled" style="width:95%;" id="transaction"  value="<?php echo $invoice->transaction_id; ?>">
			</div>

			<div class="form-group invoices-margin">
				<label for="amount"><?php echo Text::_("COM_LARTSSUBS_AMOUNT"); ?></label>
				<input type="text" class="form-control disabled" style="width:95%;" id="amount"   value="<?php echo Price::_($invoice->net_price); ?>">
			</div>

			<div class="form-group invoices-margin">
				<label for="refund_reason"><?php echo Text::_("COM_LARTSSUBS_PRIVATE_INFO"); ?></label>
				<textarea rows="5" style="width:95%" name="refund_reason" id="refund_reason"></textarea>
			</div>

			<div class="checkbox invoices-margin">
				<label>
					<input type="checkbox" value="yes" name="send_email" id="send_email" checked="checked"> <?php echo Text::_("COM_LARTSSUBS_SEND_REFUND_EMAIL"); ?>
				</label>
			</div>

			<button type="submit" class="btn btn-success btn-block invoices-margin"><?php echo Text::_("COM_LARTSSUBS_CREATE_CREDIT_INVOICE_BTN"); ?></button>
			<button type="button" id="abort-refund" class="btn btn-danger btn-block invoices-margin">Cancel</button>

			<input type="hidden" name="id" id="invoice_number" value="<?php echo $invoice->id; ?>" />
			<input type="hidden" name="option" value="com_lartssubscriptions" />
			<input type="hidden" name="task" value="invoices.refund" />

		</form>
	</div>

</div>
