<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

$form = $displayData['form'];

HTMLHelper::_('bootstrap.tooltip');
HTMLHelper::_('behavior.multiselect');
HTMLHelper::_('formbehavior.chosen', 'select');

?>

<div class="larts-fade-show invoices-box" style="background-color: #f1f1f1!important;">

	<div class="invoices-box-header">
		<?php echo Text::_('COM_LARTSSUBS_FINANCIAL_REPORT_XLS'); ?>
	</div>

	<div class="invoices-box-content">

		<p style="margin-bottom:15px;"><?php echo Text::_("COM_LARTSSUBS_FINANCIAL_REPORT_XLS_DESC"); ?></p>

		<form action="index.php?option=com_lartssubscriptions" method="POST" name="exportForm" id="exportForm" enctype="multipart/form-data">

      <div class="row larts-edit-row">
          <div class="row larts-edit-row">
            <div class="span6 col-md-6">
              <fieldset class="form-horizontal-desktop">
                <?php echo $form->renderFieldset('details_left'); ?>
              </fieldset>
            </div>
            <div class="span6 col-md-6">
              <fieldset class="form-horizontal-desktop">
                <?php echo $form->renderFieldset('details_right'); ?>
              </fieldset>
            </div>
          </div>
      </div>

			<?php //echo $form->renderFieldset('details'); ?>

			<button type="submit" class="btn btn-success btn-block invoices-margin"><?php echo Text::_("COM_LARTSSUBS_GENERATE_XLS_FILE"); ?></button>
			<button type="button" id="close-report" class="btn btn-danger btn-block invoices-margin">Cancel</button>

<!--			<input type="hidden" name="option" value="com_lartssubscriptions" />-->
			<input type="hidden" name="task" value="invoices.report" />

		</form>
	</div>

</div>
