<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;

?>

<div class="form-inline form-inline-header">
</div>
<div class="row title-alias form-vertical mb-3">
  <?php
  $value   = isset($displayData['data']->{$displayData['title']}) ? $displayData['data']->{$displayData['title']} : '';
  $label   = Text::_(isset($displayData['title_label']) ? $displayData['title_label'] : 'JGLOBAL_TITLE');
  $tooltip = '&lt;strong&gt;' . $label . '&lt;/strong&gt;&lt;br /&gt;'
    . Text::_(isset($displayData['title_description']) ? $displayData['title_description'] : '');
  ?>
  <div class="col-12 col-md-6">
    <div class="control-group">
      <div class="control-label">
        <label id="jform_title-lbl" for="<?php echo isset($displayData['title']) ? $displayData['title'] : ''; ?>" class="required hasTooltip"
               title="<?php echo Text::_($tooltip) ?>" data-placement="bottom">
          <?php echo $label; ?><span class="star">&#160;*</span>
        </label>
      </div>
      <div class="controls">
        <input type="text" name="<?php echo $displayData['title']; ?>" id="<?php echo $displayData['title']; ?>"
               value="<?php echo $value ?>" class="form-control required" size="40" aria-required="true" />
      </div>
    </div>
  </div>

  <?php if (isset($displayData['alias'])): ?>
    <?php
    $value   = isset($displayData['data']->{$displayData['alias']}) ? $displayData['data']->{$displayData['alias']} : '';
    $label   = Text::_(isset($displayData['alias_label']) ? $displayData['alias_label'] : 'JFIELD_ALIAS_LABEL');
    $tooltip = '&lt;strong&gt;' . $label . '&lt;/strong&gt;&lt;br /&gt;'
      . Text::_(isset($displayData['alias_description']) ? $displayData['alias_description'] : 'JFIELD_ALIAS_DESC');
    ?>
  <div class="col-12 col-md-6">
    <div class="control-group">
      <div class="control-label">
        <label id="jform_alias-lbl" for="<?php echo $displayData['alias']; ?>" class="hasTooltip"
               title="<?php echo Text::_($tooltip) ?>" data-placement="bottom">
          <?php echo $label; ?></label>
      </div>
      <div class="controls">
        <input type="text" name="<?php echo $displayData['alias']; ?>" id="<?php echo $displayData['alias']; ?>"
               value="<?php echo $value; ?>" class="form-control" pattern="[0-9a-z-_]+"
               placeholder="<?php echo Text::_('JFIELD_ALIAS_PLACEHOLDER'); ?>" />
      </div>
    </div>
  </div>
  <?php endif; ?>
</div>

