<?php
/*
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 *  
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use LartsSubscriptions\Base\Database;
use LartsSubscriptions\Periods;
use LartsSubscriptions\Cart;


class API {

  public function __construct()
  {
    require_once JPATH_ADMINISTRATOR .'/components/com_lartssubscriptions/src/Extension/autoload.php';
  }

  public function getUserSubscriptions($userid, $notExpired = false)
  {
    $per = new Periods;
    $data = $per->getAllOfUser($userid, $notExpired);

    return $data;
  }

  public function getSubscribedProductsOfUser($userid, $notExpired = false)
  {
    $per = new Periods;
    $data = $per->getAllProductsOfUser($userid, $notExpired);

    return $data;
  }

  public function setCartItemExtraInfo($item_id, $info)
  {
    $cart = new Cart;
    $cart->setExtraInfo($item_id, $info);
  }
  
}



