<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions\Base;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\Application\SiteApplication;

use LartsSubscriptions\Base\Redirect;

/**
 * Description of AppBase
 * Singleton app
 * @author Christian
 */
class AppBase
{
	public static $_app = null;

	public function __construct() {
	}

  public static function get($classname = null) {
		if (!self::$_app) {
			if (empty($classname)) {
				throw new \Exception('Failed to instanciate class', 500);
			}
			self::$_app = new $classname;
		}
		return self::$_app;
	}
   
  public function getCurrentMenuId() {
    $siteapp = new SiteApplication;
    return $siteapp->getMenu()->getActive()->id;
  }

  public static function loadLanguage($extension, $bAdmin)
  {
    //$extension = 'com_helloworld';
    $lang = Factory::getLanguage();
    $base_dir = $bAdmin ? JPATH_ADMINISTRATOR : JPATH_SITE;
    $language_tag = 'en-GB';
    $reload = true;
    $lang->load($extension, $base_dir, $language_tag, $reload);
  }
 
  public static function getUrl()
  {
    $uri = Uri::getInstance();
    $url = $uri->toString();
  }
}



