<?php
/*
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 *  
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions\Base;
defined('_JEXEC') or die;

class BSWrapper {

  /** see https://getbootstrap.com/docs/5.0/components/badge/ */
  public static function label($text, $type = 'primary', $tooltip = null)
  {
    if(is_array($text)) {
      $tooltip = null;
    }
    
    if($type == 'default') {
      $type = 'secondary';
    }
    if($type == 'inverse') {
      $type = 'dark';
    }
    if($type == 'important') {
      $type = 'danger';
    }

    if(!empty($tooltip)) {
      $type .= ' hasTooltip';
      $tooltip = ' title="' .$tooltip. '"';
    }
    
    if(is_array($text)) {
      $html = '';
      foreach ($text as $item) {
        $html .= '<span class="badge bg-'.$type.'">'.$item. '</span>';
      }
    }
    else {
      return '<span class="badge bg-'.$type.'"' .$tooltip. '>'.$text. '</span>';
    }
   
  }

}
