<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions\Base;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;

class Country
{
	public function __construct() {
	}

 	public static function getCountry($id, $select = '*')
	{
		$db = Factory::getDbo();
		$query = $db->getQuery(true)
		                  ->select($select)
		                  ->from($db->quoteName('#__larts_subs_countries'))
		                  ->where($db->quoteName('id') . ' = ' . $id);

		$db->setQuery($query);

		return $db->loadObject();
	}

	/**
	 * Getting the country by its country code.
	 * @return object
	 */
	public static function getCountryByCountryCode($country = null)
	{
		$db = Factory::getDbo();
		$query = $db->getQuery(true)
		                  ->select(['*'])
		                  ->from($db->quoteName('#__larts_subs_countries'))
		                  ->where($db->quoteName('country_2_code') . ' = ' . $db->quote($country));

		$db->setQuery($query);

		return $db->loadObject();
	}

	/**
	 * Getting all countries
	 * @return mixed
	 */
	public static function getCountries($published = 1)
	{
		$db = Factory::getDbo();
		$query = $db->getQuery(true)
		                  ->select([
			                  'country_2_code as id',
			                  'country AS name',
		                  ])
		                  ->from($db->quoteName('#__larts_subs_countries'))
		                  ->where($db->quoteName('id') . ' != 1')
		                  ->where($db->quoteName('published') . ' = ' . $published)
		                  ->order($db->quoteName('country'));

		$db->setQuery($query);

		return $db->loadObjectList();
	}

	public static function getCountriesWithVatTurnedOn()
	{
		$db = Factory::getDbo();
		$query = $db->getQuery(true)
		                  ->select('country_2_code as id, vatrate_std as vat')
		                  ->from($db->quoteName('#__larts_subs_countries'))
		                  ->where($db->quoteName('requires_vat') . ' = 1')
		                  ->where($db->quoteName('vatrate_std') . ' > 0')
		                  ->where($db->quoteName('id') . ' != 1');

		$db->setQuery($query);

		return $db->loadAssocList('id', 'vat');
	}


}