<?php
/*
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 *  
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions\Base;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;

class ExtensionsHelper {

  public function __construct() {
    
  }
  public static function lookupExtensionId($extension_type, $element)
	{
    $db = Factory::getDbo();
		$query = $db->getQuery(true)
			->select($db->quoteName(['extension_id', 'package_id']))
			->from('#__extensions')
			->where($db->quoteName('type') . ' = ' . $db->quote($extension_type))
			->where($db->quoteName('element') . ' = ' . $db->quote($element));
		$db->setQuery($query, 0, 1);
		return $db->loadObject();
	}

   public static function lookupExtensions($plugin_folder)
	{
    $db = Factory::getDbo();

		$query = $db->getQuery(true)
			->select($db->quoteName(['extension_id', 'package_id', 'element', 'enabled', 'access']))
			->from('#__extensions')
			->where($db->quoteName('folder') . ' = ' . $db->quote($plugin_folder));
		$db->setQuery($query);
		return $db->loadObjectList();
	}

  public static function publishPlugin($extname, $plugin_folder, $bEnabled)
	{
    $db = Factory::getDbo();

    $query = $db->getQuery(true)
			->update('#__extensions')
			->set($db->quoteName('enabled') . ' = '. ($bEnabled ? '1' : '0'))
			->where($db->quoteName('type') . ' = ' . $db->quote('plugin'))
			->where($db->quoteName('element') . ' = ' . $db->quote($extname))
			->where($db->quoteName('folder') . ' = ' . $db->quote($plugin_folder));
		$db->setQuery($query);
		$db->execute();
	}

  public static function loadParams($extension_id)
	{
		$db = Factory::getDbo();

		// read the existing component manifest_cache
		$query = $db->getQuery(true)
                ->select('params')
                ->from($db->quoteName('#__extensions'))
                ->where($db->quoteName('extension_id') . ' = ' . $db->quote($extension_id));
		$db->setQuery($query);
		$cache = json_decode($db->loadResult(), true);
    return $cache;
  }

  public static function loadManifestCache($extension_id)
	{
		$db = Factory::getDbo();

		// read the existing component manifest_cache
		$query = $db->getQuery(true)
                ->select('manifest_cache')
                ->from($db->quoteName('#__extensions'))
                ->where($db->quoteName('extension_id') . ' = ' . $db->quote($extension_id));
		$db->setQuery($query);
		$cache = json_decode($db->loadResult(), true);
    return $cache;
  }

}
