<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions\Base;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;

/**
 * Description of ReplaceContentManager
 * @author Christian
 */

class ReplaceContentManager
{
  public function lookupContentWithAppIdent($appident)
  {
    // get all articles with content {myapp:type}
    $strLook = '{'.$appident.':';
		$db = Factory::getDBO();
		$query = $db->getQuery(true)
      ->select('`id`, `alias`, `catid`, `introtext`, `fulltext`')
			->from($db->quoteName('#__content'))
			->where('`introtext` like '.$strLook.' or `fulltext` like '.$strLook)
      ->andWhere('`state` >= 0')
      ;

		$db->setQuery($query);
		$result = $db->loadObjectList();
		return $result;
	}

  public function getArticleByType($appident, $type) {
		$articleList = $this->lookupContentWithAppIdent($appident);
    if(!empty($articleList))
    {
      foreach ($articleList as $article) {
        $articleType = $this->lookupTypeIdentInContent($article, $appident);
        if($articleType == $type) {
          // found
          return $article;
        }
      }
    }
    return null;
	}

  public function lookupTypeIdentInContent($article, $appIdent)
  {
    $regex = '/{('.$appIdent.')\s*(.*?)}/i';
    @preg_match_all($regex, $article->articletext, $matches, PREG_SET_ORDER);
    foreach ($matches as $elm) {
      $line = strip_tags($elm[2]); // get rid of most of the embedded html tags, if any. Only tags directly after the { will not be cleaned as regex will not pick those up
      $line = str_replace("&nbsp;", " ", $line);
      $line = str_replace(" ", "&", $line);
      $line = strtolower($line);
      parse_str($line, $parms);
      if (!isset($parms['type'])) { // no type provided, so either an old style plugin or just forgot...
        Factory::getApplication()->enqueueMessage('Missing type for ' .$appIdent. 'content-tag.');
      }
      $contenttype = strtolower($parms['type']);
    }
  }
  
}
