<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions;
defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

use LartsSubscriptions\Config as LartsConfig;

class CartItemQuantity
{
	public static function getQuantitySelect($item)
	{
		$config = LartsConfig::get();

		$quantity_max_count = in_array($item->period_type, ['lifetime', 'onetime'])
			? 1
			: (int) $config->cart_quantity_max_count;

		$options = [];

		$options[] = HTMLHelper::_('select.option', 0, Text::_('COM_LARTSSUBS_CART_ITEM_REMOVE'));

		$count = 0;
		while ($count < $quantity_max_count)
		{
			$count = self::getNextQuantityValue($count);

			$options[] = HTMLHelper::_('select.option', $count, Text::sprintf('COM_LARTSSUBS_CART_NR_OF_ITEMS', $count));
		}

		$action = 'class="form-select form-select-sm larts_cart_quantity_select" onchange="updateNrOfProductsInCart(' . $item->product_id . ', this.value);"';

		return HTMLHelper::_('select.genericlist', $options, '', $action, 'value', 'text', $item->quantity);
	}

	private static function getNextQuantityValue($value = 0)
	{
		switch (true)
		{
			case ($value < 25) :
				return $value + 1;

			case ($value < 100) :
				return $value + 5;

			case ($value < 250) :
				return $value + 50;

			case ($value < 1000) :
				return $value + 100;

			case ($value > 1000) :
			default:
				return $value + 1000;
		}
	}
}
