<?php
/*
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 *  
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;

use LartsSubscriptions\Base\Database;

class Customer
{
  public $userid = 0;
  public $customer = null;
  public $juser = null;

  public function __construct($userid = null)
  {
    $this->userid = $userid;
    if($this->userid > 0) {
      $this->loadCustomer();
      $this->loadJUser();
    }
  }

  public function loadCustomer($userid = null)
  {
    if($userid != null) {
      $this->userid = $userid;
    }
    if(empty($this->userid)) {
      return false;
    }

    $db = Factory::getDbo();

    $query = $db->getQuery(true);
    $query->select('*')
          ->from($db->quoteName('#__larts_subs_customers'))
          ->where($db->quoteName('userid') . ' = ' .$db->quote($this->userid));
    $db->setQuery($query);
    $this->customer = $db->loadObject();
    return $this->customer;
  }

  public function loadJUser($userid = null)
  {
    if($userid != null) {
      $this->userid = $userid;
    }
    if(!($this->userid > 0)) {
      return false;
    }

    $db = Factory::getDbo();

    $query = $db->getQuery(true);
    $query->select('*')
          ->from($db->quoteName('#__users'))
          ->where($db->quoteName('id') . ' = ' .$db->quote($this->userid));
    $db->setQuery($query);
    $this->juser = $db->loadObject();
    
    return $this->juser;
  }

  public static function getCustomerByUserId($userid)
	{
		if (empty($userid)) {
			return null;
		}

		$db = Factory::getDbo();
		$query = $db->getQuery(true)
		            ->select(['cust.*', 'users.email', 'users.username'])
		            ->from($db->quoteName('#__larts_subs_customers', 'cust'))
		            //->join('LEFT', $db->quoteName('#__larts_subs_countries', 'c') . ' ON (' . $db->quoteName('cust.country_code') . ' = ' . $db->quoteName('c.id') . ')')
		            ->join('LEFT', $db->quoteName('#__users', 'users') . ' ON (' . $db->quoteName('cust.userid') . ' = ' . $db->quoteName('users.id') . ')')
		            ->where($db->quoteName('cust.userid') . ' = ' . (int)$userid);

		$db->setQuery($query);

		return $db->loadObject();
	}

	public static function save($record)
	{
    return Database::update('#__larts_subs_customers', 'id', $record);
	}

}
