<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions\Export;
defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

class MossExport extends Export
{
	public $context = 'com_lartssubscriptions.moss';

	public function __construct()
	{
		parent::__construct();

		$this->filename = 'export-moss-' . date('Ymd');
	}

	public function getFilename()
	{
		return $this->filename;
	}

	public function export($model)
	{
    $this->data = $model->getItems();
    
    $object = current($this->data);
    
    $this->prepareHeaders($object);

    $sheets[] = [
			'name' => 'MOSS',
			'rows' => $this->data,
		];

		$this->writeToExcelFile($sheets);
	}

  public function queryData()
	{
  }


	/**
	 * Getting header exceptions.
	 */
	public function headerExceptions()
	{
		return [
			'userid'      => 'int',
			'items'       => 'int',
			'date'        => 'date',
			'netto_price' => 'price',
			'brutto_price' => 'price',
			'vat_total'  => 'price',
			'netto'       => 'price',
			'brutto'       => 'price',
			'vat'         => 'price',
			'discount'    => 'price',
		];
	}
}