<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;

class InstallationHelper
{
	/**
	 * Getting the installed version of the component.
	 */
	public function getInstalledVersion($element = 'com_lartssubscriptions')
	{
		$db = Factory::getDbo();

		$query = $db->getQuery(true)
		            ->select('manifest_cache')
		            ->from($db->quoteName('#__extensions'))
		            ->where($db->quoteName('element') . ' = ' . $db->quote($element));
		$db->setQuery($query);

		$params = json_decode($db->loadResult());

		return ! empty($params) ? $params->version : null;
	}

	/**
	 * Getting the installed version to check the installation.
	 */
	public function isExtensionInstalled($element = 'com_lartssubscriptions')
	{
		$db = Factory::getDbo();

		$query = $db->getQuery(true)
		            ->select('manifest_cache')
		            ->from($db->quoteName('#__extensions'))
		            ->where($db->quoteName('element') . ' = ' . $db->quote($element));
		$db->setQuery($query);

		$params = $db->loadResult();

		return ! empty($params) ? true : false;
	}
}