<?php

/*
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 *  
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;

use LartsSubscriptions\Base\Database;
use Joomla\CMS\Date\Date;


class MassMailQueue
{
  const MAIL_UNSENT = 0;
  const MAIL_SENT = 1;
  const MAIL_ERROR = 2;
  const MAIL_ERROR_TEMPLATE_MISSING = 3;

  public function __construct() {
    
  }

  public static function getUniqueBatchId($template_id)
	{
 		// Generate a unique mail id:
		$date     = new Date;
		$batch_id = $date->format('Ymd-') .$template_id.'-'.time();
    $batch_id = str_replace(',', '-', $batch_id);
    return $batch_id;
  }
  
  public static function getMails($cids = [], $select = '*')
	{
    //$dbase = new Database;
    return Database::loadObjectList('#__larts_subs_email_queue', $cids, $select);
	}

  public static function saveMail($record)
	{
    //$dbase = new Database;
    return Database::insert('#__larts_subs_email_queue', $record);
	}

  public static function deleteMails($cids)
	{
    return Database::deleteObjects('#__larts_subs_email_queue', $cids);
	}

  public static function deleteByStatus($status = self::MAIL_UNSENT)
	{
    $db = Factory::getDbo();
		$query = $db->getQuery(true)
			->delete($db->quoteName('#__larts_subs_email_queue'))
			->where($db->quoteName('status') . ' = ' .$status);
		$db->setQuery($query);

		return $db->execute();
	}

  
}
