<?php

/*
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 *  
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions;
defined('_JEXEC') or die;

use LartsSubscriptions\Base\Database;

class MassMailTemplates {

  public function __construct() {
    
  }

  public static function getTemplate($id)
	{
    return Database::loadObject('#__larts_subs_email_templates', $id);
	}

  public static function getTemplates($cids = [], $select = '*')
	{
    return Database::loadObjectList('#__larts_subs_email_templates', $cids, $select);
	}

  public static function saveTemplate($record)
	{
    if($record['id'] == 0) {
      return Database::insert('#__larts_subs_email_templates', $record);
    }

    $bRet = Database::update('#__larts_subs_email_templates', 'id', $record);
    return ($bRet == false) ? 0 : $record['id'];
	}

  public static function deleteTemplates($cids)
	{
    return Database::deleteObjects('#__larts_subs_email_templates', $cids);
	}

  public static function publish($cids, $value)
	{
    $bRet = Database::setColumn('#__larts_subs_email_templates', 'published', 'id', $cids, $value);
    return $bRet;
  }
  
}
