<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions;
defined('_JEXEC') or die;

use LartsSubscriptions\Config as LartsConfig;

class Menu
{
  const NORMAL = 0x00;
  const DROPDOWN = 0x01;
  const DROPDOWN_APPEND = 0x02;
  
	public static function adminTiles()
	{
		$config = LartsConfig::get();

		$items = self::getItems();

		if(!$config->use_invoicing) {
			unset($items['invoices']);
		}

		foreach ($items as $id => $data)
		{
			if (in_array($config->{'admin_tab_' . $id}, ['1', 'tile',])) {
				continue;
			}
			unset($items[$id]);
		}

		return $items;
	}

	public static function getItems()
	{
    
    $items = [
      'order'         => ['plus-circle', 'COM_LARTSSUBS_NEW_ORDER', 'order.createOrder', Menu::NORMAL],
      'products'      => ['cube', 'COM_LARTSSUBS_PRODUCTS', 'products', Menu::DROPDOWN],
      'categories'    => ['hashtag', 'COM_LARTSSUBS_CATEGORIES', 'categories', Menu::DROPDOWN_APPEND],
      'files'         => ['file-alt', 'COM_LARTSSUBS_FILES', 'files', Menu::DROPDOWN_APPEND],
      'customers'     => ['users', 'COM_LARTSSUBS_CUSTOMERS', 'customers', Menu::NORMAL],
      'subscriptions' => ['list', 'COM_LARTSSUBS_SUBSCRIPTIONS', 'subscriptions', Menu::NORMAL],
      'pendings'      => ['exclamation-circle', 'COM_LARTSSUBS_PENDING_TRANSACTIONS', 'pendings', Menu::DROPDOWN_APPEND],
      'orders'        => ['clipboard-check', 'COM_LARTSSUBS_ORDERS', 'orders', Menu::NORMAL],
      'transactions'  => ['credit-card', 'COM_LARTSSUBS_TRANSACTIONS', 'transactions', Menu::DROPDOWN],
      'invoices'      => ['file-invoice-dollar', 'COM_LARTSSUBS_INVOICES', 'invoices', Menu::NORMAL],
      'coupons'       => ['magic', 'COM_LARTSSUBS_COUPONS', 'coupons', Menu::NORMAL],
      'tickets'       => ['tag', 'COM_LARTSSUBS_TICKETS', 'tickets', Menu::NORMAL],
      'templates'     => ['align-justify', 'COM_LARTSSUBS_TEMPLATES', 'templates', Menu::NORMAL],
      'queue'         => ['envelope', 'COM_LARTSSUBS_MAILINGS', 'queue', Menu::NORMAL],
      'logfiles'      => ['book', 'COM_LARTSSUBS_DOWNLOADS_LOG', 'logfiles', Menu::NORMAL],
      'countries'     => ['map-marker', 'COM_LARTSSUBS_COUNTRIES', 'countries', Menu::NORMAL],
      'vatrates'      => ['share-alt', 'COM_LARTSSUBS_VATRATES', 'vatrates', Menu::NORMAL],
      'vatclasses'    => ['th-large', 'COM_LARTSSUBS_VATCLASSES', 'vatclasses', Menu::NORMAL],
      'moss'          => ['sitemap', 'COM_LARTSSUBS_MOSS', 'moss', Menu::NORMAL],
    ];

    return $items;
	}
}