<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions;
defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;

class OrderStatus
{
  // order
  const UNPROCESSED = 0x00;
  const PENDING = 0x01;
  const INVOICE_CREATED = 0x02;
  const INVOICE_SENT = 0x04;
  const PAID = 0x08;
  const PROCESSED = 0x10;
  const REFUNDED = 0x20;
  const CANCELED = 0x40;
  const FAILED = 0x80;
  const PROCESS_IPN = 0x100;     // auto process products for IPN

  public static function hasState($var, $state) {
    return ($var & $state);
  }
  
  public static function Str($state)
	{
		//if ($state & self::COMPLETED) {
		//	return Text::_('COM_LARTSSUBS_COMPLETED');
		//}
		if ($state & self::PROCESSED) {
			return Text::_('COM_LARTSSUBS_PROCESSED');
		}
		if ($state & self::PENDING) {
			return Text::_('COM_LARTSSUBS_PENDING');
		}
		if ($state & self::PAID) {
			return Text::_('COM_LARTSSUBS_PAID');
		}
		if ($state & self::INVOICE_CREATED) {
			return Text::_('COM_LARTSSUBS_PENDING_INVOICE_CREATED');
		}
		if ($state & self::INVOICE_SENT) {
			return Text::_('COM_LARTSSUBS_PENDING_INVOICE_SENT');
		}
		if ($state & self::CANCELED) {
			return Text::_('COM_LARTSSUBS_CANCELED');
		}
		if ($state & self::FAILED) {
			return Text::_('COM_LARTSSUBS_FAILED');
		}

		return Text::_('COM_LARTSSUBS_PENDING');
	}
  
  
}
