<?php
/*
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 *  
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions;
defined('_JEXEC') or die();

use Joomla\CMS\User\User;
use LartsSubscriptions\Customer;


/**
 * Description of Privacy
 *
 * @author Christian
 */
class Privacy
{
  var $plg_privacy = null;
  
  public function __construct($plg_privacy)
  {
    $this->plg_privacy = $plg_privacy;
  }

  public function createDomains(User $user)
  {
    $domains = array();
    $domains[] = $this->createCustomerDomain($user);
    return $domains;
  }

  private function createCustomerDomain(User $user)
	{
		$domain = $this->plg_privacy->createDomain('customer', 'lartssubs_customer_data');

		$query = $this->plg_privacy->db->getQuery(true)
			->select('*')
			->from($this->plg_privacy->db->quoteName('#__larts_subs_customers'))
			->where($this->plg_privacy->db->quoteName('userid') . ' = ' . (int)$user->id)
            ;
		$items = $this->plg_privacy->db->setQuery($query)->loadAssocList();

		// Add each article to the domain
		foreach ($items as $item)
		{
			$domain->addItem($this->plg_privacy->createItemFromArray($item));
		}

		return $domain;
	}

  public function anonymizeData(User $user)
  {
    $customer = Customer::getCustomerByUserId($user->id);
    
    $record = [
      'firstname' => 'anonymized',
      'lastname' => 'anonymized',
      'address1' => 'anonymized',
      'address2' => 'anonymized',
      'phone' => 'anonymized',
      'companyname' => 'anonymized',
      'vat_number' => 'anonymized',
      'vat_validation_result' => false,
      'profile_image' => '',
      'published' => false,
    ];

    Customer::save($record);
  }
  
}


