<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions;
\defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Uri\Uri;

class RouterHelper
{
  
	static function verifyMenuId($url)
  {
    $id = RouterHelper::get1stMatchingMenuItem();
    $idurl = $url . '&Itemid='.$id;
    return $idurl;
  }  
  
	static function getUri()
  {
    $uri = Uri::getInstance();
    
    $url = $uri->toString();
    $arr = $uri->getQuery(true);
    
    return $uri;
  }
  
	static function getMenuQuery()
	{
		$matching_menu_id = $this->getMatchingMenuItems();

		if (empty($matching_menu_id)) {
			return [];
		}

		$this->query['Itemid'] = $matching_menu_id;
		$menu_query            = $this->menu->getItem($matching_menu_id)->query;

		// Add missing query parts from the menu
		//$this->query = array_merge($this->query, $this->menu_query);

		return $menu_query;
	}
  
	static function get1stMatchingMenuItem()
	{
		$db = Factory::getDbo();

		$query = $db->getQuery(true)
			->select($db->quoteName('id'))
			->from('#__menu')
			->where($db->quoteName('client_id') . ' = 0')   // site menus
			->where($db->quoteName('published') . ' = 1')
			->where($db->quoteName('link') . ' LIKE ' . $db->quote('%index.php?option=com_lartssubscriptions%'));
    
    //$str = $query->__toString();
    // SELECT `id` FROM `gu44w_menu` WHERE `client_id` = 0 AND `published` = 1 AND `link` LIKE '%index.php?option=com_lartssubscriptions%';
		$db->setQuery($query, 0, 1);
    $matching_menu_id = $db->loadResult();
        
		return $db->loadResult();
	}
  
}

