<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;

class Template
{
  const MAIL = 0;
  const PAGE = 1;
  const INVOICE = 2;
  const TICKET = 3;
  const TEMPLATE = 4;
  const _LAST_ = 5;

  const TYPE_MAIN = 0;
  const TYPE_PRODMASSMAIL = 1;
  
  public static function getTypeStr($type) {
    // get string
    switch($type) {
    case self::MAIL:
      return Text::_('COM_LARTSSUBS_MAIL');
    case self::PAGE:
      return Text::_('COM_LARTSSUBS_PAGE');
    case self::INVOICE:
      return Text::_('COM_LARTSSUBS_INVOICE');
    case self::TICKET:
      return Text::_('COM_LARTSSUBS_TICKET');
    case self::TEMPLATE:
      return Text::_('COM_LARTSSUBS_TEMPLATE');
    }
    return Text::_('COM_LARTSSUBS_ERROR');
  }
  
  public static function getTypeOptions()
  {
    $options = array();
    for($i = 0; $i < self::_LAST_; ++$i) {
      $options[$i] = self::getTypeStr($i);
    }
    return $options;
  }
  
	public static function lookupAlias($id)
	{
		$db = Factory::getDbo();
		$query = $db->getQuery(true)
		            ->select('alias')
		            ->from($db->quoteName('#__larts_subs_templates'))
		            ->where($db->quoteName('id') . ' = ' . (int) $id);

		$db->setQuery($query);
		$result = $db->loadResult();
    return empty($result) ? '' : $result;
	}

	public static function lookupIdByAlias($alias)
	{
		$db = Factory::getDbo();
		$query = $db->getQuery(true)
		            ->select('id')
		            ->from($db->quoteName('#__larts_subs_templates'))
		            ->where($db->quoteName('alias') . ' = ' . $db->quote($alias));
		$db->setQuery($query);
    return $db->loadResult();
	}
}
  
  
  

