<?php
/*
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 *  
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */
namespace LartsSubscriptions\ThirdParty;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Response\JsonResponse;

class LartsLicManager
{
  public function __construct() {
  }

  public static function IsInstalled() {
    $file = JPATH_ADMINISTRATOR .'/components/com_lartslicmanager/lib/API.php';
    return file_exists($file);
  }
  
  public static function getAPI()
  {
    if(!self::IsInstalled())
      return null;
    require_once JPATH_ADMINISTRATOR .'/components/com_lartslicmanager/lib/API.php';
    return new \LartsLicManager\API;
  }

  public static function getAjaxLicences()
  {
    $options = array();
    $options[] = array('value' => 0, 'text' => 'New licence');

    if(self::IsInstalled())
    {
      $input = Factory::getApplication()->GetInput();
      $userid = Factory::getApplication()->GetInput()->get('userid');
      
      $api = self::getAPI();
      $lics = $api->getUserLicences($userid, true);

      foreach($lics as $lic) {
        $options[] = array('value' => $lic->id, 'text' => $lic->licence_number);
      }
    }
    
    echo new JsonResponse($options);
    jexit();
  }

}
