<?php
/*
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 *  
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */
namespace LartsSubscriptions\ThirdParty;
defined('_JEXEC') or die;

use LartsPkgmanager\API;

class LartsPkgManager
{
  public function __construct() {
  }

  public static function IsInstalled() {
    $file = JPATH_ADMINISTRATOR .'/components/com_lartspkgmanager/lib/API.php';
    return file_exists($file);
  }
  
  public static function getAPI()
  {
    if(!self::IsInstalled())
      return null;
    require_once JPATH_ADMINISTRATOR .'/components/com_lartspkgmanager/lib/API.php';
    return new \LartsPkgmanager\API;
  }

  public static function checkMethod($class, $funcname)
  {
    if(method_exists($class, $funcname) && is_callable(array($class, $funcname))) {
      return true;
    }
    return false;
  }
}
