<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions\Traits;
defined('_JEXEC') or die;

trait InlineView
{
  public $aid;
  public $renderInlineLayout;
  
  public function setArticleId($aid) {
    $this->aid = $aid;
  }
  public function getArticleId() {
    return $this->aid;
  }
  public function setRenderLayoutPath($path) {
    $this->renderInlineLayout = $path;
  }

  public function getComponentLayoutsPath() {
    return JPATH_SITE. '/components/com_lartssubscriptions/layouts';
  }
  
  function renderInline()
  {
    // Start capturing output into a buffer
    ob_start();

    // Include the requested template filename in the local scope
    // (this will execute the view logic).
    include $this->renderInlineLayout;

    // Done with the requested template; get the buffer and
    // clear it.
    $html = ob_get_contents();
    ob_end_clean();

    return $html;
  }
}
