<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;

use LartsSubscriptions\Base\Database;
/**
 * Description of UserInfo
 * @author Christian
 */
class UserInfo
{
  public static function saveOrUpdate($infos = [])
  {
    $entry = self::load($infos['userid']);
    if($entry == null) {
      self::save($infos);
    }
    else {
      $infos['id'] = $entry->id;
      self::update($infos);
    }
  }
  
  public static function save($infos = [])
  {
    $strKeys = array_keys($infos);
    $strValues = implode("','", $infos);
    
    $db = Factory::getDbo();
    $query = $db->getQuery(true)
      ->insert($db->quoteName('#__larts_subs_customers'))
      ->columns($db->quoteName(array_keys($infos)))
      ->values("'".$strValues."'");
    $db->setQuery($query);
    //$sql = $query->__toString();

    $db->execute();
  }

  public static function load($userid)
  {
    $db = Factory::getDbo();
    $query = $db->getQuery(true)
      ->select('*')
      ->from($db->quoteName('#__larts_subs_customers'))
      ->where($db->quoteName('userid') .'='. $userid);

    $db->setQuery($query);
    $db->loadObject();
    $result = $db->loadObject();
    return $result;
  }

  public static function update($record, $key = 'id')
  {
    $dbhlp = new Database;
    return $dbhlp->update('#__larts_subs_customers', $key, $record);
  }
	
	public static function remove($userid)
	{
    $db = Factory::getDbo();
		$query = $db->getQuery(true)
		            ->delete()
		            ->from($db->quoteName('#__larts_subs_customers'))
		            ->where($db->quoteName('userid') .'='. $db->quote($userid));
		$db->setQuery($query);
		return $db->execute();
	}

}
