<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;

use LartsSubscriptions\Base\UserRegistration;


class UserRegState
{
	static $userstate = 'com_lartssubscriptions.registration';
	
  public static function getStateData()
  {
    $app = Factory::getApplication();
 		$data = $app->getUserState(self::$userstate, array());
		return $data;
  }

  public static function setStateData($data)
  {
    if(isset($data['coupon_code'])) {
      unset($data['coupon_code']);
    }
    if(isset($data['button'])) {
      unset($data['button']);
    }
    if(isset($data['option'])) {
      unset($data['option']);
    }
    if(isset($data['task'])) {
      unset($data['task']);
    }

		$app = Factory::getApplication();
 		$app->setUserState(self::$userstate, $data);
  }

	public static function clearStateData()
  {
    $app = Factory::getApplication();
 		$app->setUserState(self::$userstate, null);
  }
	
	public static function postProcessCheckout($orderstate)
	{
		$app = Factory::getApplication();
		$data = $app->getUserState(self::$userstate, array());

		if(!empty($data) && isset($data['userid'])) {

			if($orderstate == OrderStatus::CANCELED) {
				// drop the user if new registered...
				UserRegistration::removeUser($data['userid']);
			}
			else {
	      // Sending the user details to the customer if new registered
	    	UserRegistration::sendUserRegistration($data['ordercode'], $data['userid']);
			}
		}
		
		// no more needs...
		$app->setUserState(self::$userstate, null);
	}
}

