
(function() {
    'use strict';

    // AJAX request
    function euVatAjax(req_type, trigger) {
        var req_data = {
            action: 'add_' + req_type,
            business_id: trigger.getAttribute('data-taxid'),
            order_id: trigger.getAttribute('data-orderid'),
            nonce: wc_euvat_l10n.nonce
        };

        var xhr = new XMLHttpRequest();
        xhr.open('POST', ajaxurl, true);
        xhr.setRequestHeader('Content-Type', 'application/json');

        xhr.onreadystatechange = function() {
            if (xhr.readyState === XMLHttpRequest.DONE) {
                // Unblock button
                trigger.disabled = false;

                var responseElement = document.getElementById('wc-euvat-response');
                var responseData = JSON.parse(xhr.responseText);

                if (responseData.success) {
                    responseElement.style.color = '#2d882d';
                    responseElement.innerHTML = responseData.data;
                } else {
                    responseElement.style.color = '#ff0000';
                    responseElement.innerHTML = responseData.data;
                }
            }
        };

        xhr.send(JSON.stringify(req_data));

        // Disable button
        trigger.disabled = true;
    }

    // Initialize on DOM ready
    document.addEventListener('DOMContentLoaded', function() {
        // Tax ID checker
        var checkButton = document.getElementById('wc-euvat-check');
        if (checkButton) {
            checkButton.addEventListener('click', function(e) {
                e.preventDefault();
                euVatAjax('tax_id_check', this);
            });
        }
    });
})();

