/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

function ready(fn) {
    if (document.readyState != 'loading'){
      fn();
    } else {
      document.addEventListener('DOMContentLoaded', fn);
    }
  }
ready(() => {
  activatePaymentMethod();

  var elems = document.getElementsByName('logincreateoption');
  elems.forEach(function(elem) {
    elem.addEventListener('click', () => {
      toggleUserLogin();
    });
  });  

  PrepareAcceptTOS();
  
  elems = document.getElementsByName('payment_method_value');
  elems.forEach(function(elem) {
    elem.addEventListener('click', () => {
      activatePaymentMethod();
    });
  });  

  elems = document.getElementsByName('isbusiness');
  elems.forEach(function(elem) {
    elem.addEventListener('click', () => {
      onClickedBusiness();
    });
  });  

  var formCoupon = document.getElementById('adminForm'); // Get form element
  if(formCoupon != null) {
    formCoupon.addEventListener("formdata", function(event) {
      AppendRegFields(event.formData);
    });
  }

});

function onClickedBusiness()
{

  let isbu = document.getElementsByName('isbusiness');
  for (let i = 0; i < isbu.length; i++) {
    if (isbu[i].type == "radio" && isbu[i].checked == true) {
      isbu[i].parentNode.classList.add('btn-success');
    }
    else {
      isbu[i].parentNode.classList.remove('btn-success');
    }
  }   
}

function activatePaymentMethod() {

  elems = document.getElementsByName('payment_method_value');
  for (let i = 0; i < elems.length; i++) {
    elems[i].parentNode.classList.remove('btn');
    elems[i].parentNode.classList.remove('btn-default');
    
    if (elems[i].type == "radio" && elems[i].checked == true) {
      elems[i].parentNode.classList.add('btn');
      elems[i].parentNode.classList.add('btn-default');
    }
  }   
}

function toggleUserLogin()
{
  elem  = getRadioChecked('logincreateoption');

  if (elem.value == 1) {
    hide(document.getElementById("create_account"));
    show(document.getElementById("login_account"));
    return;
  }

  hide(document.getElementById("login_account"));
  show(document.getElementById("create_account"));
}

function PrepareAcceptTOS()
{
  var elemAccept = document.getElementById("tos_accept");
  if(elemAccept != null) {

    let elemPay = document.getElementById("makePayment");
    elemPay.disabled = true;
    let elemAccepted= document.getElementById("accepted_tos");
    elemAccepted.value = '0';

    elemAccept.addEventListener('click', () => {
      onClickedTosAccept();
    });
  }
}

function onClickedTosAccept()
{
  let elemAccept = document.getElementById("tos_accept");
  let elemPay = document.getElementById("makePayment");
  let elemAccepted = document.getElementById("accepted_tos");

  if(elemAccept.checked == true) {
    elemPay.disabled = false;
    elemAccepted.value = '1';
  }
  else {
    elemPay.disabled = true;
    elemAccepted.value = '0';
  }
}



function updateNrOfProductsInCart(id, count) {
	window.location = larts_root + 'index.php?option=com_lartssubscriptions&task=checkout.update&product_id=' + id + '&quantity=' + count;
}

function removeProductFromCart(id) {
	window.location = larts_root + 'index.php?option=com_lartssubscriptions&task=checkout.remove&product_id=' + id;
}

function updateProductLicInCart(id, lic) {
	window.location = larts_root + 'index.php?option=com_lartssubscriptions&task=checkout.updatelic&product_id=' + id + '&lic=' + lic;
}

function submitCheckoutForm()
{
  document.getElementById("makePayment").disabled = true; 
  let payment_method = getRadioChecked('payment_method_value');
  let pm = getFirstElementByName('payment_method');
	if(payment_method) {
    pm.value = payment_method.value;
  }
  else {
    payment_method = getFirstElementByName('payment_method_value');
    pm.value = payment_method.value;
  }

  // Empty VAT number if 'Register as Business' is switched off
  var isbu = getValueChecked('isbusiness');
  if(isbu != 1) {
    var elemVatnum = document.getElementById('vatnumber');
    if(elemVatnum != null) {
      elemVatnum.value = '';
     }
  }

  document.checkoutForm.submit();
}

function AppendRegFields(formDataCoupon)
{
  // add registration data before submit
  var formReg = document.getElementById('checkoutForm'); // Get form element

  for (var i = 0; i < formReg.elements.length; i++) { // Loop through each form element
    var field = formReg.elements[i]; // Get form field

    // ignore by type...
    if (field.type === 'submit')
      continue;
    if (field.type == 'password')
      continue;
    if (field.type == 'hidden')
      continue;
    if (field.type === 'button')
      continue;

    formDataCoupon.append(field.name, field.value);
  }
}

