/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

function beginEventListener(el, eventName, eventHandler, selector) {
  if (selector) {
    const wrappedHandler = (e) => {
      if (!e.target) return;
      
      const el = document.getElementById(selector);
      
      if (el && el == e.target) {
        const newEvent = Object.create(e, {
          target: {
            value: el
          }
        });
        eventHandler.call(el, newEvent);
      }
    };
    el.addEventListener(eventName, wrappedHandler);
    return wrappedHandler;
  } else {
    const wrappedHandler = (e) => {
      eventHandler.call(el, e);
    };
    el.addEventListener(eventName, wrappedHandler);
    return wrappedHandler;
  }
}

function doAJAXPost(url, data, cbf)
{
  fetch(url, {
    method: 'POST',
    headers: { Accept: 'application.json',
              'Content-Type': 'application/json' },
    body: JSON.stringify(data),
    Cache: 'default'
   }
  )
  .then(response => response.text())
  .then(response => {
    // console.log(response);
    cbInsert(response);
  })
  .catch(err => console.log(err));
}

function cbInsert(response)
{
  elemOverlay = document.getElementById("modaloverlay");
  elemOverlay.innerHTML = response;
}

function onClickCloseReport()
{
  elemOverlay = document.getElementById('modaloverlay');
  elemOverlay.classList.replace('larts-fade-out', 'larts-fade-show');
  elemOverlay.remove();
}

Joomla.submitbutton = task => {

  if (task === 'invoices.report') {

   let docHeight = document.body.getBoundingClientRect().height;
    document.body.innerHTML += "<div id='modaloverlay'></div>";

    elemOverlay = document.getElementById("modaloverlay");
    setHeight(elemOverlay, docHeight);

    geturl = 'index.php?option=com_lartssubscriptions&task=invoices.getExportForm';
    
    let formdata = {
      option    : 'com_lartssubscriptions',
      controller: 'invoices',
      task      : 'getExportForm',
      format    : 'raw',
    };

    
    beginEventListener(document, 'click', onClickCloseReport, 'close-report');

    doAJAXPost(geturl, formdata, cbInsert);

    return;
  }

  Joomla.submitform(task);
}

