/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

function doAJAXPost(url, data, callbackDone, callbackError = null)
{
  fetch(url, {
    method: 'POST',
    headers: { Accept: 'application.json',
              'Content-Type': 'application/json' },
    body: JSON.stringify(data),
    Cache: 'default'
   }
  )
  .then(response => response.text())
  .then(response => {
    // console.log(response);
    callbackDone(response);
  })
  .catch(err => {
    if(callbackError != null) {
      callbackError(err);
    }
  });
}

function hide(elem) {
  elem.style.display = 'none';
}
function show(elem) {
  elem.style.display = '';
}
function toggleShow(el) {
  if (el.style.display == 'none') {
    el.style.display = '';
  } else {
    el.style.display = 'none';
  }
}

function setValue(el, value) {
  el.value = value;
}
function getValueFromElement(el) {
  if (el.options && el.multiple) {
    return el.options
      .filter((option) => option.selected)
      .map((option) => option.value);
  } else {
    return el.value;
  }
}

function showElementsByName(name, bShow)
{
  var elems = document.getElementsByName(name);
  for (let i = 0; i < elems.length; i++) {
    if(bShow == true) { elems[i].style.display = ''; }
    else { elems[i].style.display = 'none'; }
  }
}
function showElementById(id, bShow)
{
  var elem = document.getElementById(id);
  if(elem != null) {
    if(bShow) { elem.style.display = ''; }
    else { elem.style.display = 'none'; }
  }
}

function getFirstElementByName(name)
{
  var elems = document.getElementsByName(name);
  if(elems.length > 0) {
    return elems[0];
  }
  return null;
}

function getValueById(name)
{
  var elem = document.getElementById(name);
  if(elem == null) {
    return null;
  }
  return elem.value;
}

function getValueChecked(name)
{
  var elems = document.getElementsByName(name);

  for (var i = 0; i < elems.length; i++) {
    if (elems[i].checked) {
      return elems[i].value;
    }
  } 
  return -1;
}

function getRadioChecked(name)
{
  elems = document.getElementsByName(name);
  for (let i = 0; i < elems.length; i++) {
    if (elems[i].type == "radio" && elems[i].checked == true) {
      return elems[i];
    }
  }
  return null;
}
  
function getElementChecked(name)
{
  var elems = document.getElementsByName(name);
  for (let i = 0; i < elems.length; i++) {
    if (elems[i].checked == true) {
      return elems[i];
    }
  }
  return null;
}

