/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */



function onClickCloseRefund(el, e)
{
  elemOverlay = document.getElementById('modaloverlay');
  elemOverlay.classList.replace('larts-fade-out', 'larts-fade-show');
  elemOverlay.remove();
}


function setHeight(el, val) {
  if (typeof val === 'function') val = val();
  if (typeof val === 'string') el.style.height = val;
  else el.style.height = val + 'px';
}

async function onClickRefund(invoiceid)
{
  if (!(document.readyState !== 'loading')) {
    return;
  }

  document.body.style.cursor = "wait";

  let invoice   = invoiceid;

  let docHeight = document.body.getBoundingClientRect().height;

  //const divOl = document.createElement('div');
  //divOl.id = "modaloverlay";
  document.body.innerHTML += "<div id='modaloverlay'></div>";
        
  elemOverlay = document.getElementById("modaloverlay");
  setHeight(elemOverlay, docHeight);
  
  let form = {
    option: 'com_lartssubscriptions',
    task  : 'invoices.getExportForm',
  };

  function encodeData(data) {
    return Object.keys(data).map(function(key) {
        return [key, data[key]].map(encodeURIComponent).join("=");
    }).join("&");
  }   
  const params = encodeData(form);
  geturl = 'index.php?' + params;
  geturl = 'index.php?option=com_lartssubscriptions&task=invoices.getRefundForm&id=' + invoice;

  response = await doAJAXGet(geturl);
  
	elemOverlay.innerHTML = response;
  //elemOverlay.style.borderWidth = '20px';

  beginEventListener(document, 'click', onClickCloseRefund, 'abort-refund');

  document.body.style.cursor = "";
}

async function doAJAXPost(url, data, callback)
{
  await fetch(url, {
    method: 'POST',
    headers: { Accept: 'application.json',
              'Content-Type': 'application/json' },
    body: JSON.stringify(data),
    Cache: 'default'
   }
  )
  .then(response => callback())
}
async function doAJAXGet(url)
{
  const response = await fetch(url);
  if (!response.ok) {
    console.log('error:');
    console.log(response);
  }
  return response.text();
}



