/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

function ready(fn) {
    if (document.readyState != 'loading'){
      fn();
    } else {
      document.addEventListener('DOMContentLoaded', fn);
    }
  }
ready(() => {
  checkMinWidthContainer();
  
  addEventListener("resize", (event) => {
    checkMinWidthContainer();
  });

  var elems = document.querySelectorAll('.row-sameheight');
  elems.forEach(function(row) {
    var highestBox = 0;
    var items = row.querySelectorAll('.item-sameheight');
    items.forEach(function(item) {
      if (item.offsetHeight > highestBox) {
        highestBox = item.offsetHeight;
      }
    });
    
    items = row.querySelectorAll('.item-sameheight')
    items.forEach(function(item) {
      item.style.height = highestBox + 'px';
    });
  });
});  

function checkMinWidthContainer()
{
  const elems = document.querySelectorAll('[class^="larts-minwidth-"],[class*=" larts-minwidth-"]');
  elems.forEach(function() {
    var minwidth = element.className.match(/(?:^|\s)larts-minwidth-([0-9]+)(?:\s|$)/)[1];

    if (element.offsetWidth < minwidth) {
      element.classList.add('larts-narrow');
      return;
    }

    element.classList.remove('larts-narrow');
  });
}

