/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */


document.onreadystatechange = function () {
  if (document.readyState === "complete") {
    prepareLics();
  }
}

function prepareLics()
{
  var elemModel = document.getElementsByName('model')[0];
  var elemUser = document.getElementsByName('userid')[0];
  if(elemModel == null || elemUser == null) { return; };
  
  var ajax_url = 'index.php?option=com_lartssubscriptions&task='+elemModel.value+'.getAjaxLicences&userid='+elemUser.value;
  
  var elemLics = document.getElementsByName('licence')[0];
  if(elemLics == null) {
    elemLics = document.getElementById('licence_chzn');
    if(elemLics == null) {
      return;
    }
  }
  
  requestLics(ajax_url, elemLics);
}
  
function requestLics(ajax_url, elemLics)
{
  // ajax request
  var xhttp = new XMLHttpRequest();
  xhttp.onreadystatechange = function() {
    if (this.readyState == 4 && this.status == 200) {

      var options = this.responseText;
      var jdata = JSON.parse(this.responseText);

      elemLics.innerHTML = "";
      for (i = 0; i < jdata.data.length; i++) {
        txt = jdata.data[i].text;
        val = jdata.data[i].value;
        elemLics.innerHTML += "<option value="+ val +">" + txt + "</option>"
      }
      elemLics.dispatchEvent(new Event("liszt:updated"));
    }
  };

  xhttp.open("GET", ajax_url, true);
  xhttp.send();
}

function onChangeUser()
{
  prepareLics();
}





