/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

document.addEventListener("DOMContentLoaded", function() {

  toggleTypeElements();

  document.querySelector('select[name=type]').addEventListener('change', function() {
    toggleTypeElements();
  });

  function toggleTypeElements() {
    var value = document.querySelector('[name=type]').value;

    toggleElement(
      'email_settings',
      !value || value == 'email'
    );

    toggleElement(
      'variables_subtemplates',
      !value || value != 'template'
    );

    toggleElement(
      'variables_invoice',
      !value || value == 'invoice'
    );

    toggleElement(
      'variables_invoice_item',
      !value || value == 'invoice'
    );
  }

});

function toggleElement(id, show) {
  if (show) {
    document.querySelector('#' + id).style.display = 'block';
    return;
  }

  document.querySelector('#' + id).style.display = 'none';
}



