<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

use Joomla\CMS\Categories\CategoryFactoryInterface;
use Joomla\CMS\Component\Router\RouterFactoryInterface;
use Joomla\CMS\Dispatcher\ComponentDispatcherFactoryInterface;
use Joomla\CMS\Extension\ComponentInterface;
use Joomla\CMS\Extension\Service\Provider\CategoryFactory;
use Joomla\CMS\Extension\Service\Provider\ComponentDispatcherFactory;
use Joomla\CMS\Extension\Service\Provider\MVCFactory;
use Joomla\CMS\Extension\Service\Provider\RouterFactory;
use Joomla\CMS\MVC\Factory\MVCFactoryInterface;
use Joomla\DI\Container;
use Joomla\DI\ServiceProviderInterface;

use Larts\Component\LartsSubscriptions\Administrator\Extension\LartsSubscriptionsComponent;


/**
 * The Bpsrc service provider.
 *
 * @since  4.0.0
 */
return new class implements ServiceProviderInterface
{
  public function __construct()
	{
  }

  
	/**
	 * Registers the service provider with a DI container.
	 *
	 * @param   Container  $container  The DI container.
	 *
	 * @return  void
	 *
	 * @since   4.0.0
	 */
	public function register(Container $container)
	{
		$container->registerServiceProvider(new MVCFactory('\\Larts\\Component\\LartsSubscriptions'));
		$container->registerServiceProvider(new ComponentDispatcherFactory('\\Larts\\Component\\LartsSubscriptions'));
		$container->registerServiceProvider(new RouterFactory('\\Larts\\Component\\LartsSubscriptions'));
    $container->registerServiceProvider(new CategoryFactory('\\Joomla\\Component\\LartsSubscriptions'));
    
		$container->set(
			ComponentInterface::class,
			function (Container $container)
			{
				$component = new LartsSubscriptionsComponent($container->get(ComponentDispatcherFactoryInterface::class));

        $component->setMVCFactory($container->get(MVCFactoryInterface::class));
				$component->setRouterFactory($container->get(RouterFactoryInterface::class));
				$component->setCategoryFactory($container->get(CategoryFactoryInterface::class));

				return $component;
			}
		);
	}
};
