<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;

$client    = $displayData['client'];
$config    = $displayData['config'];
$countries = $displayData['countries'];

$userid = Factory::getApplication()->getIdentity()->id;
?>

<div class="form-group">
	<label class="label_class"><?php echo Text::_('COM_LARTSSUBS_FIRSTNAME'); ?> *</label>
	<input name="firstname" id="firstname" type="text" class="form-control input input-xxlarge required" value="<?php echo isset($client->firstname) ? $client->firstname : ''; ?>" />

	<label class="label_class"><?php echo Text::_('COM_LARTSSUBS_LASTNAME'); ?> *</label>
	<input name="lastname" id="lastname" type="text" class="form-control input input-xxlarge required" value="<?php echo isset($client->lastname) ? $client->lastname : ''; ?>" />

<?php if ($config->show_1st_addressline) : ?>
  <label class="label_class"><?php echo Text::_('COM_LARTSSUBS_ADDRESS1'); ?> *</label>
  <input name="address1" id="address1" type="text" class="form-control input input-xxlarge required" value="<?php echo isset($client->address1) ? $client->address1 : ''; ?>" />
<?php endif; ?>

<?php if ($config->show_2nd_addressline) : ?>
  <label class="label_class"><?php echo Text::_('COM_LARTSSUBS_ADDRESS2'); ?></label>
	<input name="address2" id="address2" type="text" class="form-control input input-xxlarge required" value="<?php echo isset($client->address2) ? $client->address2 : ''; ?>" />
<?php endif; ?>

<?php if ($config->show_zipcode) : ?>
  <label class="label_class"><?php echo Text::_('COM_LARTSSUBS_ZIPCODE'); ?> *</label>
  <input name="zipcode" id="zipcode" type="text" class="form-control input input-small required" value="<?php echo isset($client->zipcode) ? $client->zipcode : ''; ?>" />
<?php endif; ?>

<?php if ($config->show_city) : ?>
  <label class="label_class"><?php echo Text::_('COM_LARTSSUBS_CITY'); ?> *</label>
  <input name="city" id="city" type="text" class="form-control input input-xxlarge required" value="<?php echo isset($client->city) ? $client->city : ''; ?>" />
<?php endif; ?>

<?php if ($config->show_phone == 1) : ?>
  <label class="label_class"><?php echo Text::_('COM_LARTSSUBS_PHONE_NUMBER'); ?></label>
  <input name="phone" id="phone" type="text" class="form-control input" value="<?php echo isset($client->phone) ? $client->phone : ''; ?>" />
<?php endif; ?>

	<label class="label_class"><?php echo empty($userid) ? Text::_('COM_LARTSSUBS_EMAIL_ADDRESS') : Text::_('COM_LARTSSUBS_KNOWN_EMAIL_ADDRESS'); ?> *</label>
	<input name="emailaddress" id="emailaddress" type="text" class="form-control input input-xxlarge required" value="<?php echo isset($client->emailaddress) ? $client->emailaddress : ''; ?>" />
</div>

<?php if ($config->show_country == 1) : ?>
	<div class="control-group">
		<div id="country_text">
			<div class="form-group">
				<label for="country" class="label_class"><?php echo Text::_('COM_LARTSSUBS_COUNTRY'); ?></label>

				<div class="input-group input-append">
					<input name="country" id="country" type="text" readonly="readonly" class="form-control input input-large" value="" />
					<button class="input-group-addon input-group-btn add-on btn btn-default larts-btn" type="button" id="showCountrySelect">
						<i class="fa fa-edit"></i>
					</button>
				</div>
			</div>
		</div>
		<div id="country_select" style="display:none;">
			<div class="form-group">
				<label for="country_code" class="label_class"><?php echo Text::_('COM_LARTSSUBS_COUNTRY'); ?> *</label>
				<?php echo $countries; ?>
			</div>
		</div>
	</div>
<?php endif; ?>

<?php if ($config->show_business_registration == 1) : ?>
	<div class="control-group">
		<div class="form-group">
			<label for="isbusiness"><?php echo Text::_('COM_LARTSSUBS_REGISTER_AS_BUSINESS'); ?></label>

			<div class="clearfix"></div>

			<?php $is_business = !empty($client->is_business) ? $client->is_business : 0; ?>

			<div class="btn-group btn-group-yesno radio">
				<label for="isbusiness0" id="isbusiness0-lbl" class="btn btn-default <?php echo ($is_business == 0) ? 'btn btn-danger' : null; ?>">
					<input type="radio" name="isbusiness" id="isbusiness0" value="0" <?php echo ($is_business == 0) ? 'checked="checked"' : null; ?>> <?php echo Text::_('JNO'); ?>
				</label>

				<label for="isbusiness1" id="isbusiness1-lbl" class="btn btn-default <?php echo ($is_business == 1) ? 'btn btn-success' : null; ?>">
					<input type="radio" name="isbusiness" id="isbusiness1" value="1" <?php echo ($is_business == 1) ? 'checked="checked"' : null; ?>> <?php echo Text::_('JYES'); ?>
				</label>
			</div>
		</div>
	</div>

	<div id="businessfields" style="display:none;">

		<div class="form-group">
			<label class="label_class" style="margin-top:10px;"><?php echo Text::_('COM_LARTSSUBS_COMPANY_NAME'); ?></label>
			<input name="companyname" id="companyname" type="text" class="form-control input input-xxlarge" value="<?php echo isset($client->companyname) ? $client->companyname : null; ?>" />
		</div>

		<div id="vatfields" style="display:none;">

			<div class="form-group">
				<label class="label_class"><?php echo Text::_('COM_LARTSSUBS_VIES_REGISTRATION'); ?> **</label>

				<div class="input-group flex-nowrap">
					<input class="form-control input input-medium" name="vatnumber" id="vatnumber" type="text" 
                 value="<?php echo isset($client->vatnumber) ? $client->vatnumber : null; ?>">
          <button type="button" class="btn btn-default larts-btn" id="vatCheck">
						<i class="fa fa-search" id="icon_vatcheck"></i> <?php echo Text::_('COM_LARTSSUBS_CHECK_VAT'); ?>
					</button>
				</div>
			</div>

			<div class="alert alert-danger" id="message_vatcheck" style="display:none;"></div>

			<div class="alert alert-info">
				** <?php echo Text::_('COM_LARTSSUBS_VIES_REGISTRATION_DESC'); ?>
			</div>
		</div>

		<div id="vatfields2" style="display:none;">

			<div class="form-group">
				<label class="label_class"><?php echo Text::_('COM_LARTSSUBS_VAT_NUMBER'); ?> **</label>

				<div class="input-group">
					<input class="form-control input input-medium" name="vatnumber2" id="vatnumber2" type="text" value="<?php echo isset($client->vatnumber) ? $client->vatnumber : null; ?>">
				</div>
			</div>

		</div>
	</div>

<?php endif; ?>
