<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;

use LartsSubscriptions\Config as LartsConfig;

$item   = $displayData;
$config = LartsConfig::get();

$quantity_max_count = in_array($item->period_type, ['lifetime', 'onetime'])
	? 1
	: (int) $config->cart_quantity_max_count;
?>

<a class="icon-<?php echo $item->quantity == 1 ? 'trash' : 'minus-2'; ?> larts-cart-button"
   onclick="updateNrOfProductsInCart(<?php echo $item->product_id; ?>, <?php echo $item->quantity - 1; ?>);"></a>

<span class="badge bg-default"><?php echo Text::sprintf('COM_LARTSSUBS_CART_NR_OF_ITEMS', $item->quantity); ?></span>

<?php if ($item->quantity < $quantity_max_count) : ?>
	<a class="icon-plus-2 larts-cart-button"
	   onclick="updateNrOfProductsInCart(<?php echo $item->product_id; ?>, <?php echo $item->quantity + 1; ?>);"></a>
<?php elseif ($quantity_max_count > 1): ?>
	<span class="icon-plus-2 larts-cart-button disabled"></span>
<?php endif; ?>
