<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;

use LartsSubscriptions\Base\Redirect;
use LartsSubscriptions\Config as LartsConfig;


$document = Factory::getDocument();

$txtTOS = Text::_('COM_LARTSSUBS_PLEASE_ACCEPT_OUT_TERMS_AND_CONDITIONS');
if(strpos($txtTOS, '{link}') !== false)
{
  $replace = Text::_('COM_LARTSSUBS_TOS');
  // tos_accept_page
  $page = LartsConfig::get('tos_accept_page');
  if($page > 0) {
    $link = Redirect::getLinkFromMenuId($page);
    $replace = '<a href="'.$link.'">'.$replace.'</a>';
  }
}
$txtTOS = str_replace('{link}', $replace, $txtTOS);

?>

<div class="row-fluid larts-minwidth-800 " style="clear:both;">
  <div class="terms-conditions">
    <div class="terms-conditions-info"><?php echo $txtTOS; ?></div>
    <div class="col-md-12 span12">
      <label><input type="checkbox" class="terms-conditions-check" name="tos_accept" id="tos_accept" />
         <?php echo Text::_('COM_LARTSSUBS_YES_ACCEPT_TOS'); ?>
      </label>
    </div>
	</div>
</div>