<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;

use LartsSubscriptions\OrderAmounts;
use LartsSubscriptions\Price;

//$ordercode = intval(Factory::getSession()->get('ordercode'));
//$amount = new OrderAmounts($ordercode);
//$amount->recalcCart();
$amount = $this->order_amounts;

$gross_price    = $amount->grossprice();
$discount_price = $amount->discount();
//$vatrate_std = $amount->vatpercentage();
$vatrate_std = $amount->getVatPercentsAppliedStr();
?>

<!--<tr><td colspan="3">&nbsp</td></tr>-->

<tr class="not-bordered">
	<td class="right" colspan="2">
		<?php echo Text::_('COM_LARTSSUBS_ORDER_SUBTOTAL'); ?>
	</td>
	<td class="right nowrap">
		<?php echo Price::_($gross_price); ?>
	</td>
</tr>

<tr class="not-bordered larts_cart_total_vat">
	<td class="right" colspan="2">
		<?php echo Text::_('COM_LARTSSUBS_VAT'); ?>
		(<span class="larts_cart_vat_pct"><?php echo $vatrate_std; ?></span>)
	</td>
	<td class="right nowrap">
		<span class="larts_cart_vat" id="larts_cart_vat"><i class="fas fa-spinner fa-spin"></i></span>
	</td>
</tr>

<?php if ($discount_price): ?>
	<tr class="not-bordered">
		<td class="right" colspan="2">
			<?php echo Text::_('COM_LARTSSUBS_DISCOUNT'); ?>
		</td>
		<td class="right nowrap">
			<span class="badge bg-success"><?php echo '- ' . Price::_($discount_price); ?></span>
		</td>
	</tr>

<?php endif; ?>

<tr class="not-bordered">
	<td class="right middle" colspan="2">
		<strong><?php echo Text::_('COM_LARTSSUBS_ORDER_TOTAL'); ?></strong>
	</td>
	<td class="right middle nowrap">
		<span class="badge bg-info label-large label-total larts_cart_total" id="larts_cart_total"><i class="fas fa-spinner fa-spin"></i></span>
	</td>
</tr>
