<?php
/* 
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 *  
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */
defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Layout\FileLayout;

$layoutsPath = JPATH_SITE . '/components/com_lartssubscriptions/layouts';

$view = $displayData['view'];
$categories = $displayData['categories'];
$config = $view->config;
?>

  <?php if(count($categories) > 0) : ?>
    <?php if($config->appearance_cats == 'table') : ?>

      <table class="table table-striped">
        <thead>
          <th colspan="2" width="25%"><?php echo $view->getBreadcrumb(); ?></th>
        </thead>

        <?php foreach ($categories as $category) : ?>
          <?php
          $url = Route::_('index.php?option=com_lartssubscriptions&view=categories&id=' . $category->id);
          ?>

          <tr>
            <td width="25%">
              <div class="cat-tile-thumbnail-mini">
                <img class="cat-tile-thumbnail-img-mini" src="<?php echo $category->image; ?>" alt=""></img>
                <a href="<?php echo $url; ?>"><?php echo $category->name; ?></a>
              </div>              
            </td>
            <td><?php echo $category->teaser; ?></td>
          </tr>

        <?php endforeach; ?>
      </table>
    <?php else : ?>
      <div>
        <?php
        $layout = new FileLayout('categories_tiles', $layoutsPath);
        echo $layout->render(['categories' => $categories,]);
        ?>
      </div>
      <div class="larts-sec-div"></div>
    <?php endif; ?>
  <?php endif; ?>
      
      