<?php

/* 
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 *  
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */
defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\HTML\HTMLHelper;

$categories = $displayData['categories'];

?>

<?php if (count($categories) > 0): ?>

  <form>
    <div class="btn-group">

      <a class="btn btn-default dropdown-toggle" data-toggle="dropdown" href="#">
        <?php echo Text::_('COM_LARTSSUBS_DOWNLOADS_SUBCATEGORY'); ?>
        <span class="caret" style="margin-left:5px;"></span>
      </a>

      <?php if (count($categories)): ?>

        <ul class="dropdown-menu dropdown_subcategories">

          <!-- dropdown menu links -->
          <?php if ($this->category->parentid): ?>
            <?php $subcat_url = Route::_('index.php?option=com_lartssubscriptions&view=category&id=' . $this->category->parentid . ':component-overview'); ?>

            <li><a href="<?php echo $subcat_url; ?>"><?php echo Text::_('COM_LARTSSUBS_COMPONENT'); ?></a></li>

          <?php endif; ?>

          <?php foreach ($categories as $subcat): ?>
            <?php
            $subcat_url = Route::_('index.php?option=com_lartssubscriptions&view=category&id=' . $subcat->id);
            ?>

            <li><a href="<?php echo $subcat_url; ?>"><?php echo $subcat->name; ?></a></li>

          <?php endforeach; ?>

        </ul>

      <?php endif; ?>

    </div>
    <?php echo HTMLHelper::_('form.token'); ?>
  </form>

  <div class="clearfix"></div>

<?php endif; ?>



  