<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Layout\FileLayout;

use LartsSubscriptions\Base\Image;

$class       = isset($displayData['class']) ? ' ' . $displayData['class'] : '';
$num_columns = ! empty($displayData['num_columns']) ? $displayData['num_columns'] : 3;

switch ($num_columns)
{
	case 6:
		$col_md = 4;
		$col_sm = 2;
		break;
	case 4:
		$col_md = 3;
		$col_sm = 2;
		break;
	case 3:
		$col_md = 2;
		$col_sm = 2;
		break;
	case 2:
	default:
		$col_md = 1;
		$col_sm = 1;
		break;
}
?>
<div class="clearfix"></div>

<div class="row-sameheight<?php echo $class; ?>">
	<div class="row-fluid">

		<?php foreach ($displayData['items'] as $i => $item): ?>
			<?php
			if ($i && ! ($i % $num_columns))
			{
				echo '</div><div class="row-fluid">';
			}
			?>
			<div class="col-sm-<?php echo round(12 / $col_sm); ?> col-md-<?php echo round(12 / $col_md); ?> col-lg-<?php echo round(12 / $num_columns); ?> span<?php echo round(12 / $num_columns); ?>">
				<?php
				$item->url_details  = Route::_('index.php?option=com_lartssubscriptions&view=file&id=' . $item->file_id);
				$item->url_overview = Route::_('ndex.php?option=com_lartssubscriptions&view=categories');
				$item->url_download = Route::_('index.php?option=com_lartssubscriptions&view=download&task=file&id=' . $item->file_id);
				$item->image        = Image::getUrl($item->file_id);
				$item->has_access   = in_array($item->file_id, $displayData['accesslist'], true);

				$layout = new FileLayout('file_list_item');
				echo $layout->render($item);
				?>
			</div>
		<?php endforeach; ?>
	</div>
</div>

<div class="clearfix"></div>
