<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;

?>

<div class="thumbnail larts-list-tile larts-list-item-file">
	<div class="larts-thumbnail-container">
		<a href="<?php echo $displayData->url_details; ?>">
			<span style="background-image:url(<?php echo $displayData->image; ?>);" class="larts-thumbnail">
		</a>
	</div>

	<div class="caption">
		<div class="item-sameheight">
			<h4 class="larts-list-tile-heading">
				<a href="<?php echo $displayData->url_details; ?>">
					<?php echo $displayData->filename; ?>
				</a>
			</h4>
		</div>

		<hr class="hr_styling">

		<div class="row-fluid">
			<div class="col-xs-6 span6">
				<?php if ( ! empty($displayData->releasenotes)): ?>
					<a href="<?php echo $displayData->url_details; ?>" class="btn btn-default" target="_self">
						<?php echo Text::_('COM_LARTSSUBS_RELEASE_NOTES'); ?>
					</a>
				<?php endif; ?>
			</div>
			<div class="col-xs-6 span6">
				<?php if ($displayData->has_access || $displayData->ispublic): ?>
					<a href="<?php echo $displayData->url_download; ?>" class="btn btn-success pull-right">
						<span class="icon-download"></span>
						<?php echo Text::_('COM_LARTSSUBS_DOWNLOAD'); ?>
					</a>
				<?php else: ?>
					<a href="#" class="btn btn-default disabled pull-right">
						<span class="icon-download"></span>
						<?php echo Text::_('COM_LARTSSUBS_DOWNLOAD'); ?>
					</a>
				<?php endif; ?>
			</div>
		</div>
	</div>

	<div class="clearfix"></div>
</div>
