<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use LartsSubscriptions\Config as LartsConfig;

?>

<?php if ( ! Factory::getApplication()->getIdentity()->guest) : ?>
	<?php

	$config = LartsConfig::get();

	$view = Factory::getApplication()->input->getCmd('view', '');
	$disable_views = (array) $config->submenu_disabled_views;

	$show = $config->show_submenu
		&& ! in_array($view, $disable_views)
		&& ( ! isset($displayData['position']) || $config->submenu_position == $displayData['position']);

	?>

	<?php if ($show) : ?>
		<?php
		$menu_items = [
			'mysubscriptions' => 'COM_LARTSSUBS_MYSUBSCRIPTIONS',
			'mytickets'       => 'COM_LARTSSUBS_MYTICKETS',
			'myinvoices'      => 'COM_LARTSSUBS_MYINVOICES',
			'myprofile'       => 'COM_LARTSSUBS_MYPROFILE',
		];

		if(!$config->use_invoicing) {
			unset($menu_items['myinvoices']);
		}

		$active_id = isset($displayData['active']) && isset($menu_items[$displayData['active']]) ? $displayData['active'] : $view;

		?>

    <div class="larts-menu-site">
      <ul class="nav nav-tabs">
        <?php foreach ($menu_items as $id => $text) : ?>
          <?php
          if (!$config->{'show_submenu_' . $id}) {
            continue;
          }

          $active = ($id == $active_id) ? ' class="nav-link active" aria-current="page"' : 'class="nav-link"';
          $url    = 'index.php?option=com_lartssubscriptions&view=' . $id;
          ?>
          <li class="nav-item">
            <a <?php echo $active; ?> href="<?php echo $url; ?>"><?php echo Text::_($text); ?></a>
          </li>
        <?php endforeach; ?>
      </ul>
    </div>
	<?php endif; ?>
<?php endif; ?>
