<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Layout\FileLayout;

use LartsSubscriptions\Price;

HTMLHelper::_('stylesheet', 'com_lartssubscriptions/panels.css', ['version' => 'auto', 'relative' => true]);
HTMLHelper::script('com_lartssubscriptions/row-sameheight.js', ['relative' => true, 'version' => 'auto']);

// Get the config
$config = $displayData['config'];

// Get user information.
$userid = Factory::getApplication()->getIdentity()->id;

$class            = isset($displayData['class']) ? ' ' . $displayData['class'] : '';
$num_columns      = ! empty($displayData['num_columns']) ? $displayData['num_columns'] : 3;
$column_alignment = ! empty($displayData['column_alignment']) ? $displayData['column_alignment'] : 'right';

switch ($num_columns)
{
	case 6:
		$col_md = 4;
		$col_sm = 2;
		break;
	case 4:
		$col_md = 3;
		$col_sm = 2;
		break;
	case 3:
		$col_md = 2;
		$col_sm = 2;
		break;
	case 2:
	default:
		$col_md = 1;
		$col_sm = 1;
		break;
}
?>

<div class="container">
  <div class="row">
    
		<?php foreach ($displayData['items'] as $i => $item): ?>
			<?php
			if ($i && ! ($i % $num_columns))
			{
				echo '</div><div class="row">';
			}
			?>
			<div class="col-sm-<?php echo round(12 / $col_sm); ?> col-md-<?php echo round(12 / $col_md); ?> col-lg-<?php echo round(12 / $num_columns); ?> span<?php echo round(12 / $num_columns); ?>">
				<?php
				$layout = new FileLayout('mysubscriptions_boxed_item');
				echo $layout->render([
						'item'             => $item,
						'config'           => $config,
						'column_alignment' => $column_alignment,
					]
				);
				?>

			</div>
		<?php endforeach; ?>
	</div>
</div>

<div class="clearfix"></div>
