<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Date\Date;

use LartsSubscriptions\Base\DateEx;
use LartsSubscriptions\Helper;
use LartsSubscriptions\Product;
use LartsSubscriptions\Files;

// Get the config
$config = $displayData['config'];
$items = $displayData['items'];
$category = $displayData['category'];

// Get user information.
$userid = Factory::getApplication()->getIdentity()->id;
$dtNow = (new Date)->toUnix();

$linkBack = 'index.php?option=com_lartssubscriptions&view=mysubscriptions';
?>

<div>
  <div><a href="<?php echo $linkBack ?>" target="_self" class="btn btn-sm">< Back</a></div>
</div>

<table class="table table-striped">

	<thead>
		<tr>
			<th width="40%"><?php echo Text::_('COM_LARTSSUBS_ITEM'); ?></th>
			<th width="15%">
				<div align="center"><?php echo Text::_('COM_LARTSSUBS_CREATED'); ?></div>
			</th>
			<th width="15%">
				<div align="center"><?php echo Text::_('COM_LARTSSUBS_VERSION'); ?></div>
			</th>
			<th width="20%">
				<div align="center"><?php echo Text::_('COM_LARTSSUBS_SIZE'); ?></div>
			</th>
			<th width="10%">
				<div align="center"><?php echo Text::_('COM_LARTSSUBS_DOWNLOAD'); ?></div>
			</th>
		</tr>
	</thead>

	<?php foreach ($items as $i => $item) : ?>

		<?php
      $dlLink = 'index.php?option=com_lartssubscriptions&task=download.file&key=' .$item->hash;
			//$dlLink = Route::_($dlLink);
		?>
		<tr>
			<td>
        <a href="<?php echo $dlLink; ?>"><?php echo $item->filename; ?></a>
 			</td>
			<td>
				<div align="center">
					<?php echo DateEx::_($item->created); ?>
				</div>
			</td>
			<td>
				<div align="center">
					<?php echo empty($item->version) ? 'N/A' : $item->version; ?>
				</div>
			</td>
			<td>
				<div align="center">
					<?php 
            $files = new Files;
            $file = $files->getBasePath($item->id) . '/' . $item->filename_physical;
            if(file_exists($file)) {
              echo $files->getFormattedFilesize(filesize($file), true);
            }
            else {
              echo 'N/A';
            }
          ?>
				</div>
			</td>
      <td>
				<div>
        <?php 
          $link = 'index.php?option=com_lartssubscriptions&task=download.file&key=' .$item->hash. '&cat=' .$category;
          echo '<div><a href="'.$link.'" target="_self" class="btn btn-sm">Download</a></div>';
        ?>
				</div>
      </td>
		</tr>

	<?php endforeach; ?>

</table>

<div>
  <div><a href="<?php echo $linkBack ?>" target="_self" class="btn btn-sm">< Back</a></div>
</div>
