<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Date\Date;

use LartsSubscriptions\Base\DateEx;
use LartsSubscriptions\Helper;
use LartsSubscriptions\Ticket;


// Get the config
$config = $displayData['config'];

// Get user information.
$userid = Factory::getApplication()->getIdentity()->id;
$dtNow = (new Date)->toUnix();
?>

<table class="table table-striped">

	<thead>
		<tr>
			<th width="40%"><?php echo Text::_('COM_LARTSSUBS_TICKET'); ?></th>
			<th width="15%">
				<div align="center"><?php echo Text::_('COM_LARTSSUBS_CREATED'); ?></div>
			</th>
			<th width="10%">
				<div align="center"><?php echo Text::_('COM_LARTSSUBS_DOWNLOAD'); ?></div>
			</th>
		</tr>
	</thead>

	<?php foreach ($displayData['items'] as $i => $ticket) : ?>

		<?php

		if (!empty($ticket->content_url) && $ticket->status == 1) {
			$url = Route::_($ticket->content_url);
		}
		else {
      $url = 'index.php?option=com_lartssubscriptions&view=product&id=' . $ticket->product_id . ':' . $ticket->alias;
			$url = Route::_($url);
		}

		?>
		<tr>
			<td>
        <a href="<?php echo $url; ?>"><?php echo $ticket->name; ?></a>
<?php
/*
        <a href="<?php echo $url; ?>"><?php echo $ticket->name; ?></a><br />
				<?php if ($ticket->downloads > 0): ?>
					<small>
						<?php echo Text::_('COM_LARTSSUBS_DOWNLOAD_ID'); ?>: <?php echo $ticket->download_id; ?>
					</small>
				<?php endif; ?>
*/
 ?>
 			</td>
			<td>
				<div align="center">
					<?php echo DateEx::_($ticket->date); ?>
				</div>
			</td>
      <td>
				<div align="center">
          <?php 
            $download = Route::_('index.php?option=com_lartssubscriptions&task=download.ticket&dlkey=' . $ticket->dlkey);
            echo '<div><a href="'.$download.'" target="_self" tabindex="-1" role="button" class="btn btn-secondary btn-sm">Download</a></div>';
          ?>
				</div>
      </td>
		</tr>

	<?php endforeach; ?>

</table>
