<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Router\Route;

$first = !defined('LARTSSUBS_PROCESSOR_HAS_FIRST');
defined('LARTSSUBS_PROCESSOR_HAS_FIRST') or define('LARTSSUBS_PROCESSOR_HAS_FIRST', true);

// Default Image
$image = isset($displayData['image']) ? Route::_($displayData['image']) : null;

// If this is a link with an image on another server, the image URL needs to be different.
if ($image)
{
	if (substr($displayData['image'], 0, 7) == 'http://' || substr($displayData['image'], 0, 8) == 'https://')
	{
		$image = $displayData['image'];
	}
}

?>

<?php if (isset($displayData['methods'])): ?>

	<?php foreach ($displayData['methods'] as $method):

		$image = isset($method['image']) ? Route::_($method['image']) : null;
		$class = isset($method['custom_class']) ? $method['custom_class'] : null;

		if ($image)
		{
			if (substr($method['image'], 0, 7) == 'http://' || substr($method['image'], 0, 8) == 'https://'):
				$image = $method['image'];
			endif;
		}

		if (empty($image))
			continue;

		?>

		<label class="checkbox-inline larts-payment_method larts-payment_btn">
			<input type="radio" class="checkbox payment_<?php echo $class; ?>" name="payment_method_value" id="payment_method_<?php echo $method['name']; ?>"
			       value="<?php echo $method['name']; ?>" <?php echo $first ? 'checked="checked"' : ''; ?> />
			<img class="larts-payment_method_image" src="<?php echo $image; ?>" border="0">
			<span class="larts-payment_display_name"><?php echo $method['description']; ?></span>
		</label>

		<?php $first = false; ?>

	<?php endforeach; ?>

<?php else: ?>

	<?php //$first = true; ?>
  <div class="larts-payment_btn">
    <label class="checkbox-inline larts-payment_method ">
      <input type="radio" class="checkbox payment_<?php echo isset($displayData['custom_class']) ? $displayData['custom_class'] : null; ?>" name="payment_method_value" id="payment_method_<?php echo $displayData['name']; ?>"
             value="<?php echo $displayData['name']; ?>" <?php echo $first ? 'checked="checked"' : ''; ?> />
      <img class="larts-payment_method_image" src="<?php echo $image; ?>" border="0">
      <?php if (isset($displayData['display_name']) && ! empty($displayData['display_name'])): ?>
        <span class="larts-payment_display_name"><?php echo $displayData['display_name']; ?></span>
      <?php endif; ?>
    </label>
  </div>
	<?php $first = false; ?>

<?php endif; ?>