<?php
/*
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 *  
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */
defined('_JEXEC') or die;

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

use LartsSubscriptions\Price;

$product = $displayData['product'];
$config = $displayData['config'];

$link = Route::_('index.php?option=com_lartssubscriptions&task=order.addCartItem&id=' . $product->id);


?>

	<div class="row">
		<div class="span4 col-4">
			<div class="larts-image-container">
				<img src="<?php echo $product->image; ?>">
			</div>
		</div>

		<div class="span4 col-4">
			<h1><?php echo $product->name; ?></h1>

			<?php if ($config->show_teaser_on_product) : ?>
				<div class="larts-teaser hidden-phone">
					<p><?php echo $product->teaser; ?></p>
				</div>
			<?php endif; ?>

			<?php if ($product->price > 0): ?>
				<div class="larts-price">
					<?php echo Price::_($product->price); ?>
				</div>
			<?php endif; ?>

		</div>
	</div>

	<div class="clearfix"></div>

	<hr class="hr_styling">

	<div class="larts-description larts-description-short">
		<?php echo HTMLHelper::_('content.prepare', $product->short_description); ?>
	</div>
	<hr class="hr_styling">

	<div class="clearfix"></div>

  <?php if($config->shop_enabled != 0): ?>
  	<div class="larts-buttons_extrabuttons_main">
      <?php if ($product->price > 0) : ?>
        <a href="<?php echo $link; ?>" class="btn btn-large larts-button-fe">
          <i class="fa fa-shopping-cart" aria-hidden="true"></i>
          <?php echo Text::_('COM_LARTSSUBS_BUY'); ?>
          <?php echo Price::_($product->price); ?>
        </a>
      <?php else: ?>
        <a href="<?php echo $link; ?>" class="btn btn-large larts-button-fe">
          <i class="fa fa-shopping-cart" aria-hidden="true"></i>
          <?php echo Text::_('COM_LARTSSUBS_FREE_SUBSCRIPTION'); ?>
        </a>
      <?php endif; ?>
    </div>
  <?php endif; ?>

	<div class="larts-buttons_extra">
		<?php if ($product->link_demo): ?>
			<a href="<?php echo $product->link_demo; ?>" target="_blank" class="btn btn-default larts-button-fe">
				<?php echo Text::_('COM_LARTSSUBS_DEMO_BUTTON'); ?></a>
		<?php endif; ?>

		<?php if ($product->link_to_review) : ?>
			<a href="<?php echo $product->link_to_review; ?>" target="_blank" class="btn btn-default larts-button-fe">
				<?php echo Text::_('COM_LARTSSUBS_REVIEW_COMPONENT'); ?></a>
		<?php endif; ?>

		<?php if ($product->link_to_support): ?>
			<a href="<?php echo $product->link_to_support; ?>" target="_self" class="btn btn-default larts-button-fe"><?php echo Text::_('COM_LARTSSUBS_PRESALE_QUESTION'); ?></a>
		<?php endif; ?>

		<?php if ( ! empty($product->custom_buttons)) : ?>
			<?php
			$buttons = explode(PHP_EOL, $product->custom_buttons);

			foreach ($buttons as $button)
			{
				if (strpos($button, '|') === false) {
					continue;
				}

        // name, href, target, class, style

				$button = explode('|', $button);
				$class  = 'btn' . (!empty($button['3']) ? ' '.$button['3'] : 'btn-outline-secondary');

				echo '<a href="' . $button['1'] . '"'
					. (! empty($button['2']) ? ' target="' . $button['2'] . '"' : '')
					. ' class="' . $class . '"'
					. (! empty($button['4']) ? ' style="' . $button['4'] . ' ' : ' style="margin-left:5px" ')
					. '">'
					. $button['0']
					. '</a>';
			}
			?>
		<?php endif; ?>
	</div>

	<div class="clearfix"></div>

	<div class="larts-description larts-description-full">
		<?php echo HTMLHelper::_('content.prepare', $product->description); ?>
	</div>

 
