<?php
/*
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 *  
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

use LartsSubscriptions\Price;

$product = $displayData['product'];
$config = $displayData['config'];

$link = Route::_('index.php?option=com_lartssubscriptions&task=order.addCartItem&id=' . $product->id);

?>

    <section class="prod-sec">
      <div class="prod-container">

        <div class="prod-left-col">
          <div class="prod-img-container">
            <img class="prod-img" src="<?php echo $product->image; ?>" alt="">
          </div>
          <div class="prod-short">
            <?php echo HTMLHelper::_('content.prepare', $product->short_description); ?>
          </div>
        </div>
        <div class="prod-right-col">
          <div class="prod-buy">
            <div class="larts-price-container">
              <div class="prod-price"><?php echo Price::_($product->price); ?></div>
              <?php if ($config->show_vat_notice != 0) : ?>
                <div class="larts-vat-notice"><?php echo Text::_('COM_LARTSSUBS_VAT_NOTICE'); ?></div>
              <?php endif; ?>
            </div>
            <?php if($config->shop_enabled != 0): ?>
              <a href="<?php echo Route::_($link); ?>" class="btn pull-right larts-button-fe">
                <?php if ($product->price > 0): ?>
                  <i class="fa fa-shopping-cart" aria-hidden="true"></i>
                  <?php echo Text::_('COM_LARTSSUBS_BUY'); ?>
                <?php else: ?>
                  <i class="fa fa-shopping-cart" aria-hidden="true"></i>
                  <?php echo Text::_('COM_LARTSSUBS_FREE_SUBSCRIPTION'); ?>
                <?php endif; ?>
              </a>
            <?php endif; ?>
            
            <?php if(strlen($product->link_demo) > 0): ?>
              <div class="but">
                <a href="<?php echo $product->link_demo; ?>" class="btn pull-right larts-button-fe">Demo</a>
              </div>
            <?php endif; ?>
            <?php if ($product->link_to_review) : ?>
              <a href="<?php echo $product->link_to_review; ?>" target="_blank" class="btn pull-right larts-button-fe">
                <?php echo Text::_('COM_LARTSSUBS_REVIEW_COMPONENT'); ?></a>
            <?php endif; ?>
            <?php if(strlen($product->link_to_support) > 0): ?>
              <div class="but">
                <a href="<?php echo $product->link_to_support; ?>" class="btn pull-right larts-button-fe">Ask a questions</a>
              </div>
            <?php endif; ?>
          </div>
        </div>
        <div class="prod-center-col">
          <div class="prod-hdr">
            <?php echo $product->name; ?>
          </div>
          <div class="prod-long">
            <?php echo HTMLHelper::_('content.prepare', $product->description); ?>
          </div>
        </div>
      </div>
    </section>

