<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Layout\FileLayout;
use Joomla\CMS\HTML\HTMLHelper;

use LartsSubscriptions\Base\Image;
use LartsSubscriptions\Price;

$class  = isset($displayData['class']) ? ' ' . $displayData['class'] : '';
$num_columns = !empty($displayData['num_columns']) ? $displayData['num_columns'] : 3;

$view = $displayData['view'];
$products = $displayData['products'];

$pathLayouts = JPATH_SITE . '/components/com_lartssubscriptions/layouts';

switch ($num_columns) {
case 6:
  $col_md = 4;
  $col_sm = 2;
  break;
case 4:
  $col_md = 3;
  $col_sm = 2;
  break;
case 3:
  $col_md = 2;
  $col_sm = 2;
  break;
case 2:
default:
  $col_md = 1;
  $col_sm = 1;
  break;
}

$layout = new FileLayout('product_list_item', $pathLayouts);
?>
<div class="clearfix"></div>

<div class="container <?php echo $class; ?>">
	<div class="row row-eq-height">

		<?php foreach ($products as $i => $item): ?>
			<?php
			if ($i && ! ($i % $num_columns)) {
				echo '</div><div class="row row-eq-height">';
			}
			?>
			<div class="col-sm-<?php echo round(12 / $col_sm); ?> col-md-<?php echo round(12 / $col_md); ?> col-lg-<?php echo round(12 / $num_columns); ?> ">
				<?php
  				echo $layout->render(['view' => $displayData['view'], 'product' => $item]);
				?>
			</div>
		<?php endforeach; ?>
	</div>
</div>

<div class="clearfix"></div>
