<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Layout\FileLayout;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

use LartsSubscriptions\Base\Image;
use LartsSubscriptions\Price;
use LartsSubscriptions\Periods;


$class  = isset($displayData['class']) ? ' ' . $displayData['class'] : '';
$num_columns = !empty($displayData['num_columns']) ? $displayData['num_columns'] : 3;

$view = $displayData['view'];
$products = $view->products;

//$active_products = $displayData['active_products'];
$pathLayouts = JPATH_SITE . '/components/com_lartssubscriptions/layouts';

HTMLHelper::stylesheet('com_lartssubscriptions/product-tiles-flex.css', ['version' => 'auto', 'relative' => true]);
HTMLHelper::stylesheet('com_lartssubscriptions/product-tiles.css', ['version' => 'auto', 'relative' => true]);

$layout = new FileLayout('product_list_item', $pathLayouts);
?>
<div class="clearfix"></div>

<div class="larts">
  <div class="tiles-container">
    <?php foreach ($products as $i => $item): ?>
      <?php if ($i && ! ($i % $num_columns)) {
        echo '</div><div class="tiles-container">';
        }
        $url_details  = Route::_('index.php?option=com_lartssubscriptions&view=product&id=' . $item->id);
        $url_purchase = Route::_('index.php?option=com_lartssubscriptions&task=order.addCartItem&id=' . $item->id);
        $item->price_output = Price::_($item->price);
      ?>
 			<?php echo $layout->render(['view' => $displayData['view'], 'product' => $item]); ?>
    <?php endforeach; ?>
  </div>
</div>

<div class="clearfix"></div>
