<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

use LartsSubscriptions\Config as LartsConfig;
use LartsSubscriptions\Periods;
use LartsSubscriptions\Price;

$config = LartsConfig::get();
$view = $displayData['view'];
$item = $displayData['product'];
$url_details  = Route::_('index.php?option=com_lartssubscriptions&view=product&id=' . $item->id);
$url_purchase = Route::_('index.php?option=com_lartssubscriptions&task=order.addCartItem&id=' . $item->id);
$item->price_output = Price::_($item->price);

?>

<div class="tiles-tile">
  <div class="tile-prodbox">
    <?php if($item->special_offer != 0) : ?>
      <div id="larts-pointer">
        <div class="larts-pointer-cnt">
          <p>Special Offer</p>
        </div>
      </div>
    <?php endif; ?>
    <a href="<?php echo $url_details; ?>" class="tile-prod-link">
      <div class="tile-thumb-box">
        <img  class="tile-thumb" src="<?php echo $item->image; ?>" alt="">
      </div>
      <div class="tile-name">
          <?php echo $item->name; ?>
      </div>
      <div class="tile-details">
        <?php echo $item->teaser; ?>
      </div>
    </a>
  </div>
  <?php if($view->config->show_prod_period != 0) : ?>        
    <div class="tile-period"><?php echo Periods::str($item->period, $item->period_type) . ' subscription'; ?></div>
  <?php endif; ?>
  <div class="tile-pricebox">
      <span class="tile-price"><?php echo Price::_($item->price); ?></span>
      <a href="<?php echo $url_purchase; ?>" class="btn tile-button">
        <?php if ($item->price > 0): ?>
          <i class="fa fa-shopping-cart" aria-hidden="true"></i>
          <?php echo Text::_('COM_LARTSSUBS_BUY'); ?>
        <?php else: ?>
          <i class="fa fa-shopping-cart" aria-hidden="true"></i>
          <?php echo Text::_('COM_LARTSSUBS_FREE_SUBSCRIPTION'); ?>
        <?php endif; ?>
      </a>

  </div>
</div>
