<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

use LartsSubscriptions\Price;

$view = $displayData['view'];
$config = $view->config;
$product = $displayData['product'];
$prodUrl = 'index.php?option=com_lartssubscriptions&view=product&id=' .$product->id;
$buy = Route::_('index.php?option=com_lartssubscriptions&task=order.addCartItem&id=' . $product->id);

?>

<div class="product-tiles-tile">
  <div class="product-banner-container">
    <?php if($product->special_offer != 0) : ?>
    <div id="larts-pointer">
      <div class="larts-pointer-cnt">
        <p>Special Offer</p>
      </div>
    </div>
    <div class="product-banner">
        Special Offer
      </div>
    <?php endif; ?>
  </div>
  <a href="<?php echo $prodUrl; ?>" class="product-tile-link">
    <div class="product-tile-thumbnail-container">
      <?php if(!empty($product->image)) : ?>
        <img class="product-tile-thumbnail" src="<?php echo $product->image; ?>" alt="">
      <?php endif; ?>
    </div>
    <div class="product-tile-name">
      <?php echo $product->name; ?>
    </div>
    <div class="product-tile-details">
      <?php echo $product->teaser; ?>
    </div>
  </a>
  <div class="product-tile-price">
    <?php if ($product->price > 0): ?>
      <?php echo Price::_($product->price); ?>
      <?php if($config->shop_enabled != 0): ?>
        <div class="but">
          <a href="<?php echo $buy; ?>" class="btn larts-btn"><?php echo Text::_('COM_LARTSSUBS_BUY'); ?></a>
        </div>
      <?php endif; ?>
    <?php else: ?>
      <i class="fa fa-shopping-cart" aria-hidden="true"></i>
      <?php echo Text::_('COM_LARTSSUBS_FREE_SUBSCRIPTION'); ?>
    <?php endif; ?>
  </div>
</div>

