<?php
/*
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 *  
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */
defined('_JEXEC') or die;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Language\Text;

use LartsSubscriptions\Base\Image;
use LartsSubscriptions\Price;

$view = $displayData['view'];
$config = $view->config;
$products = $view->products;

?>

    <table class="table table-striped">

      <thead>
        <th>
          <?php echo Text::_('COM_LARTSSUBS_PRODUCTS'); ?>
        </th>
        <th>
          <?php echo Text::_('COM_LARTSSUBS_PRICE'); ?>
        </th>
        <th>
          <?php //echo Text::_('COM_LARTSSUBS_PRICE'); ?>
        </th>
      </thead>

      <?php foreach ($products as $item) : ?>
        <?php
        $buy = Route::_('index.php?option=com_lartssubscriptions&task=order.addCartItem&id=' . $item->id);
        $prodUrl = 'index.php?option=com_lartssubscriptions&view=product&id=' . $item->id;
        ?>

        <tr>
          <td>
            <div class="row-fluid">
                <a href="<?php echo $prodUrl; ?>" class="product-list-link">
              <div class="span3">
                  <?php echo $item->name; ?><br>
                  <?php if(!empty($item->image)) : ?>
                    <img class="product-list-thumbnail" src="<?php echo $item->image; ?>" alt="">
                  <?php endif; ?>
              </div>
              <div class="span9">
                <?php echo $item->short_description; ?><br>
              </div>
                </a>
            </div>
          </td>
          <td>
            <?php echo Price::_($item->price); ?>
          </td>
          <td>
    				<?php if($config->shop_enabled != 0): ?>
              <div class="buttons_main">
                <?php if ($item->price > 0) : ?>
                  <a href="<?php echo $buy; ?>" class="btn btn-sm but-order">
                    <span class="icon-basket icon-white"></span>
                    <?php echo Text::_('COM_LARTSSUBS_BUY'); ?>
                    <?php //echo Price::_($item->price); ?>
                  </a>
                <?php else: ?>
                  <a href="<?php echo $buy; ?>" class="btn btn-sm but-order">
                    <span class="icon-basket icon-white"></span>
                    <?php echo Text::_('COM_LARTSSUBS_FREE_SUBSCRIPTION'); ?>
                  </a>
                <?php endif; ?>
              </div>
            <?php endif; ?>
          </td>
        </tr>

      <?php endforeach; ?>
    </table>
