<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Site\Controller;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Plugin\PluginHelper;
use Joomla\CMS\MVC\Controller\BaseController;
use Joomla\CMS\MVC\Factory\MVCFactoryInterface;
use Joomla\CMS\Application\CMSApplication;
use Joomla\Input\Input;

use LartsSubscriptions\Base\PluginManager;


class ApiController extends BaseController
{
	public function __construct($config = [], MVCFactoryInterface $factory = null, ?CMSApplication $app = null, ?Input $input = null)
	{
		parent::__construct($config, $factory, $app, $input);
	}

	// IPN listener for Payment Plugins

  function ipnProcessor()
	{
		$jinput = Factory::getApplication()->input;

		// Get the plugin to be loaded.
		$method = $jinput->get('plg', null, 'word');

		if(!$method) {
			die();
		}

		$post = Factory::getApplication()->input->post->getArray();

		PluginManager::execPlugin('lartssubscriptions_payment', $method, 'onIPN', [$post]);
	}

	/**
	 * request can be used to receive data from 3rd party applications.
	 * EG: When you have a 3rd party build script that is able to send the zip file, this script is able to receive the post data.
	 *
	 * The only required variable is the one of your plugin. The triggered plugin must be in plugin group "lartssubscriptions_payment"
	 * The name of the plugin must be set in the posted data as "plg"
	 *
	 * The triggered function is always "ProcessData" and the full post is sent to the script.
	 */

	function request()
	{
		$jinput = Factory::getApplication()->input;

		## Get the plugin to be loaded.
		$plugin = $jinput->get('plg', null, 'word');
		$method = $jinput->get('method', null, 'word');

		if ( ! $method) {
			die();
		}

		if ( ! $plugin) {
			die();
		}

		$post = Factory::getApplication()->input->post->getArray();

		PluginHelper::importPlugin('lartssubscriptions', $plugin);

		$data = Factory::getApplication()->triggerEvent($method, [$post]);

		echo json_encode($data);

		exit;
	}

}
