<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Site\Model;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\Factory\MVCFactoryInterface;
use Joomla\CMS\MVC\Model\ListModel;

use LartsSubscriptions\Categories;
use LartsSubscriptions\Product;


class CategoriesModel extends ListModel
{
  public $ordercode;
  public $uid;
  public $data;
  
	public function __construct($config = [], MVCFactoryInterface $factory = null)
	{
		parent::__construct($config, $factory);

		## Get the global DB session
		$session = Factory::getSession();
		## Get the ordercode if there is one.
		$this->ordercode = $session->get('ordercode');

		## Obtain the user id.
		$user      = Factory::getApplication()->getIdentity();
		$this->uid = $user->id;
	}

	protected function populateState($ordering = null, $direction = null)
	{
		$params = Factory::getApplication()->getParams();
		$this->setState('params', $params);
	}

	public function getProducts($category)
	{
    return Categories::getProducts($category);
	}

  public function getChildCategories($parentCat = 0)
  {
		return Categories::getChildCategories($parentCat, Categories::TYPE_PRODUCT);
  }

	public function getCategory($category)
	{
		return Categories::load($category);
	}

	public function getCategoryPath($category)
	{
		return Categories::getPathway($category);
	}
  
	public function getChildren()
	{
		$db = Factory::getDbo();

		$query = $db->getQuery(true)
			->select('*')
			->from($db->quoteName('#__larts_subs_categories'))
			->where($db->quoteName('id') . ' > 0')
			->where($db->quoteName('parentid') . ' != 0');

		$db->setQuery($query);
		$this->data = $db->loadObjectList();

		return $this->data;
	}
}
