<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Site\Model;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\Factory\MVCFactoryInterface;
use Joomla\CMS\MVC\Model\BaseDatabaseModel;

class DownloadModel extends BaseDatabaseModel
{
  public $userid;
          
	public function __construct($config = [], MVCFactoryInterface $factory = null)
	{
		parent::__construct($config, $factory);

		## Check if the user is logged in.
		$user         = Factory::getApplication()->getIdentity();
		$this->userid = $user->id;
	}

	function getDownload($id)
	{
		$db = Factory::getDbo();

		$query = $db->getQuery(true)
			->select(['o.*', 'p.name as productname', 'p.price', 'p.period', 'p.period_type'])
			->from($db->quoteName('#__larts_subs_cart_items', 'o'))
			->join('LEFT', $db->quoteName('#__larts_subs_products', 'p') . ' ON (' . $db->quoteName('o.product_id') . ' = ' . $db->quoteName('p.id') . ')')
			->where($db->quoteName('o.ordercode') . ' = ' . intval(Factory::getSession()->get('ordercode')))
			->order('o.id ASC');

		$db->setQuery($query);

		return $db->loadObjectList();
	}
}
