<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Site\Model;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\Factory\MVCFactoryInterface;
use Joomla\CMS\MVC\Model\BaseDatabaseModel;

use LartsSubscriptions\Product;

class FileModel extends BaseDatabaseModel
{
  public $id;

	public function __construct($config = [], MVCFactoryInterface $factory = null)
	{
		parent::__construct($config, $factory);

		$jinput   = Factory::getApplication()->input;
		$this->id = $jinput->get('id', '0', 'INT');
	}

	protected function populateState($ordering = null, $direction = null)
	{
		$params = Factory::getApplication()->getParams();
		$this->setState('params', $params);
	}

	function getFile()
	{
		$db = Factory::getDbo();

		$query = $db->getQuery(true)
			->select('*')
			->from($db->quoteName('#__larts_subs_files'))
			->where($db->quoteName('id') . ' = ' . (int) $this->id);

		$db->setQuery($query);

		return $db->loadObject();
	}

 	function getProduct($file_id)
	{
		$db = Factory::getDbo();

		$query = $db->getQuery(true)
			->select('*')
			->from($db->quoteName('#__larts_subs_products'))
			->where($db->quoteName('type') . ' = ' .Product::FILE. ' OR '. $db->quoteName('type') . ' = ' .Product::MOVIE_STREAM)
			->andWhere($db->quoteName('source_id') . ' = ' . (int)$file_id);

		$db->setQuery($query, 0, 1);

		return $db->loadObject();
	}

	function getAccessibleFiles()
	{
		$user = Factory::getApplication()->getIdentity();

		$db = Factory::getDbo();

		$query = $db->getQuery(true)
			->select(['f2c.file_id'])
			->from($db->quoteName('#__larts_subs_periods', 'per'))
			->join('LEFT', $db->quoteName('#__larts_subs_product_categories', 'p2c') . ' ON (' . $db->quoteName('p2c.product_id') . ' = ' . $db->quoteName('per.product_id') . ')')
			->join('LEFT', $db->quoteName('#__larts_subs_file_categories', 'f2c') . ' ON (' . $db->quoteName('f2c.category_id') . ' = ' . $db->quoteName('p2c.category_id') . ')')
			->where($db->quoteName('per.userid') . ' = ' . (int) $user->id)
			//->where($db->quoteName('per.status') . ' = 1')
			->group('f2c.file_id');

		$db->setQuery($query);

		return $db->loadColumn();
	}
}
