<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Site\Model;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\Factory\MVCFactoryInterface;
use Joomla\CMS\MVC\Model\BaseDatabaseModel;


class MyinvoicesModel extends BaseDatabaseModel
{
  public $ordercode;
  public $uid;

	public function __construct($config = [], MVCFactoryInterface $factory = null)
	{
		parent::__construct($config, $factory);

		## Get the global DB session
		$session = Factory::getSession();
		## Get the ordercode if there is one.
		$this->ordercode = $session->get('ordercode');

		## Obtain the user id.
		$user      = Factory::getApplication()->getIdentity();
		$this->uid = $user->id;
	}

	protected function populateState($ordering = null, $direction = null)
	{
		$params = Factory::getApplication()->getParams();
		$this->setState('params', $params);
	}

	function getinvoices()
	{
		$db = Factory::getDbo();

		$query = $db->getQuery(true)
			->select('*')
			->from($db->quoteName('#__larts_subs_invoices'))
			->where($db->quoteName('userid') . ' = ' . (int) $this->uid)
			->where($db->quoteName('published') . ' = 1')
			->order('id DESC');

		$db->setQuery($query);

		return $db->loadObjectList();
	}
}
