<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Site\Model;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\Factory\MVCFactoryInterface;
use Joomla\CMS\MVC\Model\ListModel;

use LartsSubscriptions\Base\Country;
use LartsSubscriptions\Customer;
use LartsSubscriptions\Base\Registration;

class MyprofileModel extends ListModel
{
	protected $ordercode;
	private   $uid;

	public function __construct($config = [], MVCFactoryInterface $factory = null)
	{
		parent::__construct($config, $factory);

		$this->uid       = Factory::getApplication()->getIdentity()->id;
		$this->ordercode = intval(Factory::getSession()->get('ordercode'));
	}


	public function getClient()
	{
		return Customer::getCustomerByUserId($this->uid);
	}

	public function getCountryId($country)
	{
		return (new Country)->getCountryByCountryCode($country);
	}

	public function store($data)
	{
		if (isset($data['country']))
		{
			$data['country'] = $this->getCountryId($data['country']);
		}

		$row = $this->getTable('customers');

		if ( ! $row->bind($data)) {
			return false;
		}
		if ( ! $row->check()) {
			return false;
		}
		if ( ! $row->store()) {
			return false;
		}

		return true;
	}
}
