<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Site\Model;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\Factory\MVCFactoryInterface;
use Joomla\CMS\MVC\Model\BaseDatabaseModel;

use LartsSubscriptions\Download;
use LartsSubscriptions\Periods;
use LartsSubscriptions\Categories;

class MysubscriptionsModel extends BaseDatabaseModel
{
	public function __construct($config = [], MVCFactoryInterface $factory = null)
	{
		parent::__construct($config, $factory);
	}

	protected function populateState($ordering = null, $direction = null)
	{
		$params = Factory::getApplication()->getParams();
		$this->setState('params', $params);
	}

	public function getProducts()
	{
    $userid = Factory::getApplication()->getIdentity()->id;

    $per = new Periods;
    $results = $per->getAllProductsOfUser($userid);

		foreach ($results as &$item) {
			$item->downloads = 0; //$this->getCountDownloadsForDownloadID($item->download_id);
		}

		return $results;
	}

	private function getCountDownloadsForDownloadID($downloadid)
	{
		return (new Download)->check(null, $downloadid);
	}
  
  public function getCategory()
	{
    $userid = Factory::getApplication()->getIdentity()->id;

    $app = Factory::getApplication();
    $cat = $app->input->get('cat', '');

    $items = Categories::getFiles($cat);

		return $items;
	}

}
