<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Site\Model;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\Factory\MVCFactoryInterface;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Plugin\PluginHelper;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\MVC\Model\ListModel;

use LartsSubscriptions\Coupon;
use LartsSubscriptions\Message;

class SignupModel extends ListModel
{
	public $ordercode;
	public $userid;
	public $username;

	public function __construct($config = [], MVCFactoryInterface $factory = null)
	{
		parent::__construct($config, $factory);

		$this->ordercode = intval(Factory::getSession()->get('ordercode'));
		$this->userid    = Factory::getApplication()->getIdentity()->id;
		$this->username  = Factory::getApplication()->input->getString('emailaddress');
	}

	function getCountryId($country)
	{
		$db = Factory::getDbo();

		$query = $db->getQuery(true)
		            ->select('id')
		            ->from($db->quoteName('#__larts_subs_countries'))
		            ->where($db->quoteName('country_2_code') . ' = ' . $db->quote($country));

		$db->setQuery($query);

		return $db->loadResult();
	}

	/** Storing the user information to the database.
	 */
	public function store($data)
	{
		if (isset($data['country'])) {
			$data['country'] = $this->getCountryId($data['country']);
		}

		$row = $this->getTable('users');

		if ( ! $row->bind($data)) {
			return false;
		}

		if ( ! $row->check()) {
			return false;
		}

		if ( ! $row->store()) {
			return false;
		}

		return true;
	}
}