<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Site\Service;
\defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Component\Router\RouterView;
use Joomla\CMS\Component\Router\Rules\MenuRules;
use Joomla\CMS\Component\Router\Rules\RulesInterface;


class LartsSubsMenuRules implements RulesInterface // extends MenuRules
{
	var $query      = null;
	var $menu_query = [];
	var $view       = '';
  protected $router;

  public function __construct(RouterView $router)
  {
    $this->router = $router;
  }
  
  public function parse(&$segments, &$vars)
  {
  }

  public function build(&$query, &$segments)
  {
  }

  public function preprocess(&$query)
  {
    if(!isset($query['option']) || $query['option'] != 'com_lartssubscriptions') {
      // not for us
      return;
    }

    $active = $this->router->menu->getActive();

    $this->query = $query;

		$jinput = Factory::getApplication()->input;
		$view = $jinput->get('view', '');
//		$task = $jinput->get('task', '');
//    if($view == 'payment') {
//      unset($query['Itemid']);
//    }
      

    $matching_menu_id = $this->getMatchingMenuItems();
    if (empty($matching_menu_id)) {
      return;
    }

    //if(!isset($query['Itemid']) || $view == 'payment' ) {
    if(!isset($query['Itemid'])) {
      $query['Itemid'] = $matching_menu_id;
    }
  }

	private function getMenuQuery()
	{
		$matching_menu_id = $this->getMatchingMenuItems();

		if (empty($matching_menu_id)) {
			return [];
		}

		$this->query['Itemid'] = $matching_menu_id;
		$menu_query = $this->menu->getItem($matching_menu_id)->query;


		return $menu_query;
	}
  
	private function getMatchingMenuItems()
	{
    $db = Factory::getDbo();

    if(isset($this->query['view'])) {

      $view = '&view=' . $this->query['view'];
      $task = isset($this->query['task']) ? '&task=' . $this->query['view'] : '';
      $id   = isset($this->query['id']) ? explode(':', $this->query['id']) : '';
      $id   = !empty($id) ? '&id=' . $id['0'] : '';

      $query = $db->getQuery(true)
        ->select($db->quoteName('id'))
        ->from('#__menu')
        ->where($db->quoteName('client_id') . ' = 0')   // site menus
        ->andWhere($db->quoteName('published') . ' = 1')
        ->andWhere($db->quoteName('link') . ' = ' . $db->quote('option=com_lartssubscriptions' . $view . $task . $id));
      $db->setQuery($query, 0, 1);
      $matching_menu_id = $db->loadResult();

      if(!empty($matching_menu_id)) {
        return $matching_menu_id;
      }
    }

    $query = $db->getQuery(true)
      ->select($db->quoteName('id'))
      ->from('#__menu')
      ->where($db->quoteName('client_id') . ' = 0')   // site menus
      ->andWhere($db->quoteName('published') . ' = 1')
      ->andWhere($db->quoteName('link') . ' LIKE ' . $db->quote('%option=com_lartssubscriptions%'))
      ->andWhere($db->quoteName('link') . ' NOT LIKE ' . $db->quote('%view=my%'))
            ;

    //$str = $query->__toString();
    $db->setQuery($query, 0, 1);
    $matching_menu_id = $db->loadResult();
        
    return $matching_menu_id;
  }
}

