<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Site\View\Category;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\View\CategoryView;
use Joomla\CMS\Language\Text;

use LartsSubscriptions\Download;
use LartsSubscriptions\Config as LartsConfig;


class HtmlView extends CategoryView
{
	protected $state;
	protected $item;
  var $config;
  var $items;
  var $params;
  var $pagination;
  var $cat_path;
  var $categories;
  var $products;
  var $product;
  var $accesslist;

	function display($tpl = null)
	{
    $this->config     = LartsConfig::get();
		$this->items      = $this->get('Items');
		$this->pagination = $this->get('Pagination');
		$this->params     = $this->get('State')->get('params');

		$this->category = $this->get('category');
		//$this->subcategories = $this->get('subcategories');
    $id = Factory::getApplication()->input->getInt('id', 0);

    $model = $this->getModel('category');
		$this->cat_path = $model->getCategoryPath($this->category->id);
    $this->categories = $model->getChildCategories($id);
    $this->products = $model->getProducts($id);


		// Generating an access list for the download button.
		$this->accesslist = (new Download)->check(Factory::getApplication()->getIdentity()->id);
		$this->product = $this->get('product');

    $this->prepareDocument();
    
		parent::display($tpl);
	}
  
  protected function prepareDocument()
	{
    $app = Factory::getApplication();

    // set page title
    if (empty($this->category->name)) {
      $sitetitle = $app->get('sitename');
    }
    elseif ($app->get('sitename_pagetitles', 0) == 1) {
      // Put the site name before the page title.
      $sitetitle = Text::sprintf('JPAGETITLE', $app->get('sitename'), $this->category->name);
    }
    elseif ($app->get('sitename_pagetitles', 0) == 2) {
      // Put the site name after the page title.
      $sitetitle = Text::sprintf('JPAGETITLE', $this->category->name, $app->get('sitename'));
    }
    else {
      // Nothing in configuration:
      $sitetitle = $this->category->name;
    }

    $document = Factory::getDocument();
    $document->setTitle($sitetitle);

  }
      
  public function getBreadcrumb()
  {
    $catUrl = 'index.php?option=com_lartssubscriptions&view=categories&id=';
    $html = '';

    foreach($this->cat_path as $c) {
      $item = '<a hfref="#">&nbsp;'.$c['name'].'</a>';
      if(strlen($html) > 0) {
        $html .= '&nbsp; > &nbsp;';
      }
      $html .= '<a href="'.$catUrl.$c['id'].'">' .$c['name']. '</a>';
    }

    return '<span>' .$html. '</span>';
  }  

}
