<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Site\View\File;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;

use LartsSubscriptions\Config as LartsConfig;
use LartsSubscriptions\Product;

class HtmlView extends BaseHtmlView
{
  public $config;
  public $item;
  public $access;
  public $params;
  public $product;

  function display($tpl = null)
	{
    $bError = false;
            
		$this->item = $this->get('File');
    if(empty($this->item)) {
      $bError = true;
    }
    else {
      $model = $this->getModel('file');
      $this->product = $model->getProduct($this->item->id);
      if(empty($this->product)) {
        $bError = true;
      }
      else {
        Product::validateImage($this->product);
      }
    }
		$this->access = $this->get('AccessibleFiles');
		$this->config = LartsConfig::get();
		$this->params = $this->get('State')->get('params');

    $this->prepareDocument();

    if($bError) {
      echo 'Error - file not found.';
      return;
    }
    
		parent::display($tpl);
	}
  
  protected function prepareDocument()
	{
    $app = Factory::getApplication();

    if (empty($this->item->filename)) {
      $sitetitle = $app->get('sitename');
    }
    elseif ($app->get('sitename_pagetitles', 0) == 1) {
     $sitetitle = Text::sprintf('JPAGETITLE', $app->get('sitename'), $this->item->filename);
    }
    elseif ($app->get('sitename_pagetitles', 0) == 2) {
     $sitetitle = Text::sprintf('JPAGETITLE', $this->item->filename, $app->get('sitename'));
    }
    else {
     $sitetitle = $this->item->filename;
    }
    Factory::getDocument()->setTitle($sitetitle);
  }
}
