<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Site\View\Myinvoices;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;

use LartsSubscriptions\Config as LartsConfig;


class HtmlView extends BaseHtmlView
{
	protected $state;
	protected $items;
  var $config;
  var $params;

	function display($tpl = null)
	{
		## Check if the user is logged in.
		$user = Factory::getApplication()->getIdentity();

		if ( ! $user->id)
		{
			Factory::getApplication()->enqueueMessage(Text::_('COM_LARTSSUBS_PLEASE_LOGIN_FIRST'), 'error');

			return;
		}

		$this->items  = $this->get('invoices');
		$this->config = LartsConfig::get();
		$this->params = $this->get('State')->get('params');
    
		$this->prepareDocument();

    parent::display($tpl);
	}
  
  protected function prepareDocument()
	{
    $app = Factory::getApplication();

    if ($app->get('sitename_pagetitles', 0) == 1) {
      $sitetitle = Text::sprintf('JPAGETITLE', $app->get('sitename'), Text::_('COM_LARTSSUBS_MYINVOICES'));
    }
    elseif ($app->get('sitename_pagetitles', 0) == 2) {
      $sitetitle = Text::sprintf('JPAGETITLE', Text::_('COM_LARTSSUBS_MYINVOICES'), $app->get('sitename'));
    }
    else {
      $sitetitle = Text::_('COM_LARTSSUBS_MYINVOICES');
    }

    Factory::getDocument()->setTitle($sitetitle);
  }
}
