<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Site\View\Myprofile;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;

use LartsSubscriptions\GeoIP\GeoIP;
use LartsSubscriptions\Base\Country;
use LartsSubscriptions\Config as LartsConfig;


class HtmlView extends BaseHtmlView
{
	protected $state;
	protected $item;
  var $vat_countries;
  var $lists;
  var $client;
  var $config;
  var $params;
  var $emailaddress;

	public function display($tpl = null)
	{
		$user = Factory::getApplication()->getIdentity();

		if(!$user->id) {
			Factory::getApplication()->enqueueMessage(Text::_('COM_LARTSSUBS_PLEASE_LOGIN_FIRST'), 'error');
			return;
		}

		$client  = $this->get('client');
    if($client != null) {
      $client->emailaddress = $user->email;
    }
    
		$country_code = isset($client->country_code) ? $client->country_code : '';
		if (empty($country_code)) {
			// Getting the country code from GeoIP database.
			$country_code = (new GeoIP)->getCountryByIP();
    }

		if (!$country_code)
		{
			$country = (new GeoIP)->getCountryByIP();
		}

		$countries[]      = HTMLHelper::_('select.option', '0', Text::_('COM_LARTSSUBS_PLEASE_SELECT'), 'id', 'name');
		$countries        = array_merge($countries, Country::getCountries(1));
		$lists['country'] = HTMLHelper::_('select.genericlist', $countries, 'country_code', 'class="input input-block country_block" ',
                                      'id', 'name', !empty($client->country_code) ? $client->country_code : $country_code);

		$this->vat_countries = (new Country)->getCountriesWithVatTurnedOn();
		$this->lists         = $lists;
		$this->client        = $client;
		$this->config        = LartsConfig::get();
		$this->params        = $this->get('State')->get('params');

		$this->prepareDocument();

    parent::display($tpl);
	}

  protected function prepareDocument()
	{
    $app = Factory::getApplication();

    if ($app->get('sitename_pagetitles', 0) == 1) {
      $sitetitle = Text::sprintf('JPAGETITLE', $app->get('sitename'), Text::_('COM_LARTSSUBS_MYPROFILE'));
    }
    elseif ($app->get('sitename_pagetitles', 0) == 2) {
      $sitetitle = Text::sprintf('JPAGETITLE', Text::_('COM_LARTSSUBS_MYPROFILE'), $app->get('sitename'));
    }
    else {
      $sitetitle = Text::_('COM_LARTSSUBS_MYPROFILE');
    }

    Factory::getDocument()->setTitle($sitetitle);
  }

}
