<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Site\View\Product;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Access\Access;
use Joomla\CMS\Language\Text;

use LartsSubscriptions\Config as LartsConfig;
use LartsSubscriptions\Product;


class HtmlView extends BaseHtmlView
{
	public $config;
	public $params;
	public $category;
	public $item;
	public $crossell;
  public $products;

  function display($tpl = null)
	{
    $this->item     = $this->get('product');
		$this->crossell = $this->get('CrossSell');
		$this->config   = LartsConfig::get();
		$this->params   = $this->get('State')->get('params');

		// Getting the view levels for this user to show only products that belongs to the access level.
		$access_levels = Access::getAuthorisedViewLevels(Factory::getApplication()->getIdentity()->get('id'), false);

		// Checking product access level against user view levels.
		if ( ! in_array($this->item->access, $access_levels))
		{
			// Redirect the client as the customer has no access to this product.
			Factory::getApplication()->redirect('index.php?option=com_lartssubscriptions');
		}

		// Checking product state
		if ( ! $this->item->published)
		{
			// Redirect the client if the product is not published.
			Factory::getApplication()->redirect('index.php?option=com_lartssubscriptions');
		}
    
    // related...
    $relatedProducts = 

    $this->prepareDocument();

		parent::display($tpl);
	}
  
  protected function prepareDocument()
	{
    $app = Factory::getApplication();
    
    $title = ! empty($this->item->metatitle) ? $this->item->metatitle : $this->item->name;

    if (empty($title)) {
      $sitetitle = $app->get('sitename');
    }
    elseif ($app->get('sitename_pagetitles', 0) == 1) {
      $sitetitle = Text::sprintf('JPAGETITLE', $app->get('sitename'), $title);
    }
    elseif ($app->get('sitename_pagetitles', 0) == 2) {
      $sitetitle = Text::sprintf('JPAGETITLE', $title, $app->get('sitename'));
    }
    else {
      $sitetitle = $this->item->name;
    }

    $document = Factory::getDocument();

    if ($this->item->metakey != '') {
      $document->setMetadata('keywords', $this->item->metakey);
    }

    if ($this->item->metadesc != '') {
      $document->setDescription($this->item->metadesc);
    }

    $document->setTitle($sitetitle);
  }
}
