<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Site\View\Products;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\View\CategoryView;
use Joomla\CMS\Menu\MenuItem;

use LartsSubscriptions\Config as LartsConfig;
use LartsSubscriptions\Traits\InlineView;


class HtmlView extends CategoryView
{
  use InlineView;

	var $products;
	var $config;
	var $params;
	var $pagination;

	function display($tpl = null)
	{
		$this->config     = LartsConfig::get();
		$this->products   = $this->get('Items');
		$this->pagination = $this->get('Pagination');
		$this->params     = $this->get('State')->get('params');

    if($this->document == null) {
      return $this->renderInline();
    }

		$this->prepareDocument();

		parent::display($tpl);
	}

	protected function prepareDocument()
	{
		$app    = Factory::getApplication();
    $menu = $app->getMenu()->getActive();
		$params = ($menu != null) ? $menu->getParams() : null;

    if(empty($params)) {
      $sitetitle = Text::_('COM_LARTSSUBS_OUR_PRODUCTS');
    }
    else {
      $title = ! empty($params->get('custom_pagetitle', null)) ? $params->get('custom_pagetitle') : Text::_('COM_LARTSSUBS_OUR_PRODUCTS');

      if ($app->get('sitename_pagetitles', 0) == 1)
      {
        // Put the site name before the page title.
        $sitetitle = Text::sprintf('JPAGETITLE', $app->get('sitename'), $params->get('page_title', $title));
      }
      elseif ($app->get('sitename_pagetitles', 0) == 2)
      {
        // Put the site name after the page title.
        $sitetitle = Text::sprintf('JPAGETITLE', $params->get('page_title', $title), $app->get('sitename'));
      }
      else
      {
        // Nothing in configuration:
        $sitetitle = $title;
      }
    }

		$this->document->setTitle($sitetitle);
	}
}
