<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Plugin\PluginHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Layout\FileLayout;
use Joomla\CMS\HTML\HTMLHelper;

use LartsSubscriptions\Price;
use LartsSubscriptions\Message;
use LartsSubscriptions\Config as LartsConfig; 


$app = Factory::getApplication();
$app->setUserState('category_id', $this->category->id);
$app->setUserState('category_name', $this->category->name);

$pathway = $app->getPathway();
$pathway->addItem($this->category->name);

$user   = Factory::getApplication()->getIdentity();
$userid = $user->id;
$access = false;

HTMLHelper::stylesheet('com_lartssubscriptions/stylej3.css', ['version' => 'auto', 'relative' => true]);
HTMLHelper::stylesheet('com_lartssubscriptions/lartssubs.css', ['version' => 'auto', 'relative' => true]);
HTMLHelper::stylesheet('com_lartssubscriptions/product-tiles.css', ['version' => 'auto', 'relative' => true]);

$layoutsPath = JPATH_SITE . '/components/com_lartssubscriptions/layouts';

?>

<div class="larts larts-category">

	<?php
	//$layout = new FileLayout('menu');
	//echo $layout->render(['position' => 'above', 'active' => 'categories']);
	?>

	<?php
	echo Message::getInstance('category-header')
	                  ->user(Factory::getApplication()->getIdentity()->id)
	                  ->getBody();
	?>
	<h1><?php echo Text::_('COM_LARTSSUBS_CATEGORY') . ' - ' .$this->category->name; ?></h1>

  <?php if(!empty($this->category)) : ?>
    <div class="larts-cat-decription">
      <div class="larts-cat-img-box">
        <img class="larts-cat-decription-img" src="<?php echo $this->category->image; ?>" alt=""></img>
      </div>
      <div class="larts-cat-decription">
        <?php echo $this->category->description; ?>
      </div>              
    </div>              
  <?php endif; ?>

  <hr style="clear: both;" />
  <h4><?php echo Text::_('COM_LARTSSUBS_PRODUCTS'); ?></h4>
  <?php if(count($this->products) > 0) : ?>
    <?php if($this->config->appearance_prods == 'table') : ?>
      <div>
	<?php
          $layout = new FileLayout('products_table', $layoutsPath);
          echo $layout->render(['view' => $this]);
	?>
      </div>
    <?php else : ?>
	<?php
      $numcols = $this->params->get('subs_num_columns', $this->config->product_tiles_cols);
      $products_view = $this->params->get('products_view', $this->config->products_view);

      switch($products_view) {
      case 'css_flexbox':
        $layout = new FileLayout('product_list_flex', $layoutsPath);
        break;
      case 'css_grid':
        $layout = new FileLayout('product_list_grid', $layoutsPath);
        break;
      default:
        $layout = new FileLayout('product_list', $layoutsPath);
        break;
      }
      echo $layout->render(['view' => $this, 'num_columns' => $numcols, 'products' => $this->products]);
	?>
			<?php endif; ?>
  <?php else : ?>
    <div class="larts-no-products"><?php echo Text::_('COM_LARTSSUBS_NO_PRODUCTS'); ?></div>
	<?php endif; ?>
		</div>
</div>

