<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die();
use Joomla\CMS\Plugin\PluginHelper;
use Joomla\CMS\Layout\FileLayout;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\HTML\HTMLHelper;

$userid = Factory::getApplication()->getIdentity()->id;
$pathLayouts = JPATH_SITE . '/components/com_lartssubscriptions/layouts';

?>
<div class="bs5card-body">
<h2 class="bs5card-title">
	<?php echo Text::_('COM_LARTSSUBS_YOUR_USER_ACCOUNT'); ?>
</h2>

<?php if ( ! $userid) : ?>
	<form action="<?php echo Route::_('index.php?option=com_lartssubscriptions&task=signup.login'); ?>" method="post" name="accountLoginForm" id="accountLoginForm" class="form-vertical">
		<div class="col-12 radio">
			<label style="margin-bottom:5px;">
				<input type="radio" name="logincreateoption" value="0" checked="checked">
				<?php echo Text::_('COM_LARTSSUBS_NEW_TO_SITE'); ?>
			</label>
		</div>

		<div class="col-12 radio">
			<label>
				<input type="radio" name="logincreateoption" value="1">
				<?php echo Text::_('COM_LARTSSUBS_RETURNING_CUSTOMER'); ?>
			</label>
		</div>

		<div id="login_account" class="login_account_box" style="display:none;">

			<div class="input-group mb-3">
				<span class="input-group-text"><i class="fas fa-user"></i></span>
				<input type="text" name="username" id="username" class="form-control input input-block"
				       placeholder="<?php echo Text::_('COM_LARTSSUBS_USERNAME'); ?>">
			</div>

			<div class="input-group mb-3">
				<span class="input-group-text"><i class="fas fa-lock"></i></span>
				<input type="password" name="password" id="password" class="form-control input input-block"
				       placeholder="<?php echo Text::_('COM_LARTSSUBS_PASSWORD'); ?>" value="">
			</div>

			<?php if (count(PluginHelper::getPlugin('twofactorauth')) > 0): ?>
				<div class="input-group mb-3">
					<span class="input-group-text"><span class="icon-star"></span></span>
					<input type="text" name="secretkey" id="secretkey" class="form-control input input-block"
					       placeholder="<?php echo Text::_('COM_LARTSSUBS_SECRETKEY'); ?>" value="">
				</div>
			<?php endif; ?>

			<div class="form-group">
				<button type="submit" class="btn btn-sm btn-success larts-btn"><?php echo Text::_('COM_LARTSSUBS_LOGIN'); ?></button>
			</div>
		</div>
    <?php echo HTMLHelper::_('form.token'); ?>
	</form>
<?php endif; ?>

<form action="<?php echo Route::_('index.php?option=com_lartssubscriptions&task=checkout.checkout'); ?>" method="post" name="checkoutForm" id="checkoutForm">

	<?php if(!$userid) : ?>

		<div id="create_account" class="form-group" style="padding-top: 10px;">

			<div class="form-group">
				<label class="label_class usernameCheck" id="username_taken"><?php echo Text::_('COM_LARTSSUBS_PREFERRED_USERNAME'); ?> *</label>
				<div class="input-group mb-3">
					<span class="input-group-text"><i class="fas fa-user"></i></span>
					<input name="username" id="username" placeholder="Username" type="text" class="form-control input input-block required"
					       value="<?php echo isset($this->client->username) ? $this->client->username : ''; ?>" />
				</div>

				<label class="label_class"><?php echo Text::_('COM_LARTSSUBS_PREFERRED_PASSWORD'); ?> *</label>

				<div class="input-group mb-3">
          <span class="input-group-text"><i class="fas fa-lock"></i></span>
          <input name="password" id="password" placeholder="Password" type="password" class="form-control input input-block required" />
        </div>

				<label class="label_class"><?php echo Text::_('COM_LARTSSUBS_RETYPE_PASSWORD'); ?> *</label>

				<div class="input-group mb-3">
					<span class="input-group-text"><i class="fas fa-lock"></i></span>
					<input name="password2" id="password2" placeholder="Repeat Password" type="password" class="form-control input input-block required" />
				</div>
			</div>
		</div>
  <hr>
	<?php endif; ?>

	<?php

	$layout = new FileLayout('account_fields', $pathLayouts);

	echo $layout->render([
		'client'         => $this->client,
		'config'         => $this->config,
		'countries'      => $this->lists['country'],
	]);

	PluginHelper::importPlugin('lartssubscriptions');
	Factory::getApplication()->triggerEvent('onShowCheckoutView', [$this->items]);

	?>

	<input type="hidden" name="payment_method" value="" />
	<input type="hidden" name="accepted_tos" id="accepted_tos" value="" />

<!-- 
	<?php if ($userid): ?>
		<input type="hidden" name="userid" value="<?php echo $userid; ?>" />
		<input type="hidden" name="id" value="<?php echo isset($this->client->id) ? $this->client->id : ''; ?>" />
		<input type="hidden" name="task" value="checkout" />
  <?php else: ?>
		<input type="hidden" name="task" value="register" />
	<?php endif; ?>
 -->
  
	<!-- For tokenized payments like Stripe -->
	<input type="hidden" id="token" name="token" value="" />

	<?php echo HTMLHelper::_('form.token'); ?>
</form>
</div>
