<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Layout\FileLayout;
use Joomla\CMS\Language\Text;


$quantity_layout = $this->config->cart_quantity_layout ?: 'select';
//$userid = Factory::getApplication()->getIdentity()->id;
$pathLayouts = JPATH_SITE . '/components/com_lartssubscriptions/layouts';


class FileLayoutOrder extends FileLayout
{
  var $order_amounts;
}

?>

<h2 class="bs5card-title">
	<?php echo Text::_('COM_LARTSSUBS_YOUR_CART'); ?>
</h2>

<table class="table">
	<?php foreach ($this->items as $item): ?>
		<?php
    $layout = new FileLayoutOrder($item->product_id ? 'cart_item' : 'cart_discount', $pathLayouts);

		$nr_of_rows = $quantity_layout == 'separate' ? $item->quantity : 1;
		for ($i = 1; $i <= $nr_of_rows; $i++)
		{
			echo $layout->render(['item' => $item, 'quantity_layout' => $quantity_layout]);
		}
		?>
	<?php endforeach; ?>

	<?php
	$layout = new FileLayoutOrder('cart_totals', $pathLayouts);
  $layout->order_amounts = $this->order_amounts;
	echo $layout->render(null);
	?>
</table>
