<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die();
use Joomla\CMS\Layout\Factory;
use Joomla\CMS\Layout\FileLayout;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

use LartsSubscriptions\OrderAmounts;
use LartsSubscriptions\Config as LartsConfig;

$pathLayouts = JPATH_SITE . '/components/com_lartssubscriptions/layouts';

$amount = $this->order_amounts;
?>

<div class="bs5card-body">
<h2 class="bs5card-title">
	<?php echo Text::_('COM_LARTSSUBS_CHECKOUT'); ?>
</h2>

<?php if ($amount->netprice() > 0) : ?>

	<?php if ($this->processors_amount > 1 || $this->config->payment_choice_on_one_processor): ?>
		<div class="larts-cart-payment-method"><?php echo Text::_('COM_LARTSSUBS_CHOOSE_PAYMENT'); ?></div>
	<?php endif; ?>

	<?php echo $this->processors; ?>

	<?php if (LartsConfig::get('require_tos_accept')):
		$layout = new FileLayout('cart_terms_conditions', $pathLayouts);
		echo $layout->render();
	endif; ?>

	<button name="makePayment" id="makePayment" class="btn btn-large btn-block btn-success larts-btn"
	        style="margin-top: 10px" onclick="submitCheckoutForm();">
		<?php echo Text::_('COM_LARTSSUBS_PROCEED_TO_PAYMENT'); ?>
	</button>

	<?php echo $this->amazonbtn; ?>
    
<?php else: ?>
	<input type="hidden" name="payment_method_value" id="payment_method_free" value="freecheckout" />

  <p><?php echo Text::_('COM_LARTSSUBS_COMPLETE_ORDER_FREE_DESC'); ?></p>

  <p><hr style="height:5px"></p>

	<?php if (LartsConfig::get('require_tos_accept')):
		$layout = new FileLayout('cart_terms_conditions', $pathLayouts);
		echo $layout->render();
	endif; ?>


	<button name="makePayment" id="makePayment" class="btn btn-success btn-large btn-block larts-btn"
	        style="margin-top: 10px" onclick="submitCheckoutForm();">
		<?php echo Text::_('COM_LARTSSUBS_COMPLETE_ORDER'); ?>
	</button>
<?php endif; ?>

<br />

  <div style="text-align: right">
    <a href="<?php echo Route::_('index.php?option=com_lartssubscriptions&view=products'); ?>" 
       class="btn btn-outline-secondary" role="button">
      <?php echo Text::_('COM_LARTSSUBS_CONTINUE_SHOPPING'); ?>
    </a>
  </div>
</div>
<div class="clearfix"></div>
