<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Layout\FileLayout;
use Joomla\CMS\HTML\HTMLHelper;

use LartsSubscriptions\Base\DateEx;
use LartsSubscriptions\Price;
use LartsSubscriptions\Helper;
use LartsSubscriptions\Message;
//use LartsSubscriptions\OrderStatus;
//


$app     = Factory::getApplication();
$pathway = $app->getPathway();
$pathway->addItem(Text::_('COM_LARTSSUBS_MYINVOICES'));

$user   = Factory::getApplication()->getIdentity();
$userid = $user->id;

HTMLHelper::stylesheet('com_lartssubscriptions/stylej3.css', ['version' => 'auto', 'relative' => true]);

?>

	<div class="larts larts-myinvoices">

		<?php
		$layout = new FileLayout('menu');
		echo $layout->render(['position' => 'above']);
		?>

		<?php
		echo Message::getInstance('myinvoices-header')
			->user(Factory::getApplication()->getIdentity()->id)
			->getBody();
		?>
		<?php
		$layout = new FileLayout('menu');
		echo $layout->render(['position' => 'under']);
		?>

		<table class="table table-striped">

			<thead>
				<th width="10%">
					<div align="text-center">#ID</div>
				</th>
				<th width="13%">
					<div align="text-center"><?php echo Text::_('COM_LARTSSUBS_INVOICE_DATE'); ?></div>
				</th>
				<th width="13%">
					<div align="text-center"><?php echo Text::_('COM_LARTSSUBS_ORDER_ID'); ?></div>
				</th>
				<th width="15%">
					<div align="text-center"><?php echo Text::_('COM_LARTSSUBS_PAYMENT_AMOUNT'); ?></div>
				</th>
				<th width="19%">
					<div align="text-center"><?php echo Text::_('COM_LARTSSUBS_PAYMENT_STATE'); ?></div>
				</th>
				<th width="15%">
					<div align="text-center">
				</th>
			</thead>

			<?php
			for ($i = 0, $n = count($this->items); $i < $n; $i++)
			{
				// Give give $row the this->item[$i]
				$row      = $this->items[$i];
				$download = Route::_('index.php?option=com_lartssubscriptions&task=download.invoice&dlkey=' . $row->dlkey);
				?>

				<tr>
					<td>
						<div align="text-center">
              <?php echo !empty($row->invoice_number) ? $row->invoice_number : $row->id; ?>
            </div>
					</td>
					<td>
						<div align="text-center"><?php echo DateEx::_($row->invoicedate); ?></div>
					</td>
					<td>
						<div align="text-center"><?php echo $row->ordercode; ?></div>
					</td>
					<td>
						<div align="text-center"><?php echo Price::_($row->net_price); ?></div>
					</td>
					<td>
						<div align="text-center"><?php echo Helper::getPaymentState($row->paid); ?></div>
					</td>
					<td>
            <?php 
              if(!empty($download)) {
                echo '<div><a href="'.Route::_($download).'" target="_self" class="btn btn-sm btn-primary">';
                echo Text::_('COM_LARTSSUBS_DOWNLOAD');
                echo '</a></div>';
              }
            ?>
            </a>
          </td>
				</tr>

			<?php } ?>

		</table>

		<div class="alert alert-info" style="font-size:90%;">
			<?php echo Text::_('COM_LARTSSUBS_MY_INVOICE_INFO'); ?>
		</div>
	</div>

<?php
