<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\FileLayout;
use Joomla\CMS\HTML\HTMLHelper;

use LartsSubscriptions\Message;

use LartsSubscriptions\Renewal;

$app     = Factory::getApplication();
$pathway = $app->getPathway();
$pathway->addItem(Text::_('COM_LARTSSUBS_MYSUBSCRIPTIONS'));

HTMLHelper::stylesheet('com_lartssubscriptions/stylej3.css', ['version' => 'auto', 'relative' => true]);

$userid = Factory::getApplication()->getIdentity()->id;

?>

<div class="larts larts-mysubscriptions">

	<?php
	if ($this->params->get('show_submenu', $this->config->show_submenu)
		&& $this->params->get('submenu_position', $this->config->submenu_position) == 'above')
	{
		$layout = new FileLayout('menu');
		echo $layout->render('');
	}
	?>

	<?php
	echo Message::getInstance('mysubscriptions-header')
		->user(Factory::getApplication()->getIdentity()->id)
		->getBody();
	?>

	<?php
	if ($this->params->get('show_submenu', $this->config->show_submenu)
		&& $this->params->get('submenu_position', $this->config->submenu_position) == 'under')
	{
		$layout = new FileLayout('menu');
		echo $layout->render('');
	}
	?>

	<?php if (count($this->items) > 0): ?>

		<?php
		$layout = new FileLayout('mysubscriptions_' . $this->params->get('page_type', 'table'));
		echo $layout->render([
			'items'            => $this->items,
			'config'           => $this->config,
			'num_columns'      => $this->params->get('num_columns', $this->config->product_tiles_cols),
			'column_alignment' => $this->params->get('column_alignment', 'right'),
		]);
		?>

		<?php if ($this->config->show_renewal_message): ?>
			<div class="alert alert-success" style="font-size:90%;">
				<?php 
          $str = (new Renewal)->getRenewalDaysStr();
          echo Text::sprintf('COM_LARTSSUBS_RENEW_MESSAGE', $str);
        ?>
			</div>
		<?php endif; ?>

	<?php else: ?>

		<div class="alert alert-info">
			<h4><?php echo Text::_('COM_LARTSSUBS_INFORMATION'); ?></h4>
			<?php echo Text::_('COM_LARTSSUBS_NO_SUBSCRIPTIONS'); ?>
		</div>

	<?php endif; ?>
</div>
