<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\FileLayout;
use Joomla\CMS\HTML\HTMLHelper;

use LartsSubscriptions\Message;


$app = Factory::getApplication();
$pathway = $app->getPathway();
$pathway->addItem(Text::_('COM_LARTSSUBS_MYTICKETS'));

HTMLHelper::stylesheet('com_lartssubscriptions/stylej3.css', ['version' => 'auto', 'relative' => true]);

$userid = Factory::getApplication()->getIdentity()->id;

?>

<div class="larts larts-mysubscriptions">

	<?php
	if ($this->params->get('show_submenu', $this->config->show_submenu)
		&& $this->params->get('submenu_position', $this->config->submenu_position) == 'above')
	{
		$layout = new FileLayout('menu');
		echo $layout->render('');
	}
	?>

	<?php
	echo Message::getInstance('mytickets-header')
		->user(Factory::getApplication()->getIdentity()->id)
		->getBody();
	?>

	<?php
	if ($this->params->get('show_submenu', $this->config->show_submenu)
		&& $this->params->get('submenu_position', $this->config->submenu_position) == 'under')
	{
		$layout = new FileLayout('menu');
		echo $layout->render('');
	}
	?>

	<?php if (count($this->items) > 0): ?>

		<?php
		$layout = new FileLayout('mytickets_table');
		echo $layout->render([
			'items'            => $this->items,
			'config'           => $this->config,
		]);
		?>

	<?php else: ?>

		<div class="alert alert-info">
			<h4><?php echo Text::_('COM_LARTSSUBS_INFORMATION'); ?></h4>
			<?php echo Text::_('COM_LARTSSUBS_NO_TICKETS'); ?>
		</div>

	<?php endif; ?>
</div>
