<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Layout\FileLayout;
use Joomla\CMS\HTML\HTMLHelper;

use LartsSubscriptions\Base\Image;
use LartsSubscriptions\Price;
use LartsSubscriptions\Message;



$app     = Factory::getApplication();
$pathway = $app->getPathway();
$user    = Factory::getApplication()->getIdentity();
$userid  = $user->id;
// Get the global DB session
$session = Factory::getSession();

$pathway->addItem($this->item->name);

HTMLHelper::stylesheet('com_lartssubscriptions/stylej3.css', ['version' => 'auto', 'relative' => true]);
HtmlHelper::stylesheet('com_lartssubscriptions/product.css', array('version' => 'auto', 'relative' => true));

$pathLayouts = JPATH_SITE . '/components/com_lartssubscriptions/layouts';
$numcols = $this->params->get('subs_num_columns', $this->config->product_tiles_cols);

?>

<div class="larts larts-product">

	<?php
    $layout = new FileLayout('menu');
    echo $layout->render(['position' => 'above', 'active' => 'products']);
	?>

	<?php
    // Variables for the message:
    $variables = [
      'product'            => $this->item->name, // As product is available in all mails, I have added it here too.
      'product_alias'      => $this->item->alias,
      'date'               => $this->item->created,
    ];
    echo Message::getInstance('product-header')
                      ->user(Factory::getApplication()->getIdentity()->id)
                      ->variables($variables)
                      ->getBody();
	?>

	<?php
	$layout = new FileLayout('menu');
	echo $layout->render(['position' => 'under', 'active' => 'products']);
	?>

	<div class="larts">
    <?php
      if($this->config->appearance_product == 'layout1') {
        $layout = new FileLayout('product_1');
      }
      else {
        $layout = new FileLayout('product_2');
      }
      echo $layout->render(['product' => $this->item, 'config' => $this->config]);
    ?>
  </div>


	<div class="clearfix"></div>

	<?php if (count($this->crossell) > 0) : ?>
		<hr />

		<h2 class="product_page"><?php echo Text::_('COM_LARTSSUBS_RELATED_PRODUCTS'); ?></h2>

		<?php

    $this->items = $this->crossell;
    $layout = new FileLayout('product_list', $pathLayouts);
    echo $layout->render([
      'view'        => $this,
      'num_columns' => $numcols,
      'products' => $this->crossell,
    ]);
		?>
	<?php endif; ?>

</div>
