<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\FileLayout;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Pagination\Pagination;

use LartsSubscriptions\Message;


$app    = Factory::getApplication();

HTMLHelper::stylesheet('com_lartssubscriptions/stylej3.css', ['version' => 'auto', 'relative' => true]);
HTMLHelper::stylesheet('com_lartssubscriptions/product-tiles.css', ['version' => 'auto', 'relative' => true]);
//HTMLHelper::script('com_lartssubscriptions/row-sameheight.js', ['relative' => true, 'version' => 'auto']);

$pathLayouts = JPATH_SITE . '/components/com_lartssubscriptions/layouts';

$custPageTitle = $this->params->get('custom_pagetitle', null);
$numcols = $this->params->get('subs_num_columns', $this->config->product_tiles_cols);
$products_view = $this->params->get('products_view', $this->config->products_view);

?>
<div class="larts larts-larts">

	<?php
	$layout = new FileLayout('menu', $pathLayouts);
	echo $layout->render(['position' => 'above']);
	?>

	<h1><?php echo !empty($custPageTitle) ? $custPageTitle : ''; ?></h1>

	<?php
    echo Message::getInstance('products-header')
                      ->user(Factory::getApplication()->getIdentity()->id)
                      ->getBody();
	?>

	<?php
	$layout = new FileLayout('menu', $pathLayouts);
	echo $layout->render(['position' => 'under']);
	?>

	<p><?php echo Text::_('COM_LARTSSUBS_OUR_PRODUCTS_DESC'); ?></p>

	<?php
  switch($products_view) {
  case 'css_flexbox':
  	$layout = new FileLayout('product_list_flex', $pathLayouts);
    break;
  case 'css_grid':
  	$layout = new FileLayout('product_list_grid', $pathLayouts);
    break;
  default:
  	$layout = new FileLayout('product_list', $pathLayouts);
    break;
  }
	echo $layout->render(['view' => $this, 'num_columns' => $numcols, 'products' => $this->products]);
	?>

	<div style="clear:both"></div>

	<?php if ($this->pagination->pagesTotal > 1) : ?>
		<div class="pagination">
			<?php if ($this->params->def('show_pagination_results', 1)) : ?>
				<p class="counter pull-right"> <?php echo $this->pagination->getPagesCounter(); ?> </p>
			<?php endif; ?>
			<?php echo $this->pagination->getPagesLinks(); ?> </div>
	<?php endif; ?>


	<?php if ($this->config->show_vat_notice != 0) : ?>
		<div class="notice_larts_box"><?php echo Text::_('COM_LARTSSUBS_VAT_NOTICE'); ?></div>
	<?php endif; ?>
</div>
