<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Administrator\Controller;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\Utilities\ArrayHelper;
use Joomla\CMS\MVC\Controller\BaseController;
use Joomla\CMS\MVC\Factory\MVCFactoryInterface;
use Joomla\CMS\Application\CMSApplication;
use Joomla\Input\Input;
use Joomla\CMS\Language\Text;

use LartsSubscriptions\Export\MossExport;


class MossController extends BaseController
{
	public function __construct($config = [], MVCFactoryInterface $factory = null, ?CMSApplication $app = null, ?Input $input = null)
	{
		parent::__construct($config, $factory, $app, $input);
	}

	public function display($cachable = false, $urlparams = [])
	{
		$jinput = Factory::getApplication()->GetInput();

		return parent::display();
	}

	public function export()
	{
 		$model = $this->getModel('moss');

		$export = new MossExport;
		$export->export($model);

		if(!file_exists($export->getFilename()))
		{
			Factory::getApplication()->enqueueMessage(Text::_('COM_LARTSSUBS_CREATED_XLS_FILE_DOES_NOT_EXIST'), 'error');
			$this->setRedirect('index.php?option=com_lartssubscriptions&view=moss');

			return false;
		}

		$export->download($export->getFilename());

		return true;
	}
  
}
