<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\Field\ListField;


class JFormFieldLarts_VATClass extends ListField
{
	public $type = 'VATClass';
	public $userid = 0;
  
  public function __construct() {
    parent::__construct(); 
  }

	protected function getOptions()
	{
		$db = Factory::getDbo();
		$query = $db->getQuery(true)
			->select(['id as value', 'name as text'])
			->from($db->quoteName('#__larts_subs_vat_classes'))
			->order($db->quoteName('name') . ' ASC');
		$db->setQuery($query);

		$options = parent::getOptions();

    if(!$this->multiple && empty($options))
		{
			$options[] = HtmlHelper::_('select.option', '-1', Text::_('COM_LARTSSUBS_VAT_NONE'));
			$options[] = HtmlHelper::_('select.option', '0', Text::_('COM_LARTSSUBS_VAT_STD'));
		}

		return array_merge($options, $db->loadObjectList());
	}
}
