<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Date\Date;
use Joomla\CMS\Form\Field\CalendarField;

class JFormFieldLarts_Calendar extends CalendarField
{
	public $type = 'Calendar';

	protected function getInput()
	{
    if (isset($this->form->bReadOnly) && $this->form->bReadOnly)
		{
      $text = $this->value;
      if(isset($this->element['format_readonly'])) {
        $text = (new Date($this->value))->format($this->element['format_readonly']);
      }
			return '<span class="hasPopover" data-content="' . Text::_('COM_LARTSSUBS_PERIOD_FIXED') . '">'
				. '<input type="text" disabled="disabled" value="' . $text . '" />'
				. '</span>';
    }
    
		// Get numeric value from date
		$value = (int) preg_replace('#[^0-9]+#', '', $this->value);

		// if date is like 000-00-00, make it empty
		if(!$value) {
			$this->value = '';
		}

		return parent::getInput();
	}
}
