<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\Field\ListField;


class JFormFieldLarts_Categories extends ListField
{
	public $type = 'Categories';

	protected function getOptions()
	{
    $cattype = isset($this->element['cattype']) ? $this->element['cattype'] : 0;
    
		$db = Factory::getDbo();
		$query = $db->getQuery(true)
			->select(['id as value', 'name as text', 'parentid'])
			->from($db->quoteName('#__larts_subs_categories'))
      ->where($db->quoteName('cattype'). '=' .$cattype)
			->order('COALESCE(parentid, id), parentid is NOT NULL, id ASC');
		$db->setQuery($query);
    $list = $db->loadObjectList();

		$options = parent::getOptions();
    if(!$this->multiple && empty($options))
		{
			$options[] = HTMLHelper::_('select.option', '0', '- ' . Text::_('COM_LARTSSUBS_SELECT_CATEGORY') . ' -');
		}

    $optadd = array();
    // append arrow if cat is child
    foreach($list as $item) {
      if($item->parentid != 0) {
        $item->text = '->' .$item->text;
      }
			$optadd[] = HTMLHelper::_('select.option', $item->value, $item->text);
    }

		return array_merge($options, $optadd);
	}
  
  protected function getInput()
	{
    //if(isset($this->form->category_id)) {
    //  $this->value = $this->form->category_id;
    //}
    return parent::getInput();
  }
}
