<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\Field\ListField;


class JFormFieldLarts_Category extends ListField
{
	public $type = 'Category';

	protected function getOptions()
	{
		$db      = Factory::getDbo();
		$options = parent::getOptions();

		$query = $db->getQuery(true);

		$query->select(['id AS id', 'name AS name'])
		      ->from($db->quoteName('#__larts_subs_categories'))
		      ->where($db->quoteName('parentid') . ' = 0')
		      ->order($db->quoteName('ordering') . ' ASC');

		$db->setQuery($query);
		$categories = $db->loadObjectList();

		$query = $db->getQuery(true);

		$query->select(['id AS id', 'name AS name', 'parentid'])
		      ->from($db->quoteName('#__larts_subs_categories'))
		      ->where($db->quoteName('parentid') . ' != 0')
		      ->order($db->quoteName('ordering') . ' ASC');

		$db->setQuery($query);
		$subcategories = $db->loadObjectList();

		$optionlist[] = HTMLHelper::_('select.option', '', Text::_('COM_LARTSSUBS_SELECT_CATEGORY'));

		foreach ($categories as $category)
		{
			$cid          = $category->id;
			$optionlist[] = HTMLHelper::_('select.option', $category->id, $category->name);

			foreach ($subcategories as $subcategory)
			{
				if ($subcategory->parentid == $cid)
				{
					$optionlist[] = HTMLHelper::_('select.option', $subcategory->id, '&nbsp;|- ' . $subcategory->name);
				}
			}
		}

		return array_merge($options, $optionlist);
	}
}
