<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Form\Field\TextField;


class JFormFieldLarts_Couponcode extends TextField
{
	public $type = 'CouponCode';

	protected function getInput()
	{
		$script = "
		function LartsSubsGenerateCouponCode" . $this->id . "() {
			var length = 10; // Maximum of 15
			
			var chars = [
				('BCDFHJKMN').split(''),
				('PQRTVWXZ').split(''),
				('34789').split('')
			];
			
			var codes = [];
			while (codes.length < length)
			{
				var group = Math.floor(Math.random() * 3);
				var pos = Math.floor(Math.random() * chars[group].length);
				
				if(chars[group][pos] == '') {
					continue;
				}
				
				codes.push(chars[group][pos]);
				
				chars[group][pos] = '';
			}

			document.getElementById('coupon_code').value = codes.join('');
			
			return false;
		}
		";
		Factory::getDocument()->addScriptDeclaration($script);

		$button = '<button class="btn btn-default button-select btn-outline-secondary" type="button" onclick="LartsSubsGenerateCouponCode' . $this->id . '();return false;">'
			. '<span class="icon icon-loop"></span>'
			. ' ' . Text::_('COM_LARTSSUBS_COUPON_GENERATE')
			. '</button>';

		return
			'<div class="input-append input-group mb-3">'
			. parent::getInput()
			. $button
			. '</div>';
	}
}
