<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Form\FormField;


class JFormFieldLarts_Customer extends FormField
{
	public $type = 'Customer';

	protected function getInput()
	{
		$db = Factory::getDbo();

		$query = $db->getQuery(true);
		$query->select(['a.id', 'a.username', 'b.id AS user_id', 'b.firstname', 'b.lastname'])
			->from($db->quoteName('#__users', 'a'))
			->join('LEFT', $db->quoteName('#__larts_subs_customers', 'b') . ' ON ' . $db->quoteName('b.userid') . ' = ' . $db->quoteName('a.id'))
			->where($db->quoteName('a.id') . ' = ' . (int) $this->value);

		$db->setQuery($query);
		$user = $db->loadObject();

    if(empty($user)) {
      $html =	'<span class="icon-user"></span> Unknowm user!';
    }
    else {
      $html =	'<span class="icon-user"></span>'
        . ' <a href="index.php?option=com_lartssubscriptions&task=customers.edit&cid[]=' . $user->user_id . '">'
        . $user->firstname . ' ' . $user->lastname
        . '</a>'
        . ' [<a href="index.php?option=com_users&task=user.edit&id=' . $user->id . '">'
        . $user->username
        . ']</a>'
        . ' <span class="label">' . $this->value . '</span>';
    }
		return $html;
	}
}
