<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('JPATH_PLATFORM') or die;

use LartsSubscriptions\Base\DateEx;
use LartsSubscriptions\Price;
use Joomla\CMS\Form\FormField;


class JFormFieldLarts_Data extends FormField
{
	public $type = 'Data';

	protected function getInput()
	{
		$value   = $this->value;
		$prepend = isset($this->element['prepend']) ? $this->element['prepend'] : '';
		$append  = isset($this->element['append']) ? $this->element['append'] : '';

		$class = isset($this->element['class']) ? $this->element['class'] : 'input';

		$front = $this->prepareContent($value, $prepend);
		$back = $this->prepareContent($value, $append);

		$classes = [];

		if ($front) {
			$classes[] = 'input-prepend';
		}
		if ($back) {
			$classes[] = 'input-append';
		}

		$html = [];
		$html[] = '<div class="' . implode(' ', $classes) . '">';

    if ($front) {
			$html[] = '<span class="add-on">' .$front. '</span>';
		}

    $html[] = '<input class="' . $class . '" value="' . $value . '" type="text" disabled="disabled">';

		if ($back) {
			$html[] = '<span class="add-on">' . $back . '</span>';
		}

		$html[] = '</div>';

		return implode('', $html);
	}

	private function prepareContent(&$value, &$extra)
	{
    switch ($extra) {
    case 'currency':
  		$value = Price::_($value, false);
      $extra = Price::getCurrency();
      break;
    case 'icon-calendar':
   		$value = DateEx::_($value);
      $extra = '<span class="icon-calendar"></span>';
      break;
    default:
      if (strpos($extra, 'icon-') === 0) {
        $extra = '<span class="' .$extra. '"></span>';
      }
      break;
		}
    return $extra;
	}
}
