<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\Field\ListField;

use LartsSubscriptions\Files;


class JFormFieldLarts_File_SourceType extends ListField
{
	public $type = 'File_SourceType';

	protected function getOptions()
	{
		$options[] = HTMLHelper::_('select.option', Files::SOURCE_TYPE_UPLOAD, Text::_('COM_LARTSSUBS_UPLOADED_FILE'));
		$options[] = HTMLHelper::_('select.option', Files::SOURCE_TYPE_LOCAL, Text::_('COM_LARTSSUBS_CHOOSE_FILE_FROM_SERVER'));
		$options[] = HTMLHelper::_('select.option', Files::SOURCE_TYPE_EXTERN, Text::_('COM_LARTSSUBS_DIRECT_DOWNLOAD_LINK'));

		return $options;
	}
}