<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\Field\ListField;


class JFormFieldLarts_Files extends ListField
{
	public $type = 'Files';

	protected function getOptions()
	{
		$db = Factory::getDbo();

		$query = $db->getQuery(true)
			->select(['id as value', 'filename as text'])
			->from($db->quoteName('#__larts_subs_files'))
			->order($db->quoteName('filename') . ' ASC');

		$db->setQuery($query);

		$options = parent::getOptions();
		if(!$this->multiple && empty($options))
		{
			$options[] = HTMLHelper::_('select.option', '0', '- ' . Text::_('COM_LARTSSUBS_SELECT_FILE') . ' -');
		}

		return array_merge($options, $db->loadObjectList());
	}
  
  protected function getInput()
	{
    //if(isset($this->form->file_id))
    //  $this->value = $this->form->file_id;
    return parent::getInput();
  }

}
