<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\Field\ListField;

use LartsSubscriptions\Base\FileBase;
use LartsSubscriptions\Files;


class JFormFieldLarts_Files_InDir extends ListField
{
	public $type = 'Files_InDir';
	public $files;

	protected function getOptions()
	{
    $this->name;
    
    $files = new Files;
    $path  = $files->getBasePath();
    $this->files = FileBase::getFiles($path);

		$options = parent::getOptions();
    
		$options[] = HTMLHelper::_('select.option', '', '- ' . Text::_('COM_LARTSSUBS_SELECT_FILE') . ' -');
    foreach($this->files as $i => $file) {
      if($file['file'] == 'index.html') {
        continue;
      }
      
      // uploaded files do not have an extension, so skip all files without extension
      if(strlen(pathinfo($file['file'], PATHINFO_EXTENSION)) == 0) {
        continue;
      }
			$options[] = HTMLHelper::_('select.option', $file['file'], $file['file']);
    }
    
		return $options;
	}
  
  protected function getInput()
	{
    if(isset($this->form->file_id))
      $this->value = $this->form->file_id;
    return parent::getInput();
  }

}
