<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Form\FormField;

class JFormFieldLarts_ImagePreview extends FormField
{
	public $type = 'ImagePreview';

	protected function getInput()
	{
		$default_image = isset($this->element['default_image']) ? $this->element['default_image'] : 'no-image.png';
    
    if(!empty($this->value)) {
  		$imgsrc = Uri::root() . '/' . $this->value;
    }
    elseif (isset($this->element['default_image'])) {
  		$imgsrc = Uri::root() . $this->element['default_image'];
    }
    else {
  		$imgsrc = Uri::root() . '/media/com_lartssubscriptions/images/no-image.png';
    }
    
    
    $task = $this->element['task_remove_image'];
    $lnkRemove = 'index.php?option=com_lartssubscriptions&task=' .$task;

		$html = [];

		$html[] = '<img src="' .$imgsrc. '" class="img-polaroid pull-left" style="max-width:225px;max-height:225px;">';
		$html[] = '<div style="clear:both; padding-top:10px;">
						<p>
              <a class="btn" href="'.$lnkRemove.'">Remove</a>
						</p>
					</div>';

		return implode('', $html);
	}
}

