<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('JPATH_PLATFORM') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Form\Field\ListField;

use LartsSubscriptions\Base\BSWrapper;


class JFormFieldLarts_Label extends ListField
{
	public $type = 'Label';

	protected function getInput()
	{
		$text  = $this->value;
		$ltype = isset($this->element['class']) ? $this->element['class'] : 'default';

		$option = $this->getActiveOption();
		if(!is_null($option)) {
			$text  = Text::_($option->text);
			$ltype = isset($option->class) ? $option->class : '';
		}

    return BSWrapper::label($text, $ltype);
	}

	protected function getActiveOption()
	{
		$options = $this->getOptions();

		foreach ($options as $option)
		{
			if ($option->value == $this->value) {
				return $option;
			}
		}

		foreach ($options as $option)
		{
			if ($option->value == $this->default) {
				return $option;
			}
		}

		return null;
	}
}
