<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\Field\ListField;

use LartsSubscriptions\ThirdParty\LartsLicManager;


class JFormFieldLarts_Licences extends ListField
{
	public $type = 'Licences';
	public $userid = 0;
  
  public function __construct() {
    parent::__construct(); 
  }

	protected function getOptions()
	{
    $userid = $this->form->getValue('userid', null, 0);
    $api = LartsLicManager::getAPI();
    $lics = $api->getUserLicences($userid, true);

		$options = parent::getOptions();
		if(!$this->multiple && empty($options)) {
			$options[] = HTMLHelper::_('select.option', '0', Text::_('COM_LARTSSUBS_NEW_LICENCE'));
		}

    foreach($lics as $lic) {
      $options[] = array('value' => $lic->id, 'text' => $lic->licence_number);
    }

    return $options;
	}
}
