<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\Field\ListField;


class JFormFieldLarts_ParentCategory extends ListField
{
	public $type = 'ParentCategory';

	protected function getInput()
	{
		$cid        = Factory::getApplication()->GetInput()->get('cid', [0], 'array');
		$current_id = (int) $cid[0];

		if ($current_id && $this->hasChildren($current_id))
		{
			return '<em>' . Text::_('COM_LARTSSUBS_CATEGORY_IS_PARENT') . '</em>';
		}

		return parent::getInput();
	}

	protected function getOptions()
	{
		$cid        = Factory::getApplication()->GetInput()->get('cid', [0], 'array');
		$current_id = (int) $cid[0];

		$options = [];

		$db = Factory::getDbo();

		$query = $db->getQuery(true)
			->select(['id AS value', 'name AS text'])
			->from($db->quoteName('#__larts_subs_categories'))
			->where($db->quoteName('parentid') . ' = 0');

		if ($current_id)
		{
			$query->where($db->quoteName('id') . ' != ' . (int) $current_id);
		}

		$db->setQuery($query);

		$options[] = HTMLHelper::_('select.option', '0', Text::_('COM_LARTSSUBS_PLS_SELECT_CAT_SELECT'));
		$options   = array_merge($options, $db->loadObjectList());

		return $options;
	}

	private function hasChildren($id)
	{
		$db = Factory::getDbo();

		$query = $db->getQuery(true)
			->select('count(id)')
			->from($db->quoteName('#__larts_subs_categories'))
			->where($db->quoteName('parentid') . ' = ' . (int) $id);

		$db->setQuery($query);

		return $db->loadResult();
	}
}
