<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\Field\ListField;

class JFormFieldPkgmanagerPackages extends ListField
{
	public $type = 'PkgmanagerPackages';

	protected function getOptions()
	{
		$db = Factory::getDbo();

		$query = $db->getQuery(true)
			->select(['id as value', 'name as text'])
			->from($db->quoteName('#__larts_pkgmanager_packages'))
			->order($db->quoteName('name') . ' ASC');

		$db->setQuery($query);

		$options   = [];
		$options[] = HTMLHelper::_('select.option', '0', '- ' . Text::_('COM_LARTSSUBS_SELECT_PACKAGE') . ' -');
		return array_merge($options, $db->loadObjectList());
	}
}
