<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\Field\ListField;


class JFormFieldLarts_Products extends ListField
{
	public $type = 'Products';
  public $ProdListOptions;
  public $file_id = 0;
  public $category_id = 0;
  public $template_id = 0;
  public $group_id = 0;
  
  //private $products;
	const SHOW_ALL = 0;
	const SHOW_NONREF = 1;      // all base products
	const SHOW_REF = 2;         // all ref products
  

	protected function getOptions()
	{
    $listOptions = isset($this->ProdListOptions[$this->name]) ? $this->ProdListOptions[$this->name] 
              : [ 'show' => self::SHOW_ALL];
		$db = Factory::getDbo();
    //$showType = (isset($this->form->listProdsShow) ? $this->form->listProdsShow : SHOW_NONREF;

		$query = $db->getQuery(true)
			->select(['id as value', 'name as text'])
			->from($db->quoteName('#__larts_subs_products'))
			->order($db->quoteName('name') . ' ASC');
      if($listOptions['show'] == self::SHOW_NONREF) {
        $query->where($db->quoteName('product_ref'). '=0' );
      }
      else if($listOptions['show'] == self::SHOW_REF) {
        $query->where($db->quoteName('product_ref'). '!=0' );
      }

		$db->setQuery($query);

		$options = parent::getOptions();
		if(!$this->multiple && empty($options))
		{
			$options[] = HTMLHelper::_('select.option', '0', '- ' . Text::_('COM_LARTSSUBS_SELECT_PRODUCT') . ' -');
		}

		return array_merge($options, $db->loadObjectList());
	}

  protected function getInput()
  {
		if (isset($this->form->bReadOnly) && $this->form->bReadOnly)
		{
  		$db = Factory::getDbo();
      $query = $db->getQuery(true)
        ->select(['id', 'name'])
        ->from($db->quoteName('#__larts_subs_products'))
        ->where($db->quoteName('id') . ' = ' . $this->value);

  		$db->setQuery($query);
      $result = $db->loadAssoc();
      if(empty($result)) {
        $text = '- unknown -';
      }
      else {
        $text = $result['name'];
      }

			return '<span class="hasPopover" data-content="' . Text::_('COM_LARTSSUBS_PRODUCT_FIXED') . '">'
				. '<input type="text" disabled="disabled" value="' . $text . '" />'
				. '<input type="hidden" name="' .$this->name. '" value="' . $this->value . '" />'
				. '</span>';
		}

    return parent::getInput();
  }
}
