<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\Field\ListField;


class JFormFieldLarts_Products_Active extends ListField
{
	public $type = 'Products_Active';

	protected function getOptions()
	{
		$db = Factory::getDbo();

		$query = $db->getQuery(true)
			->select(['DISTINCT(per.product_id) as value', 'p.name as text'])
			->from($db->quoteName('#__larts_subs_periods', 'per'))
			->join('LEFT', $db->quoteName('#__larts_subs_products', 'p') . ' ON (' . $db->quoteName('per.product_id') . ' = ' . $db->quoteName('p.id') . ')')
			->order($db->quoteName('p.name') . ' ASC');

		$db->setQuery($query);

		$options = parent::getOptions();
		if(!$this->multiple && empty($options))
		{
			$options[] = HTMLHelper::_('select.option', '', '- ' . Text::_('COM_LARTSSUBS_SELECT_PRODUCT') . ' -');
		}

		return array_merge($options, $db->loadObjectList());
	}
}
