<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 * 
 * Additional Fields
 * - allowNone="yes/no"
 */

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\Field\ListField;

use LartsSubscriptions\Product;


class JFormFieldProductTypes extends ListField
{
	public $type = 'ProductTypes';

  protected function getOptions()
	{
    $allowNone = isset($this->element['allowNone']) ? $this->element['allowNone'] : 'yes';

    $entries = Product::getTypeOptions();

		$options = parent::getOptions();
    if($allowNone == 'yes') {
      $options[] = HTMLHelper::_('select.option', Product::UNKNOWN, '- ' .Text::_('COM_LARTSSUBS_PRODUCT_TYPE'). ' -');
    }

    foreach($entries as $i => $opt) {
      $options[] = HtmlHelper::_('select.option', $i, $opt);
    }

    return $options;
	}
}
