<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\Field\ListField;


class JFormFieldLarts_Psp extends ListField
{
	public $type = 'Psp';

	protected function getOptions()
	{
		$db = Factory::getDbo();

		$query = $db->getQuery(true);

		$query->select(['type AS value', 'type AS text'])
		      ->from($db->quoteName('#__larts_subs_transactions'))
		      ->group($db->quoteName('type'))
		      ->order($db->quoteName('type') . ' ASC');

		$db->setQuery($query);

		$options = parent::getOptions();

		if(!$this->multiple && empty($options))
		{
			$options[] = HTMLHelper::_('select.option', null, '- ' . Text::_('COM_LARTSSUBS_PLS_SELECT_PAYMENT_TYPE') . ' -');
		}

		return array_merge($options, $db->loadObjectList());
	}
}
