<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Form\Field\ListField;


class JFormFieldLarts_Redirect extends ListField
{
	public $type = 'Redirect';

	protected function getOptions()
	{
		$db    = Factory::getDbo();

		$query = $db->getQuery(true)
			->select('DISTINCT(a.id) AS value, a.title AS text, a.level, a.lft')
			->from('#__menu AS a')
			->where('a.menutype != ' . $db->quote(''))
			->where($db->quoteName('a.client_id') . ' = 0');

		$query->where('a.published != -2')
			->order('a.lft ASC');

		$db->setQuery($query);
		$menus = $db->loadObjectList();

		$options = parent::getOptions();
    if(!$this->multiple && empty($options))
		{
			$options[] = HTMLHelper::_('select.option', '0', '- ' . Text::_('COM_LARTSSUBS_SELECT_PAGE') . ' -');
		}
    //array_merge($options, $menus);

		// Pad the option text with spaces using depth level as a multiplier.
		for ($i = count($options), $n = 0; $n < count($menus); $i++, $n++)
		{
      $options[$i] = $menus[$n];
			$options[$i]->text = str_repeat('- ', $options[$i]->level) . $options[$i]->text;
		}

		return $options;
	}
}
