<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 * 
 * Additional Fields
 * - template_type="page/email/invoice"
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\Field\ListField;


class JFormFieldLarts_Templates extends ListField
{
	public $type = 'Templates';

	protected function getOptions()
	{
    $template_type = isset($this->element['template_type']) ? $this->element['template_type'] : 'page';

    $db = Factory::getDbo();

		$query = $db->getQuery(true)
			->select(['id as value', 'alias as text'])
			->from($db->quoteName('#__larts_subs_templates'))
      ->where($db->quoteName('type'). '=' .$db->quote($template_type))
			->order($db->quoteName('alias') . ' ASC');
		$db->setQuery($query);
    //$db->loadObjectList()
        
		$options = parent::getOptions();
		if(!$this->multiple && empty($options))
		{
			$options[] = HTMLHelper::_('select.option', '0', '- ' . Text::_('COM_LARTSSUBS_SELECT_TEMPLATE') . ' -');
		}

		return array_merge($options, $db->loadObjectList());
	}
  
  protected function getInput()
	{
//    if(isset($this->form->template_id)) {
//      $this->value = $this->form->template_id;
//    }
    return parent::getInput();
  }

}
