<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\Field\ListField;


class JFormFieldLarts_User2Country extends ListField
{
	public $type = 'Countries';

	protected function getOptions()
	{
		$db = Factory::getDbo();

		$query = $db->getQuery(true)
		            ->select(['c.country_2_code as value', 'c.country as text'])
		            ->from($db->quoteName('#__larts_subs_countries', 'c'))
		            ->join('INNER', $db->quoteName('#__larts_subs_customers', 'u') . ' ON (' . $db->quoteName('u.country_code') . ' = ' . $db->quoteName('c.country_2_code') . ')')
		            ->group($db->quoteName('c.country'))
		            ->order($db->quoteName('c.country') . ' ASC');

		$db->setQuery($query);

		$options   = [];
		$options[] = HTMLHelper::_('select.option', '', '- ' . Text::_('COM_LARTSSUBS_PLS_SELECT_COUNTRY_SELECT') . ' -');

		return array_merge($options, $db->loadObjectList());
	}
}
