<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Form\Field\UserField;

class JFormFieldLarts_UserId extends UserField
{
	public $type = 'UserId';

	protected function getInput()
	{
		$html = parent::getInput();

		$button = '<a class="btn btn-danger" title="' . Text::_('JGLOBAL_SELECTION_NONE') . '" href="javascript:void(0)"'
			. ' onclick="document.getElementById(\'' . $this->id . '\').value=\'\';document.getElementById(\'' . $this->id . '_id\').value=\'\';">'
			. '<span class="icon-delete"></span>'
			. '</a>';

		$html = str_replace(
			'<span class="icon-user"></span></a>',
			'<span class="icon-user"></span></a>' . $button,
			$html
		);

		return $html;
	}
}
