<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Administrator\Model;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\Model\AdminModel;
use Joomla\CMS\MVC\Factory\MVCFactoryInterface;
use Joomla\CMS\Table\Table;
 
class VatclassModel extends AdminModel
{
	public function __construct($config = [], MVCFactoryInterface $factory = null)
	{
		parent::__construct($config, $factory);
	} 

  public function getTable($type = 'Vatclass', $prefix = 'LartsSubscriptionsTable', $config = array())
	{
		return parent::getTable($type, $prefix, $config);
	}

  public function getForm($data = array(), $loadData = true)
	{
		// Get the form.
		$form = $this->loadForm('com_lartssubscriptions.vatclass', 'vatclass',	array('control' => 'jform', 'load_data' => $loadData));

		if (empty($form)) {
			return false;
		}

		return $form;
	}  

  protected function loadFormData()
	{
		// Check the session for previously entered form data.
		$data = Factory::getApplication()->getUserState('com_lartssubscriptions.edit.vatclass.data', array());

		if (empty($data)) {
			$data = $this->getItem();
		}

		return $data;
	}
  
  public function getItem($pk = null)
  {
    if ($item = parent::getItem($pk))
    {
    }

    return $item;
  }

  public function validate($form, $data, $group = null)
  {
    //$newdata = array();
    //$params  = array();
    return $data;
  }

  function copy($id)
  {
      $item = $this->getItem($id);

      unset($item->_errors);
      $item->id = 0;
      $item->published = 0;
      $item->name = JText::sprintf('NR_COPY_OF', $item->name);

      $item = $this->validate(null, (array) $item);

      return ($this->save($item));
  }

	public function save($data)
	{
    return AdminModel::save($data);
  }
}

