<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Administrator\View\Dashboard;
defined('_JEXEC') or die;


use Joomla\CMS\Factory;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Language\Text;
use LartsSubscriptions\Base\PluginManager;
//use Joomla\Event\Event;

use LartsSubscriptions\Base\UpdateKey;
use LartsSubscriptions\Config as LartsConfig;
use LartsSubscriptions\Base\ExtensionsHelper;

//jimport('joomla.application.component.view');

class HtmlView extends BaseHtmlView
{
  var $config;
  var $component;
  var $extparams;
  var $payment_plugins;

  /**
	 * Displaying the control panel of the component.
	 */
	public function display($tpl = null)
	{
		$this->config    = LartsConfig::get();
    
    $uk = new UpdateKey;
		$this->component = $uk->getExtensionInfo('com_lartssubscriptions');
    $this->extparams = json_decode($this->component->manifest_cache);
    $this->payment_plugins = ExtensionsHelper::lookupExtensions('lartssubscriptions_payment');

    // Check for errors.
    if (!empty($errors = $this->get('Errors'))) {
        throw new GenericDataException(implode("\n", $errors), 500);
    }

    Factory::getDocument()->setTitle(Text::_('COM_LARTSSUBS_CP'));
    

		parent::display($tpl);
	}
}
