<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Administrator\View\Geoip;
defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Factory;
use Joomla\CMS\Form\Form;

use LartsSubscriptions\Config as LartsConfig;


class HtmlView extends BaseHtmlView
{
	var $data;
	var $form;
  var $config;

  public function __construct($config = array())
	{
    parent::__construct($config);
  }

  public function display($tpl = null)
	{
		$this->config = LartsConfig::get();

		$this->data = $this->get('Data');
		$this->form = $this->get('Form');
    
    $this->form->setValue('maxmind_key', null, $this->config->maxmind_key);
    $this->form->setValue('ipstack_key', null, $this->config->ipstack_key);
    $this->form->setValue('use_default_country', null, $this->config->use_default_country);
    $this->form->setValue('default_country', null, $this->config->default_country);
    $this->form->setValue('use_geoip', null, $this->config->use_geoip);

     // Check for errors.
    if (!empty($errors = $this->get('Errors'))) {
        throw new GenericDataException(implode("\n", $errors), 500);
    }

    $this->addFormToolbar();

		parent::display($tpl);
	}

  private function addFormToolbar()
	{
    ToolbarHelper::title(Text::_('COM_LARTSSUBS_GEO2IP_CONFIG'), 'flag-3');

    ToolbarHelper::apply('geoip.apply');
    ToolbarHelper::custom('geoip.update', 'download', 'download', Text::_('COM_LARTSSUBS_UPDATE_DATABASE'), false);
    ToolbarHelper::cancel('geoip.cancel', 'JTOOLBAR_CLOSE');
 }

}

