<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Administrator\View\Logfiles;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Language\Text;

use LartsSubscriptions\Config as LartsConfig;


class HtmlView extends BaseHtmlView
{
  var $config;
  var $state;
  var $items;
  var $pagination;
  var $filterForm;
  var $activeFilters;

  public function display($tpl = null)
	{
		$this->config   = LartsConfig::get();

    $this->state         = $this->get('State');
		$this->items         = $this->get('Logs');
		$this->pagination    = $this->get('Pagination');
		$this->filterForm    = $this->get('FilterForm');
		$this->activeFilters = $this->get('ActiveFilters');

    // Check for errors.
    if (!empty($errors = $this->get('Errors'))) {
        throw new GenericDataException(implode("\n", $errors), 500);
    }

    $this->addToolbar();
    
		parent::display($tpl);
	}
  
  private function addToolbar()
  {
    ToolbarHelper::title(Text::_('COM_LARTSSUBS_DOWNLOADS_LOG'), 'location');
    ToolbarHelper::deleteList('', 'logfiles.remove', 'JTOOLBAR_DELETE');
  }

}
