<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Administrator\View\Orders;
defined('_JEXEC') or die;

use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Language\Text;

use LartsSubscriptions\Config as LartsConfig;

class HtmlView extends BaseHtmlView
{
  var $config;
  var $state;
  var $items;
  var $pagination;
  var $filterForm;
  var $activeFilters;

  public function __construct($config = [])
	{
		$this->config = LartsConfig::get();

		parent::__construct($config);
	}

  public function display($tpl = null)
	{
		$this->state = $this->get('State');
		$this->pagination = $this->get('Pagination');
		$this->items = $this->get('List');

		$this->filterForm = $this->get('FilterForm');
		$this->activeFilters = $this->get('ActiveFilters');

    // Check for errors.
    if (!empty($errors = $this->get('Errors'))) {
        throw new GenericDataException(implode("\n", $errors), 500);
    }

    $this->addToolbar();

		parent::display($tpl);
	}

 	static function showSortArrows($fieldname)
  {
    //echo '<a href="javascript:submitme(\'' .$fieldname. ',ASC\')"><img src="' .JPATH_COMPONENT_ADMINISTRATOR. '/images/arrow_up.png" border="1" /></a>' ."\n";
    //echo '<a href="javascript:submitme(\'' .$fieldname. ',DESC\')"><img src="' .JPATH_COMPONENT_ADMINISTRATOR. '/images/arrow_down.png" border="0" /></a>' ."\n";

    echo '<a href="javascript:submitme(\'' .$fieldname. ',ASC\')"><i class="icon-arrow-up" style="margin-left: 0.5em"></i></a>'."\n";
    echo '<a href="javascript:submitme(\'' .$fieldname. ',DESC\')"><i class="icon-arrow-down"></i></a>'."\n";
  }

  private function addToolbar()
	{
    ToolbarHelper::title(Text::_('COM_LARTSSUBS_ORDERS'), 'signup');
 		ToolbarHelper::deleteList('', 'orders.remove', 'JTOOLBAR_DELETE');
    //ToolbarHelper::help('HELP', false, 'https://www.locical-arts-extensions.de/subscriptions/backend/pending-orders');
    ToolbarHelper::custom('orders.export', 'download', '', Text::_('COM_LARTSSUBS_EXPORT_TO_EXCEL'), false);
	}

}


