<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Administrator\View\Pendings;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

use LartsSubscriptions\Config as LartsConfig;


class HtmlView extends BaseHtmlView
{
  public $config;
  public $state;
  public $items;
  public $pagination;
  public $filterForm;
  public $activeFilters;

  public function __construct($config = [])
	{
		$this->config = LartsConfig::get();

		parent::__construct($config);
	}

  public function display($tpl = null)
	{
		$this->state         = $this->get('State');
		$this->items         = $this->get('list');
		$this->pagination    = $this->get('Pagination');
		$this->filterForm    = $this->get('FilterForm');
		$this->activeFilters = $this->get('ActiveFilters');

    // Check for errors.
    if (!empty($errors = $this->get('Errors'))) {
        throw new GenericDataException(implode("\n", $errors), 500);
    }

    $this->addToolbar();

    parent::display($tpl);
	}

  private function addToolbar()
	{
    ToolbarHelper::title(Text::_('COM_LARTSSUBS_PENDING_TRANSACTIONS'), 'notification-2');
 		ToolbarHelper::deleteList('', 'pendings.remove', 'JTOOLBAR_DELETE');
    ToolbarHelper::custom('pendings.markPaid', 'publish', '', Text::_('COM_LARTSSUBS_MARK_AS_PAID'), true);
    ToolbarHelper::custom('pendings.markProcessed', 'publish', '', Text::_('COM_LARTSSUBS_MARK_AS_PROCESSED'), true);
    ToolbarHelper::custom('pendings.process', 'power-cord', '', Text::_('COM_LARTSSUBS_PROCESS_ORDER'), true);
    ToolbarHelper::help('HELP', false, 'https://www.logical-arts-extensions.com/larts-subscriptions/backend/pending-orders');
	}

 	static function showSortArrows($fieldname) {
    

    //echo '<a href="javascript:submitme(\'' .$fieldname. ',ASC\')"><img src="' .JPATH_COMPONENT_ADMINISTRATOR. '/images/arrow_up.png" border="1" /></a>' ."\n";
    //echo '<a href="javascript:submitme(\'' .$fieldname. ',DESC\')"><img src="' .JPATH_COMPONENT_ADMINISTRATOR. '/images/arrow_down.png" border="0" /></a>' ."\n";

    echo '<a href="javascript:submitme(\'' .$fieldname. ',ASC\')"><i class="icon-arrow-up" style="margin-left: 0.5em"></i></a>'."\n";
    echo '<a href="javascript:submitme(\'' .$fieldname. ',DESC\')"><i class="icon-arrow-down"></i></a>'."\n";
  }

}


