<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Administrator\View\Templates;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper;

use LartsSubscriptions\Config as LartsConfig;

//jimport('joomla.application.component.view');

class HtmlView extends BaseHtmlView
{
  public $data;
  public $form;
  public $config;
  public $state;
  public $items;
  public $filterForm;
  public $activeFilters;

  public function display($tpl = null)
	{
		if ($this->getLayout() == 'form')
		{
			$this->_displayForm($tpl);

			return;
		}

		$this->state         = $this->get('State');
		$this->items         = $this->get('list');
		$this->filterForm    = $this->get('FilterForm');
		$this->activeFilters = $this->get('ActiveFilters');

    // Check for errors.
    if (!empty($errors = $this->get('Errors'))) {
        throw new GenericDataException(implode("\n", $errors), 500);
    }

    $this->addToolbar();
     
		parent::display($tpl);
	}

	public function _displayForm($tpl = null)
	{
		$this->config = LartsConfig::get();

		$this->data = $this->get('Data');
		$this->form = $this->get('Form');

    $this->addFormToolbar();

		parent::display($tpl);
	}
  
  private function addToolbar()
	{
    ToolbarHelper::title(Text::_('COM_LARTSSUBS_EMAIL_TEMPLATES'), 'envelope');
		ToolbarHelper::addNew('templates.add');
		ToolbarHelper::deleteList('', 'templates.remove', 'JTOOLBAR_DELETE');
	}

	private function addFormToolbar()
	{
    $toolbar = Toolbar::getInstance();

    $newMessage = isset($this->data->subject) ? $this->data->subject : null;

    if(!$newMessage) {
      ToolbarHelper::title(Text::_('COM_LARTSSUBS_ADD') . ' ' . Text::_('COM_LARTSSUBS_TEMPLATE'), 'envelope');
    }
    else {
      ToolbarHelper::title(Text::_('JACTION_EDIT') . ' ' . Text::_('COM_LARTSSUBS_TEMPLATE') . ': ' . $this->data->subject, 'envelope');
    }

    ToolbarHelper::apply('templates.apply');
    ToolbarHelper::save('templates.save');

  	empty($this->data) ? ToolbarHelper::cancel('templates.cancel') : ToolbarHelper::cancel('templates.cancel', 'JTOOLBAR_CLOSE');

    $toolbar->divider();
    ToolbarHelper::inlinehelp();
  }
  
}


