<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Administrator\View\Transactions;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;


use LartsSubscriptions\Config as LartsConfig;

jimport('joomla.application.component.view');

class HtmlView extends BaseHtmlView
{
  var $config;
  var $state;
  var $items;
  var $pagination;
  var $filterForm;
  var $activeFilters;
  public $data;
  public $form;

  public function display($tpl = null)
	{
		if ($this->getLayout() == 'form')
		{
			$this->_displayForm($tpl);

			return;
		}

		$this->state         = $this->get('State');
		$this->items         = $this->get('list');
		$this->pagination    = $this->get('Pagination');
		$this->filterForm    = $this->get('FilterForm');
		$this->activeFilters = $this->get('ActiveFilters');

    // Check for errors.
    if (!empty($errors = $this->get('Errors'))) {
        throw new GenericDataException(implode("\n", $errors), 500);
    }

		$this->config = LartsConfig::get();
		$this->addToolbar();

		parent::display($tpl);
	}

	public function _displayForm($tpl = null)
	{
		$this->form   = $this->get('Form');
		$this->data   = $this->get('Data');
		$this->config = LartsConfig::get();

		$this->addFormToolbar();

    parent::display($tpl);
	}

  private function addToolbar()
	{
    ToolbarHelper::title(Text::_('COM_LARTSSUBS_TRANSACTIONS'), 'credit');
		ToolbarHelper::editList('transactions.edit');
    ToolbarHelper::deleteList('', 'transactions.remove');
	}

	private function addFormToolbar()
	{
    ToolbarHelper::title(Text::_('COM_LARTSSUBS_PAYMENT_INFORMATION'), 'credit');
    ToolbarHelper::cancel('transactions.cancel', 'JTOOLBAR_CLOSE');
	}
}
