<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Editor\Editor;


$wa = $this->document->getWebAssetManager();
$wa->useScript('keepalive')
   ->useScript('form.validate');

HTMLHelper::_('stylesheet', 'com_lartssubscriptions/adminj4.css', ['version' => 'auto', 'relative' => true]);

$id       = isset($this->data->id) ? $this->data->id : 0;
$parentid = isset($this->data->parentid) ? $this->data->parentid : 0;
$created  = isset($this->data->created) ? $this->data->created : 0;

$task = 'categories.removeimage&id=' .$id;
$this->form->setFieldAttribute('preview_image','task_remove_image', $task);
if(isset($this->data->image)) {
  $this->form->setValue('preview_image', '', $this->data->image);
}

?>

<form action="index.php?option=com_lartssubscriptions" method="POST" name="adminForm" id="adminForm" enctype="multipart/form-data">

	<?php 
    echo LayoutHelper::render('title_alias', ['data' => $this->data, 'title' => 'name',
            'title_label' => 'COM_LARTSSUBS_CATEGORY_NAME', 'alias'=> 'alias']);
  ?>

  <div class="container">
    <div class="row justify-content-start">
      <div class="col-6">
          <fieldset class="form-horizontal">
            <?php echo $this->form->renderFieldset('details'); ?>
            <?php echo $this->form->renderFieldset('image_set'); ?>
          </fieldset>
      </div>
      <div class="col-6">
        <fieldset class="form-horizontal">
          <?php echo $this->form->renderFieldset('params'); ?>
        </fieldset>
      </div>
    </div>
    <div class="row">
      <div class="col-12">
        <fieldset class="form-horizontal">
          <div class="control-label">
            <h3><?php echo Text::_('JGLOBAL_DESCRIPTION'); ?></h3>
          </div>
          <div class="controls">
            <?php
            $cfgEditor = Factory::getConfig()->get('editor');
            $editor = Editor::getInstance($cfgEditor);
            echo $editor->display('description',
              isset($this->data->description) ? $this->data->description : '',
              '100%', '250', '10', '10');
            ?>
          </div>
        </fieldset>
      </div>
      <div class="span3 col-md-3"></div>
    </div>
  </div>
	<input type="hidden" name="id" value="<?php echo isset($this->data->id) ? $this->data->id : 0; ?>" />
	<input type="hidden" name="task" value="" />
  <?php echo HTMLHelper::_('form.token'); ?>
</form>
