<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

$wa = $this->document->getWebAssetManager();
$wa->useScript('keepalive')
   ->useScript('form.validate');

HTMLHelper::_('stylesheet', 'com_lartssubscriptions/adminj4.css', ['version' => 'auto', 'relative' => true]);

$assocdata = (array)$this->data;

?>

<form action="index.php?option=com_lartssubscriptions&view=countries" method="POST" name="adminForm" id="adminForm" enctype="multipart/form-data">

  <div class="row larts-edit-row">
    <div class="span6 col-md-6">
      <fieldset class="form-horizontal">
        <?php echo $this->form->renderFieldset('details'); ?>

        <?php foreach ($this->vatclasses as $vc => $vatclass) : 
          $key = 'rateclass_'.$vatclass->id;
          $rate = isset($assocdata[$key]) ? $assocdata[$key] : 0;
          ?>
          <div class="control-group">
            <div class="control-label"><label for="" ><?php echo $vatclass->name; ?></label></div>
            <div class="controls">
              <input class="input-mini" type="text" name="rateclass_<?php echo $vatclass->id; ?>" id="firstname" value="<?php echo $rate; ?>" />
            </div>
          </div>
        <?php endforeach; ?>

      </fieldset>
    </div>
    <div class="span3 col-md-3">
    </div>
    <div class="span3 col-md-3">
      <fieldset class="form-vertical">
        <?php echo $this->form->renderFieldset('params'); ?>
      </fieldset>
    </div>
  </div>

	<input type="hidden" name="id" value="<?php echo isset($this->data->id) ? $this->data->id : null; ?>" />
	<input type="hidden" name="task" value="" />
  <?php echo HTMLHelper::_('form.token'); ?>
</form>
