<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

use LartsSubscriptions\Config as LartsConfig;

$wa = $this->document->getWebAssetManager();
$wa->useScript('keepalive')
   ->useScript('form.validate');

HTMLHelper::_('stylesheet', 'com_lartssubscriptions/adminj4.css', ['version' => 'auto', 'relative' => true]);

if(!empty($this->active) > 0) {
	$activeSubs = $this->active;
}

HTMLHelper::_('script','com_lartssubscriptions/template.admin.js', array('version' => 'auto', 'relative' => true));

?>

<?php if(isset($this->data->userid) && $this->data->userid < 0): ?>
	<div class="alert alert-error">
		<?php echo Text::_('COM_LARTSSUBS_REQUESTED_REMOVAL_OR_ANONYMISATION'); ?>
	</div>
<?php endif; ?>

<form action="index.php?option=com_lartssubscriptions" method="POST" name="adminForm" id="adminForm" class="form-horizontal">

	<div class="row larts-edit-row">
		<div class="span9 col-md-9">
			<div class="row larts-edit-row">
				<div class="span6 col-md-6">
					<fieldset class="form-horizontal-desktop">
						<?php echo $this->form->renderFieldset('details'); ?>
					</fieldset>

					<br><br>

					<fieldset class="form-horizontal-desktop">
						<?php echo $this->form->renderFieldset('details_company'); ?>
					</fieldset>
				</div>

				<div class="span6 col-md-6">
					<fieldset class="form-horizontal-desktop">
						<?php echo $this->form->renderFieldset('details_address'); ?>
					</fieldset>
				</div>

        
			</div>

		</div>
		<div class="span3 col-md-3">
			<fieldset class="form-vertical">
				<?php echo $this->form->renderFieldset('params'); ?>
			</fieldset>
		</div>
	</div>

	<input type="hidden" name="id" value="<?php echo isset($this->data->id) ? $this->data->id : null; ?>" />
	<input type="hidden" name="task" value="" />
    <?php echo HTMLHelper::_('form.token'); ?>
</form>

<div class="clearfix"></div>

<?php if (isset($this->data->id)) : ?>
  <hr />
  <?php echo $this->loadTemplate('orders'); ?>
<?php endif; ?>

<div class="clearfix"></div>

<?php if (isset($this->data->id)) : ?>
  <hr />
  <?php echo $this->loadTemplate('products'); ?>
<?php endif; ?>

  
  

