<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use LartsSubscriptions\Base\DateEx;
use LartsSubscriptions\Helper;
use LartsSubscriptions\OrderStatus;
use LartsSubscriptions\Base\BSWrapper;


?>

<div class="row larts-edit-row">
	<div class="span6 col-md-6">

    <h2><?php echo Text::_('COM_LARTSSUBS_ORDERS'); ?></h2>

    <table class="table table-striped">
      <thead>
        <tr>
          <th style="width:40px;" class="text-left text-nowrap"><?php echo Text::_('COM_LARTSSUBS_ID'); ?></th>
          <th style="width:70px;" class="text-left"><?php echo Text::_('COM_LARTSSUBS_DATE'); ?></th>
          <th style="width:100px;" class="text-left"><?php echo Text::_('COM_LARTSSUBS_ORDERCODE'); ?></th>
          <th style="width:80px;" class="text-left"><?php echo Text::_('COM_LARTSSUBS_STATE'); ?></th>
          <th style="" class="text-left"><?php  ?></th>
        </tr>
      </thead>

      <?php foreach ($this->orders as $row) : ?>
        <?php
        $id = Text::_('COM_LARTSSUBS_NOT_APPLICABLE');
        if ($row->id) {
          $link = 'index.php?option=com_lartssubscriptions&task=order.show&ordercode=' . (int) $row->ordercode;
          $ordercode   = '<a href="' . $link . '">' . $row->ordercode . '</a>';
        }

        $processed_label = OrderStatus::hasState($row->status, OrderStatus::PAID) ? 'success' : 'warning';
				$processed_name  = '';
        if(OrderStatus::hasState($row->status, OrderStatus::PROCESSED)) {
          $processed_name = OrderStatus::Str($row->status & OrderStatus::PROCESSED);
        }
        else {
          $processed_name = OrderStatus::Str($row->status & OrderStatus::PENDING);
        }
        
        
        ?>
        <tr>
          <td class="text-left">
            <?php echo $row->id; ?>
          </td>
          <td class="text-left text-nowrap">
            <?php echo DateEx::_($row->created); ?>
          </td>
          <td class="text-left">
            <?php echo $ordercode; ?>
          </td>
          <td class="text-left">
            <?php echo BSWrapper::label($processed_name, $processed_label); ?>
          </td>
          <td class="text-left text-nowrap">
          </td>
        </tr>
      <?php endforeach; ?>
    </table>
  </div>
</div>
  