<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use LartsSubscriptions\Helper;
use LartsSubscriptions\Base\DateEx;

?>

<div class="row larts-edit-row">
	<div class="span12 col-md-12">

    <h2><?php echo Text::_('COM_LARTSSUBS_PRODUCTS'); ?></h2>

    <table class="table table-striped">
      <thead>
        <tr>
          <th class="w-5 text-left text-nowrap">
            <?php echo Text::_('COM_LARTSSUBS_SUBSCRIPTION_ID'); ?>
          </th>
          <th class="w-20 text-left">
            <?php echo Text::_('COM_LARTSSUBS_PRODUCT'); ?>
          </th>
          <th class="w-5 text-left"><?php echo Text::_('COM_LARTSSUBS_ORDERCODE'); ?></th>
          <th class="w-5 text-left"><?php echo Text::_('COM_LARTSSUBS_LICENCE'); ?></th>
          <th class="w-10 text-left text-nowrap">
            <?php echo Text::_('COM_LARTSSUBS_VALID_FROM'); ?>
          </th>
          <th class="w-10 text-left text-nowrap">
            <?php echo Text::_('COM_LARTSSUBS_VALID_TO'); ?>
          </th>
          <th class="w-10 text-left"><?php echo Text::_('COM_LARTSSUBS_USER_INFO'); ?></th>
          <th class="text-left"><?php echo Text::_('COM_LARTSSUBS_INTERNAL_INFO'); ?></th>
        </tr>
      </thead>

      <?php foreach ($this->products as $row) : ?>
        <?php
        $id = Text::_('COM_LARTSSUBS_NOT_APPLICABLE');
        if ($row->id)
        {
          $link = 'index.php?option=com_lartssubscriptions&amp;task=subscriptions.edit&amp;cid[]=' . (int) $row->id;
          $id   = '<a href="' . $link . '">' . $row->id . '</a>';
        }
        ?>
        <tr>
          <td class="text-left">
            <?php echo $id; ?>
          </td>
          <td class="text-left">
            <?php echo $row->name; ?>
          </td>
          <td class="text-left">
            <?php echo ($row->ordercode > 0) ? $row->ordercode : '-'; ?>
          </td>
          <td class="text-left">
            <?php echo $row->licence; ?>
          </td>
          <td class="text-left text-nowrap">
            <?php echo DateEx::_($row->valid_from); ?>
          </td>
          <td class="text-left text-nowrap">
            <?php echo DateEx::_($row->valid_to); ?>
          </td>
          <td class="text-left text-nowrap">
            <?php echo $row->user_info; ?>
          </td>
          <td class="text-left text-nowrap">
            <?php echo $row->internal_info; ?>
          </td>
        </tr>
      <?php endforeach; ?>
    </table>
  </div>
</div>
  
  