<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;

$style = '
	.lartsEditorButton form, .lartsEditorButton .controls > * {
		margin:0px;
	}
';

//Factory::getDocument()->addScriptDeclaration($script);
Factory::getDocument()->addStyleDeclaration($style);

// load the JS needed to handle the form data and send it back to the editor
?>

<script type="text/javascript">
document.addEventListener("DOMContentLoaded", function() {
    function larts_insertButton() {
      
      //debugger;
      
        // Get field values
        const productid = document.querySelector("#jform_product_id").value;
        const type = document.querySelector("#jform_type").value;
        const label = document.querySelector("#jform_label").value;

        let url;
        switch (type) {
            case "add":
                url = "index.php?option=com_lartssubscriptions&task=order.addCartItem&id=" + productid;
                break;
            case "show":
                url = "index.php?option=com_lartssubscriptions&view=product&id=" + productid;
                break;
            default:
                url = "void();";
                break;
        }

        const tag = "<a class=\'larts-button-fe\' href=\'" + url + "\'>" + label + "</a>";

        if (parseInt(productid) > 0) {
          window.parent.Joomla.editors.instances['jform_articletext'].replaceSelection(tag)
        }

        window.parent.Joomla.Modal.current.close();
        return false;
    }

    document.querySelectorAll(".lartsEditorButton button").forEach(function(button) {
        button.addEventListener("click", larts_insertButton);
    });
});
  
</script>

<div class="lartsEditorButton" style="padding: 5px;">
	<form>
		<?php echo $this->form->renderFieldset("main") ?>
		<button class="btn btn-primary span12">
			<?php echo Text::_('PLG_EDITORS_XTD_LARTSSUBSCRIPTIONS_INSERTBUTTON'); ?>
		</button>
	</form>
</div>
