<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\HTML\HTMLHelper;

$wa = $this->document->getWebAssetManager();
$wa->useScript('keepalive')
   ->useScript('form.validate');

HTMLHelper::_('stylesheet', 'com_lartssubscriptions/adminj4.css', ['version' => 'auto', 'relative' => true]);


?>

<div class="alert alert-error" id="errorProductname" style="display:none;">
	<button type="button" class="close" data-dismiss="alert">&times;</button>
	<strong><?php echo Text::_('WARNING'); ?></strong> <?php echo Text::_('COM_LARTSSUBS_FILE_SET_FILENAME'); ?>
</div>

<div class="alert alert-error" id="errorCategories" style="display:none;">
	<button type="button" class="close" data-dismiss="alert">&times;</button>
	<strong><?php echo Text::_('WARNING'); ?></strong> <?php echo Text::_('COM_LARTSSUBS_FILE_SELECT_A_CATEGORY'); ?>
</div>

<form action="index.php?option=com_lartssubscriptions&view=files" method="POST" name="adminForm" id="adminForm" enctype="multipart/form-data">

	<?php echo LayoutHelper::render('title_alias', [
		'data'        => $this->data,
		'title'       => 'filename',
		'title_label' => 'COM_LARTSSUBS_FILENAME',
		'alias'       => 'alias',
	]); ?>

	<div class="form-horizontal">
		<?php echo HTMLHelper::_('bootstrap.startTabSet', 'myTab', ['active' => 'tab_details']); ?>

		<?php echo HTMLHelper::_('bootstrap.addTab', 'myTab', 'tab_details', Text::_('JDETAILS', true)); ?>
		<?php echo $this->loadTemplate('details'); ?>
		<?php echo HTMLHelper::_('bootstrap.endTab'); ?>

		<?php echo HTMLHelper::_('bootstrap.addTab', 'myTab', 'tab_release_notes', Text::_('COM_LARTSSUBS_RELEASE_NOTES', true)); ?>
		<?php echo $this->loadTemplate('release_notes'); ?>
		<?php echo HTMLHelper::_('bootstrap.endTab'); ?>

		<?php echo HTMLHelper::_('bootstrap.addTab', 'myTab', 'tab_installation_notes', Text::_('COM_LARTSSUBS_INSTALL_NOTES', true)); ?>
		<?php echo $this->loadTemplate('installation_notes'); ?>
		<?php echo HTMLHelper::_('bootstrap.endTab'); ?>

		<?php //echo HTMLHelper::_('bootstrap.addTab', 'myTab', 'tab_categories', Text::_('COM_LARTSSUBS_CATEGORIES', true)); ?>
		<?php //echo $this->loadTemplate('categories'); ?>
		<?php //echo HTMLHelper::_('bootstrap.endTab'); ?>

		<?php echo HTMLHelper::_('bootstrap.endTabSet'); ?>

	</div>

	<input type="hidden" name="id" value="<?php echo isset($this->data->id) ? $this->data->id : null; ?>" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="remove_file" value="<?php echo isset($this->data->filename_physical) ? $this->data->filename_physical : null; ?>" />
</form>

