<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\FileLayout;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Layout\LayoutHelper;

use LartsSubscriptions\Base\DateEx;

HTMLHelper::_('stylesheet', 'com_lartssubscriptions/adminj4.css', ['version' => 'auto', 'relative' => true]);

$year = $this->state->year;
$quater = $this->state->quater;

?>

<?php
$layout = new FileLayout('menu');
echo $layout->render('moss');
?>


<div id="j-main-container">

  <h1>Mini One Stop Shop Summary</h1>
  <div class="larts-mosstxt">
  <p>If you supply services qualified as electronically supplied services to customers not being VAT taxable persons, located 
  in other Member States than your own and receiving your service directly from you (not via a marketplace), 
  you need to charge and account for the VAT of these other EU Member States.
  This implies that you have to charge VAT to these customers at the rate of the Member State where they are located.</p>

  <p>It is important to acknowledge that even if your business is not registered as a VAT 
  taxable person in your own Member State you still have to account for VAT in other Member States where 
  your customers are located.</p>
  </div>
  <form action="index.php?option=com_lartssubscriptions&view=moss" method="POST" name="adminForm" id="adminForm" class="form-inline">
    <div class="control-group">
      <?php
        $layout = new FileLayout('filter_year');
        echo $layout->render(['count' => 5, 'value' => $this->state->year]);

        $layout = new FileLayout('filter_quater');
        echo $layout->render(['value' => $this->state->quater]);
      ?>
    </div>
    <input name="task" type="hidden" value="" />
    <input name="boxchecked" type="hidden" value="0" />
  </form>
  <p \><p \><p \>

  <div class="larts-tbl-moss">
    <table class="table table-striped" id="larts-tbl-moss">
      <thead>
        <tr style="background-color: rgb(230,230,230)">
          <th COLSPAN="4" style="width:90px; border-right: 1px solid black" class="left text-nowrap">
            <?php echo Text::_('COM_LARTSSUBS_COUNTRY'); ?>
          </th>
          <th COLSPAN="4" style="width:90px; border-right: 1px solid black" class="left text-nowrap">
            <?php echo Text::_('COM_LARTSSUBS_ITEMS'); ?>
          </th>
          <th COLSPAN="2" style="width:90px" class="left text-nowrap">
            <?php echo Text::_('COM_LARTSSUBS_TOTAL'); ?>
          </th>
        </tr>
        <tr>
          <th style="width:100px" class="left text-nowrap">
            <?php echo Text::_('COM_LARTSSUBS_COUNTRY'); ?>
          </th>
          <th style="width:50px" class="center text-nowrap">
            <?php echo Text::_('COM_LARTSSUBS_COUNTRY_CODE'); ?>
          </th>
          <th style="width:90px" class="right">
            <?php echo Text::_('COM_LARTSSUBS_MOSS'); ?>
          </th>
          <th style="width:90px" class="right">
            <?php echo Text::_('COM_LARTSSUBS_VAT_RATE'); ?>
          </th>

          <th style="width:90px" class="right">
            <?php echo Text::_('COM_LARTSSUBS_SALES'); ?>
          </th>
          <th style="width:90px" class="right">
            <?php echo Text::_('COM_LARTSSUBS_REFUNDS'); ?>
          </th>
          <th style="width:90px" class="right">
            <?php echo Text::_('COM_LARTSSUBS_VAT_CHARGED'); ?>
          </th>
          <th style="width:90px" class="right">
            <?php echo Text::_('COM_LARTSSUBS_VAT_REFUNDED'); ?>
          </th>

          <th style="width:90px" class="right">
            <?php echo Text::_('COM_LARTSSUBS_TOTAL_CHARGED'); ?>
          </th>
          <th style="width:90px" class="right">
            <?php echo Text::_('COM_LARTSSUBS_TOTAL_VAT'); ?>
          </th>
        </tr>
      </thead>
      <tbody>
        <?php foreach ($this->items as $i => $row) : ?>
          <?php
          $t = 1;
          //$link_user = 'index.php?option=com_lartssubscriptions&task=customers.edit&cid[]=' . (int) $row->userid;
          //if ($row->user_id == 0 && $row->userid > 0) {
          //	$link_user = 'index.php?option=com_users&task=user.edit&id=' . (int) $row->userid;
          //}

          //$user_info = ! empty($row->lastname) ? $row->firstname . ' ' . $row->lastname : $row->name;
          ?>
          <tr>
            <td class="left text-nowrap">
              <?php if($row->country == 'total') {
                echo '<b>Total</b>';
              }
              else {
                echo $row->country; 
             } ?>
            </td>
            <td class="center">
              <?php if($row->country != 'total') { echo $row->country_code; } ?>
            </td>
            <td class="right">
              <?php echo $row->moss; ?>
            </td>
            <td class="right">
              <?php echo $row->vatRate; ?>
            </td>
            <td class="right">
              <?php echo $row->sales; ?>
            </td>
            <td class="right">
              <?php echo $row->refunds; ?>
            </td>
            <td class="right">
              <?php echo $row->vatCharged; ?>
            </td>
            <td class="right">
              <?php echo $row->vatRefunded; ?>
            </td>
            <td class="right">
              <?php echo $row->totalCharged; ?>
            </td>
            <td class="right text-nowrap">
              <?php echo $row->vatTotal; ?>
            </td>
          </tr>
        <?php endforeach; ?>
      </tbody>
    </table>
  </div>
</div>

