<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copytext-end       {copytext-end}
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\FileLayout;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Session\Session;

use LartsSubscriptions\Base\DateEx;
use LartsSubscriptions\TemporaryTransaction;
use LartsSubscriptions\Price;
use LartsSubscriptions\OrderStatus;
use LartsSubscriptions\OrderAmounts;
use LartsSubscriptions\TransactionType;
use LartsSubscriptions\Base\BSWrapper;


HTMLHelper::_('stylesheet', 'com_lartssubscriptions/adminj4.css', ['version' => 'auto', 'relative' => true]);

try {
  $wa = $this->document->getWebAssetManager();
  $wa->useScript('table.columns')
      ->useScript('multiselect');
}
catch(Exception $e) {}

$listOrder = $this->escape($this->state->get('list.ordering'));
$listDirn  = $this->escape($this->state->get('list.direction'));
$searchToolsOptions = [];

  
?>

<?php if ($this->items) : ?>
  <script language="javascript">
    function onCreateOrder(id)
    {
      form = document.getElementById("adminForm");

      document.getElementById("id").value = id;;
      document.getElementById("task").value = "pendings.creatOrder";
      document.adminForm.submit();
    }
    function onProcessOrder(id)
    {
      form = document.getElementById("adminForm");
      document.getElementById("id").value = id;
      document.getElementById("task").value = "pendings.processOrder";
      document.adminForm.submit();
    }

    function onPaymentModal() {
      var btn = event.target;
      var row_id = btn.getAttribute("data-row_id"); 
      var amount = btn.getAttribute("data-amount"); 

      document.getElementById("order_id").value = row_id;
      document.getElementById("amount").value = amount;
    }
    function onPaymentModalOk() {
      document.paymentForm.submit();
    }
  </script>
<?php endif; ?>

<?php
  $layout = new FileLayout('menu');
  echo $layout->render('pendings');
?>    
<form action="<?php echo Route::_('index.php?option=com_lartssubscriptions&view=pendings' . $this->state->get('filter.context')); ?>" method="post" name="adminForm" id="adminForm">
<div class="row">
  <div class="col-md-12">
    <div id="j-main-container" class="j-main-container">

      
		<?php echo LayoutHelper::render('joomla.searchtools.default', ['view' => $this, 'options' => $searchToolsOptions]); ?>
    <?php if (empty($this->items)) : ?>
        <div class="alert alert-success">
            <span class="icon-info-circle" aria-hidden="true"></span><span class="visually-hidden"><?php echo Text::_('INFO'); ?></span>
            <?php echo Text::_('COM_LARTSSUBS_NO_TEMPORARY_TRANSACTIONS_FOUND'); ?>
        </div>
    <?php else : ?>

      <table class="table table-striped">
        <thead>
          <tr>
            <th class="w-1 text-text-center">
               <?php echo HTMLHelper::_('grid.checkall'); ?>
            </th>
            <th style="width:160px;" class="text-start">
              <?php echo Text::_('COM_LARTSSUBS_ORDERCODE'); ?><?php //$this->showSortArrows('ordercode'); ?>
            </th>
            <th class="text-start">
              <?php echo Text::_('COM_LARTSSUBS_NAME'); ?><?php //$this->showSortArrows('lastname'); ?>
            </th>
            <th class="w-20 text-center">
              <?php echo Text::_('COM_LARTSSUBS_STATES'); ?>
            </th>
            <th class="w-10 text-start text-nowrap">
              <?php echo Text::_('COM_LARTSSUBS_TRANSACTION_EMAIL'); ?>
            </th>
            <th class="w-5 text-center">
              <?php echo Text::_('JDATE'); ?><?php //$this->showSortArrows('created'); ?>
            </th>
            <th class="w-5 text-end">
              <?php echo Text::_('COM_LARTSSUBS_AMOUNT'); ?>
            </th>
            <th class="w-5 text-end">
              <?php echo Text::_('COM_LARTSSUBS_PAID'); ?>
            </th>
            <th class="w-5 text-center">
              <?php echo Text::_('COM_LARTSSUBS_STATE'); ?>
            </th>
          </tr>

        </thead>
        <?php foreach ($this->items as $i => $row) : ?>

          <?php
          $checked         = HTMLHelper::_('grid.id', $i, $row->id);
          $link_user       = 'index.php?option=com_lartssubscriptions&task=customers.edit&cid[]=' . (int) $row->user_id;
          $link_ordercode  = 'index.php?option=com_lartssubscriptions&task=order.show&ordercode=' . (int) $row->ordercode;
          //$link_self = Uri::getInstance()->toString();
          $processed_label = OrderStatus::hasState($row->status, OrderStatus::PAID) ? 'bg-success' : 'bg-warning';
          $processed_name  = '';
          if(OrderStatus::hasState($row->status, OrderStatus::PROCESSED)) {
            $processed_name = OrderStatus::Str($row->status & OrderStatus::PROCESSED);
          }
          else {
            $processed_name = OrderStatus::Str($row->status & OrderStatus::PENDING);
          }

          $amounts         = new OrderAmounts($row->ordercode);
          //$amounts         = json_decode($row->amounts);
          $params          = ! empty($row->params) ? json_decode($row->params) : [];
          //$payment_label   = TransactionType::hasState($row->transaction_type, TransactionType::ONLINE) ? 'label-success' : 'label-warning';
          //$paymentType     = TransactionType::Str($row->transaction_type);

          ?>

          <tr id="order<?php echo $row->id; ?>">
            <td class="text-center">
              <?php echo $checked; ?>
            </td>
            <td class="text-start ">
              <a href="<?php echo $link_ordercode; ?>">
                <?php echo $row->ordercode; ?>
              </a>
              <?php if(!OrderStatus::hasState($row->status, OrderStatus::PAID)) : ?>
                <?php if($row->is_offer == 0) : ?>
                  <span style="margin-text-start: 20px">
                    <button type="button" class="btn btn-primary btn-sm" onclick="onPaymentModal()" data-bs-toggle="modal" data-bs-target="#paymentModal" 
                              data-row_id="<?php echo $row->id; ?>"  data-amount="<?php echo $amounts->toPay(); ?>">
                      Payment</button>
                  </span>
                <?php else: ?>
                  <span style="margin-text-start: 20px">
                    <button type="button" onclick="onCreateOrder(<?php echo $row->id; ?>)" class="btn btn-secondary btn-sm">
                      Create Order</button>
                  </span>
                <?php endif; ?>
              <?php else: ?>
                <?php if($row->is_offer == 0) : ?>
                  <span style="margin-text-start: 20px">
                    <button  type="button" onclick="onProcessOrder(<?php echo $row->id; ?>)" class="btn btn-warning btn-sm">Process</button>
                  </span>
                <?php endif; ?>
              <?php endif; ?>
            </td>
            <td class="text-start">
              <a href="<?php echo $link_user; ?>">
                <?php echo $row->firstname . ' ' . $row->lastname; ?>
              </a><br>
              <?php echo $row->email; ?>
            </td>
            <td class="text-start">
              <?php 
                if(OrderStatus::hasState($row->status, OrderStatus::INVOICE_CREATED)) {
                  echo '<span class="badge bg-success m-1" style="margin-text-end:4px;">';
                  echo OrderStatus::Str($row->status & OrderStatus::INVOICE_CREATED);
                  echo '</span>';
                }
                if(OrderStatus::hasState($row->status, OrderStatus::INVOICE_SENT)) {
                  echo '<span class="badge bg-success m-1" style="margin-text-end:4px;">';
                  echo OrderStatus::Str($row->status & OrderStatus::INVOICE_SENT);
                  echo '</span>';
                }
                if(OrderStatus::hasState($row->status, OrderStatus::PAID)) {
                  echo '<span class="badge bg-success m-1" style="margin-text-end:4px;">';
                  echo OrderStatus::Str($row->status & OrderStatus::PAID);
                  echo '</span>';
                }
              ?>
            </td>
            <td class="text-start text-nowrap">
              <?php echo $row->email; ?>
            </td>
            <td class="text-center small">
              <?php echo DateEx::_($row->created); ?>
            </td>
            <td class="text-end text-nowrap small">
              <?php echo Price::_($amounts->netprice); ?>
            </td>
            <td class="text-end text-nowrap small">
              <?php echo Price::_($amounts->payed_total); ?><br>
              <?php echo Price::_($amounts->payed_total - $amounts->netprice, true, true); ?>
            </td>
            <td class="text-center text-nowrap">
              <span class="badge <?php echo $processed_label; ?>"><?php echo $processed_name; ?></span>
            </td>
          </tr>

        <?php endforeach; ?>

      </table>

      <div class="text-center"><?php echo $this->pagination->getListFooter(); ?></div>

    <?php endif; ?>

    <input id="task" name="task" type="hidden" value="" />
    <input name="boxchecked" type="hidden" value="0" />
    <input name="id" id="id" type="hidden" value="0" />
    <?php echo HTMLHelper::_('form.token'); ?>
    </div>
  </div>
</div>
</form>

<!-- Modal -->
<div class="modal fade" id="paymentModal" data-bs-backdrop="static"  tabindex="-1" aria-labelledby="paymentModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h1 class="modal-title" id="myModalLabel">Payment</h1>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body" style="margin: 15px 15px">
        <?php $action = 'index.php?option=com_lartssubscriptions&task=pendings.payment'; ?>
        <form class="form-floating" action="<?php echo $action; ?>" method="POST" name="paymentForm" id="paymentForm" enctype="multipart/form-data">
          <p>Create new manual transaction</p>
            <div>
              <input class="form-control" type="text" name="amount" id="amount"> </input>
              <label for="amount" style="width:80px">Amount</label>
            </div>
            <div>
              <textarea class="form-control" rows="3" name="comment" id="comment"> </textarea>
              <label for="comment" style="width:80px">Comment</label>
            </div>
          <input class="form-control" type="hidden" name="id" id="order_id" value="0" />
          </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-bs-dismiss="modal" style="width:90px">Cancel</button>
        <button type="button" class="btn btn-primary" onclick="onPaymentModalOk()"  style="width:90px">Ok</button>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div><!-- /.modal -->


