<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Plugin\PluginHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\HTML\HTMLHelper;

$wa = $this->document->getWebAssetManager();
$wa->useScript('keepalive')
   ->useScript('form.validate');

HTMLHelper::_('stylesheet', 'com_lartssubscriptions/adminj4.css', ['version' => 'auto', 'relative' => true]);

$activeSubs      = $this->active;
$activeRelations = $this->cross_sell;

$id = isset($this->data->id) ? $this->data->id : 0;
$task = 'products.removeimage&id=' .$id;
$this->form->setFieldAttribute('preview_image','task_remove_image', $task);
if(isset($this->data->image)) {
  $this->form->setValue('preview_image', '', $this->data->image);
}

?>

<form action="index.php?option=com_lartssubscriptions" method="POST" name="adminForm" id="adminForm" enctype="multipart/form-data">

	<?php 
    echo LayoutHelper::render('title_alias', ['data' => $this->data, 'title' => 'name',
            'title_label' => 'COM_LARTSSUBS_PRODUCT_NAME', 'alias'=> 'alias']);
  ?>

	<div class="form-horizontal">
		<?php echo HTMLHelper::_('bootstrap.startTabSet', 'myTab', ['active' => 'tab_details']); ?>

		<?php echo HTMLHelper::_('bootstrap.addTab', 'myTab', 'tab_details', Text::_('JDETAILS', true)); ?>
		<?php echo $this->loadTemplate('details'); ?>
		<?php echo HTMLHelper::_('bootstrap.endTab'); ?>

		<?php echo HTMLHelper::_('bootstrap.addTab', 'myTab', 'tab_description_short', Text::_('COM_LARTSSUBS_DESCRIPTION_PRODUCT_SHORT', true)); ?>
		<?php echo $this->loadTemplate('description_short'); ?>
		<?php echo HTMLHelper::_('bootstrap.endTab'); ?>

		<?php echo HTMLHelper::_('bootstrap.addTab', 'myTab', 'tab_description', Text::_('COM_LARTSSUBS_DESCRIPTION_PRODUCT_LONG', true)); ?>
		<?php echo $this->loadTemplate('description'); ?>
		<?php echo HTMLHelper::_('bootstrap.endTab'); ?>


		<?php echo HTMLHelper::_('bootstrap.endTabSet'); ?>

	</div>

	<input type="hidden" name="id" value="<?php echo isset($this->data->id) ? $this->data->id : ''; ?>" />
	<input type="hidden" name="task" value="" />

</form>
