<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Date\Date;
use Joomla\CMS\Layout\FileLayout;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Layout\LayoutHelper;

use LartsSubscriptions\Base\DateEx;
use LartsSubscriptions\MassMailQueue;

$now = new Date('now');

?>

<form action="index.php?option=com_lartssubscriptions&view=queue" method="POST" name="adminForm" id="adminForm" class="form-inline">

	<div id="j-main-container">
		<div id="filter-bar" class="btn-toolbar">
			<?php
			$layout = new FileLayout('filter_search');
			echo $layout->render([
				'name'  => 'queue_filter_search',
				'value' => $this->filters['filter_search'],
			]);
			?>

			<div class="pull-right">
				<div class="btn-group">
					<?php echo $this->filters['filter_type']; ?>
				</div>
			</div>
		</div>

		<table class="table table-striped">
			<thead>
				<tr>
          <th class="w-1 text-center">
            <?php echo HTMLHelper::_('grid.checkall'); ?>
          </th>
					<th style="width:20%;" class="text-start">
						<?php echo Text::_('COM_LARTSSUBS_RECEIVER'); ?>
					</th>
					<th class="text-start">
						<?php echo Text::_('JGLOBAL_DESCRIPTION'); ?>
					</th>
					<th style="width:5%;" class="text-center text-nowrap">
						<?php echo Text::_('COM_LARTSSUBS_UNTIL'); ?>
					</th>
					<th style="width:5%;" class="text-center text-nowrap">
						<?php echo Text::_('COM_LARTSSUBS_SENT_DATE'); ?>
					</th>
					<th style="width:15%;" class="text-center text-nowrap">
						<?php echo Text::_('JSTATUS'); ?>
					</th>
				</tr>
			</thead>
			<?php $k = 0; ?>
			<?php foreach ($this->mails as $i => $row) : ?>
				<?php
				$checked = HTMLHelper::_('grid.id', $i, $row->id);
				$link_user = 'index.php?option=com_lartssubscriptions&task=customers.edit&cid[]=' . $row->user_id;
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td class="text-start">
						<?php echo $checked; ?>
					</td>
					<td class="text-start">
						<a href="<?php echo $link_user; ?>"><?php echo $row->firstname . ' ' . $row->lastname; ?></a>
						(<?php echo $row->email; ?>);
					</td>
					<td class="text-start">
						<?php echo $row->subject; ?>
            <!--
						<a href="javascript:jQuery('#email_body_<?php echo $row->id; ?>').toggle();">
							<?php echo $row->subject; ?>
						</a>
						<div style="display:none;" id="email_body_<?php echo $row->id; ?>">
							<hr>
							<?php echo $row->body; ?>
						</div>
            -->
					</td>
					<td class="text-center small text-nowrap">
						<?php echo DateEx::_($row->pending_till, Text::_('DATE_FORMAT_LC4')); ?>
					</td>
					<td class="text-center small text-nowrap">
						<?php if ($row->status == MassMailQueue::MAIL_SENT) : ?>
							<?php echo DateEx::_($row->date_sent, Text::_('DATE_FORMAT_LC4')); ?>
						<?php endif; ?>
					</td>
					<td class="text-center text-nowrap">
						<?php if ($row->status == MassMailQueue::MAIL_SENT) : ?>
							<span class="badge bg-success" style="width:60%;"><?php echo Text::_('COM_LARTSSUBS_SENT'); ?></span>
						<?php elseif ($row->status == MassMailQueue::MAIL_ERROR) : ?>
							<span class="badge bg-danger label-important" style="width:60%;"><?php echo Text::_('COM_LARTSSUBS_ERROR'); ?></span>
						<?php elseif ($row->status == MassMailQueue::MAIL_UNSENT): ?>
              <?php if (strtotime($row->pending_till) > strtotime($now)) : ?>
                <span class="badge bg-warning" style="width:60%;"><?php echo Text::_('COM_LARTSSUBS_PENDING'); ?></span>
              <?php else : ?>
                <span class="badge bg-warning" style="width:60%;"><?php echo Text::_('COM_LARTSSUBS_UNSENT'); ?></span>
              <?php endif; ?>
						<?php else : ?>
							<span class="badge bg-info" style="width:60%;"><?php echo Text::_('COM_LARTSSUBS_DELAYED'); ?></span>
						<?php endif; ?>
					</td>
				</tr>
				<?php $k = 1 - $k; ?>

			<?php endforeach; ?>
		</table>

    <div class="text-center"><?php echo $this->pagination->getListFooter(); ?></div>
	</div>

	<input name="task" type="hidden" value="" />
	<input name="boxchecked" type="hidden" value="0" />
</form>


