<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Date\Date;
use Joomla\CMS\Layout\FileLayout;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Layout\LayoutHelper;

use LartsSubscriptions\Base\DateEx;

?>

<form action="index.php?option=com_lartssubscriptions&view=queue" method="POST" name="formTemplates" id="formTemplates" class="form-inline">

	<div id="j-main-container">

		<table class="table table-striped">
			<thead>
				<tr>
          <th class="w-1 text-tect-center">
             <?php echo HTMLHelper::_('grid.checkall'); ?>
          </th>
          <th class="w-1 tect-center text-nowrap">
            <?php echo Text::_('JSTATUS'); ?>
          </th>
          <th class="w-20 text-start">
            <?php echo Text::_('COM_LARTSSUBS_NAME'); ?>
          </th>
				</tr>
			</thead>
			<?php $k = 0; ?>
			<?php foreach ($this->templates as $i => $row) : ?>
				<?php
				$checked   = HTMLHelper::_('grid.id', $i, $row->id);
				$link_edit = 'index.php?option=com_lartssubscriptions&task=queue.edit&cid[]=' . $row->id;
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td class="tect-center">
						<?php echo $checked; ?>
					</td>
          <td class="tect-center">
            <?php
            $layout = new FileLayout('list_button_publish');
            echo $layout->render(['cntrl' => 'queue', 'id' => $i, 'value' => $row->published]);
            ?>
          </td>
					<td class="text-start">
						<a href="<?php echo $link_edit; ?>"><?php echo $row->template; ?></a>
					</td>
				</tr>
				<?php $k = 1 - $k; ?>

			<?php endforeach; ?>
		</table>

	</div>

	<input name="task" type="hidden" value="" />
	<input name="boxchecked" type="hidden" value="0" />

</form>


