<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Editor\Editor;

$wa = $this->document->getWebAssetManager();
$wa->useScript('keepalive')
   ->useScript('form.validate');

HTMLHelper::_('stylesheet', 'com_lartssubscriptions/adminj4.css', ['version' => 'auto', 'relative' => true]);
HtmlHelper::_('script', 'com_lartssubscriptions/modal-Templates.js', array('version' => 'auto', 'relative' => true));

?>

<form action="index.php?option=com_lartssubscriptions&view=queue" method="POST" name="adminForm" id="adminForm" enctype="multipart/form-data">

 	<div class="row xlarts-edit-row">
		<div class="col-md-6">
      <fieldset class="form-horizontal">
        <?php echo $this->form->renderFieldset('template'); ?>
      </fieldset>
    </div>
  </div>

	<div class="row xlarts-edit-row">
		<div class="col-md-2">
      <fieldset class="form-vertical">
        <?php echo $this->form->renderFieldset('details'); ?>
      </fieldset>
		</div>
		<div class="col-md-4">
      <fieldset class="form-vertical">
        <?php echo $this->form->renderFieldset('details_right'); ?>
      </fieldset>
		</div>



		<div class="col-md-6">
			<?php
  		$cfgEditor = Factory::getConfig()->get('editor');
			$editor = Editor::getInstance($cfgEditor);
			// parameters : areaname, content, width, height, cols, rows
			echo $editor->display('body', isset($this->data->body) ? $this->data->body : null, '100%', '400', '100', '15');
			?>
		</div>

	</div>

	<input type="hidden" name="id" value="<?php echo isset($this->data->id) ? $this->data->id : 0; ?>" />
	<input type="hidden" name="task" value="" />
</form>

<div class="modal fade" id="ajax-modal" style="max-width:400px;">
    <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable" style="max-width:400px;" role="document">
        <div class="modal-content" id="modal-content">
            <!-- Ajax content will be loaded here -->
        </div>
    </div>
</div>
