<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

$wa = $this->document->getWebAssetManager();
$wa->useScript('keepalive')
   ->useScript('form.validate');

HTMLHelper::_('stylesheet', 'com_lartssubscriptions/adminj4.css', ['version' => 'auto', 'relative' => true]);
HTMLHelper::_('script', 'com_lartssubscriptions/sel_lic.js', ['version' => 'auto', 'relative' => true]);


?>

<!-- 
-->


<form action="index.php?option=com_lartssubscriptions&view=subscriptions" method="POST" name="adminForm" id="adminForm" class="form-horizontal">

	<div class="row larts-edit-row">
		<div class="span9 col-md-9">
			<div class="row larts-edit-row">
				<div class="span6 col-md-6">
					<fieldset class="form-horizontal-desktop">
						<h4><?php echo Text::_('COM_LARTSSUBS_SUBSCRIPTION_INFORMATION'); ?></h4>

						<?php echo $this->form->renderFieldset('details'); ?>

            <?php if(empty($id)) {echo $this->form->renderFieldset('subscr_add'); } ?>
            
					</fieldset>
				</div>

				<div class="span6 col-md-6">
          <fieldset class="form-horizontal-desktop">
            <h4><?php echo Text::_('COM_LARTSSUBS_PAYMENT_INFORMATION'); ?></h4>
  					<?php if (!empty($this->data->ordercode)) : ?>
              <?php echo $this->form->renderFieldset('payment'); ?>
            <?php else: ?>
                <p><?php echo Text::_('COM_LARTSSUBS_MANUAL_PERIOD'); ?></p>

            <?php endif; ?>
          </fieldset>
				</div>
			</div>

		</div>
		<div class="span3 col-md-3">
			<fieldset class="form-vertical">
				<?php echo $this->form->renderFieldset('params'); ?>
			</fieldset>
		</div>
	</div>

	<input type="hidden" name="id" value="<?php echo $this->data->id; ?>" />
	<input type="hidden" name="task" value="" />
</form>
<div class="clr"></div>

